/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 59 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 59 "conf/gen_parser.m4"

#line 1041 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_IMP = 16,                       /* IMP  */
  YYSYMBOL_PO = 17,                        /* PO  */
  YYSYMBOL_PC = 18,                        /* PC  */
  YYSYMBOL_NUM = 19,                       /* NUM  */
  YYSYMBOL_ENUM = 20,                      /* ENUM  */
  YYSYMBOL_IP4 = 21,                       /* IP4  */
  YYSYMBOL_IP6 = 22,                       /* IP6  */
  YYSYMBOL_VPN_RD = 23,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 24,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 25,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_CF_SYM_METHOD_BARE = 26,        /* CF_SYM_METHOD_BARE  */
  YYSYMBOL_CF_SYM_METHOD_ARGS = 27,        /* CF_SYM_METHOD_ARGS  */
  YYSYMBOL_TEXT = 28,                      /* TEXT  */
  YYSYMBOL_BYTETEXT = 29,                  /* BYTETEXT  */
  YYSYMBOL_PREFIX_DUMMY = 30,              /* PREFIX_DUMMY  */
  YYSYMBOL_31_ = 31,                       /* '='  */
  YYSYMBOL_32_ = 32,                       /* '<'  */
  YYSYMBOL_33_ = 33,                       /* '>'  */
  YYSYMBOL_34_ = 34,                       /* '~'  */
  YYSYMBOL_NMA = 35,                       /* NMA  */
  YYSYMBOL_36_ = 36,                       /* '+'  */
  YYSYMBOL_37_ = 37,                       /* '-'  */
  YYSYMBOL_38_ = 38,                       /* '*'  */
  YYSYMBOL_39_ = 39,                       /* '/'  */
  YYSYMBOL_40_ = 40,                       /* '%'  */
  YYSYMBOL_41_ = 41,                       /* '!'  */
  YYSYMBOL_42_ = 42,                       /* '.'  */
  YYSYMBOL_DEFINE = 43,                    /* DEFINE  */
  YYSYMBOL_ON = 44,                        /* ON  */
  YYSYMBOL_OFF = 45,                       /* OFF  */
  YYSYMBOL_YES = 46,                       /* YES  */
  YYSYMBOL_NO = 47,                        /* NO  */
  YYSYMBOL_S = 48,                         /* S  */
  YYSYMBOL_MS = 49,                        /* MS  */
  YYSYMBOL_US = 50,                        /* US  */
  YYSYMBOL_PORT = 51,                      /* PORT  */
  YYSYMBOL_VPN = 52,                       /* VPN  */
  YYSYMBOL_MPLS = 53,                      /* MPLS  */
  YYSYMBOL_FROM = 54,                      /* FROM  */
  YYSYMBOL_MAX = 55,                       /* MAX  */
  YYSYMBOL_AS = 56,                        /* AS  */
  YYSYMBOL_57_ = 57,                       /* ';'  */
  YYSYMBOL_58_ = 58,                       /* '('  */
  YYSYMBOL_59_ = 59,                       /* ')'  */
  YYSYMBOL_FLOW4 = 60,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 61,                     /* FLOW6  */
  YYSYMBOL_DST = 62,                       /* DST  */
  YYSYMBOL_SRC = 63,                       /* SRC  */
  YYSYMBOL_PROTO = 64,                     /* PROTO  */
  YYSYMBOL_NEXT = 65,                      /* NEXT  */
  YYSYMBOL_HEADER = 66,                    /* HEADER  */
  YYSYMBOL_DPORT = 67,                     /* DPORT  */
  YYSYMBOL_SPORT = 68,                     /* SPORT  */
  YYSYMBOL_ICMP = 69,                      /* ICMP  */
  YYSYMBOL_TYPE = 70,                      /* TYPE  */
  YYSYMBOL_CODE = 71,                      /* CODE  */
  YYSYMBOL_TCP = 72,                       /* TCP  */
  YYSYMBOL_FLAGS = 73,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 74,                    /* LENGTH  */
  YYSYMBOL_DSCP = 75,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 76,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 77,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 78,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 79,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 80,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 81,                     /* LABEL  */
  YYSYMBOL_OFFSET = 82,                    /* OFFSET  */
  YYSYMBOL_83_ = 83,                       /* ','  */
  YYSYMBOL_84_ = 84,                       /* '{'  */
  YYSYMBOL_85_ = 85,                       /* '}'  */
  YYSYMBOL_IN = 86,                        /* IN  */
  YYSYMBOL_FUNCTION = 87,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 88,                     /* PRINT  */
  YYSYMBOL_PRINTN = 89,                    /* PRINTN  */
  YYSYMBOL_UNSET = 90,                     /* UNSET  */
  YYSYMBOL_RETURN = 91,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 92,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 93,                    /* REJECT  */
  YYSYMBOL_ERROR = 94,                     /* ERROR  */
  YYSYMBOL_INT = 95,                       /* INT  */
  YYSYMBOL_BOOL = 96,                      /* BOOL  */
  YYSYMBOL_IP = 97,                        /* IP  */
  YYSYMBOL_PREFIX = 98,                    /* PREFIX  */
  YYSYMBOL_RD = 99,                        /* RD  */
  YYSYMBOL_PAIR = 100,                     /* PAIR  */
  YYSYMBOL_QUAD = 101,                     /* QUAD  */
  YYSYMBOL_EC = 102,                       /* EC  */
  YYSYMBOL_LC = 103,                       /* LC  */
  YYSYMBOL_SET = 104,                      /* SET  */
  YYSYMBOL_STRING = 105,                   /* STRING  */
  YYSYMBOL_BYTESTRING = 106,               /* BYTESTRING  */
  YYSYMBOL_BGPMASK = 107,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 108,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 109,                    /* CLIST  */
  YYSYMBOL_ECLIST = 110,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 111,                   /* LCLIST  */
  YYSYMBOL_IF = 112,                       /* IF  */
  YYSYMBOL_THEN = 113,                     /* THEN  */
  YYSYMBOL_ELSE = 114,                     /* ELSE  */
  YYSYMBOL_CASE = 115,                     /* CASE  */
  YYSYMBOL_FOR = 116,                      /* FOR  */
  YYSYMBOL_DO = 117,                       /* DO  */
  YYSYMBOL_TRUE = 118,                     /* TRUE  */
  YYSYMBOL_FALSE = 119,                    /* FALSE  */
  YYSYMBOL_RT = 120,                       /* RT  */
  YYSYMBOL_RO = 121,                       /* RO  */
  YYSYMBOL_UNKNOWN = 122,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 123,                  /* GENERIC  */
  YYSYMBOL_GW = 124,                       /* GW  */
  YYSYMBOL_NET = 125,                      /* NET  */
  YYSYMBOL_SOURCE = 126,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 127,                    /* SCOPE  */
  YYSYMBOL_DEST = 128,                     /* DEST  */
  YYSYMBOL_IFNAME = 129,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 130,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 131,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 132,                  /* GW_MPLS  */
  YYSYMBOL_GW_MPLS_STACK = 133,            /* GW_MPLS_STACK  */
  YYSYMBOL_ONLINK = 134,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 135,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 136,                /* ROA_CHECK  */
  YYSYMBOL_DEFINED = 137,                  /* DEFINED  */
  YYSYMBOL_ADD = 138,                      /* ADD  */
  YYSYMBOL_DELETE = 139,                   /* DELETE  */
  YYSYMBOL_RESET = 140,                    /* RESET  */
  YYSYMBOL_PREPEND = 141,                  /* PREPEND  */
  YYSYMBOL_EMPTY = 142,                    /* EMPTY  */
  YYSYMBOL_FILTER = 143,                   /* FILTER  */
  YYSYMBOL_WHERE = 144,                    /* WHERE  */
  YYSYMBOL_EVAL = 145,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 146,                /* ATTRIBUTE  */
  YYSYMBOL_FROM_HEX = 147,                 /* FROM_HEX  */
  YYSYMBOL_BT_ASSERT = 148,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 149,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 150,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 151,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 152,                   /* FORMAT  */
  YYSYMBOL_153_ = 153,                     /* ':'  */
  YYSYMBOL_154_ = 154,                     /* '['  */
  YYSYMBOL_155_ = 155,                     /* ']'  */
  YYSYMBOL_156_ = 156,                     /* '?'  */
  YYSYMBOL_ROUTER = 157,                   /* ROUTER  */
  YYSYMBOL_ID = 158,                       /* ID  */
  YYSYMBOL_HOSTNAME = 159,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 160,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 161,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 162,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 163,                    /* DEBUG  */
  YYSYMBOL_ALL = 164,                      /* ALL  */
  YYSYMBOL_DIRECT = 165,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 166,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 167,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 168,                   /* EXPORT  */
  YYSYMBOL_NONE = 169,                     /* NONE  */
  YYSYMBOL_VRF = 170,                      /* VRF  */
  YYSYMBOL_DEFAULT = 171,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 172,                    /* TABLE  */
  YYSYMBOL_TABLES = 173,                   /* TABLES  */
  YYSYMBOL_STATES = 174,                   /* STATES  */
  YYSYMBOL_ROUTES = 175,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 176,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 177,                     /* IPV4  */
  YYSYMBOL_IPV6 = 178,                     /* IPV6  */
  YYSYMBOL_VPN4 = 179,                     /* VPN4  */
  YYSYMBOL_VPN6 = 180,                     /* VPN6  */
  YYSYMBOL_ROA4 = 181,                     /* ROA4  */
  YYSYMBOL_ROA6 = 182,                     /* ROA6  */
  YYSYMBOL_SADR = 183,                     /* SADR  */
  YYSYMBOL_RECEIVE = 184,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 185,                    /* LIMIT  */
  YYSYMBOL_ACTION = 186,                   /* ACTION  */
  YYSYMBOL_WARN = 187,                     /* WARN  */
  YYSYMBOL_BLOCK = 188,                    /* BLOCK  */
  YYSYMBOL_RESTART = 189,                  /* RESTART  */
  YYSYMBOL_DISABLE = 190,                  /* DISABLE  */
  YYSYMBOL_KEEP = 191,                     /* KEEP  */
  YYSYMBOL_FILTERED = 192,                 /* FILTERED  */
  YYSYMBOL_RPKI = 193,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 194,                 /* PASSWORD  */
  YYSYMBOL_KEY = 195,                      /* KEY  */
  YYSYMBOL_PASSIVE = 196,                  /* PASSIVE  */
  YYSYMBOL_TO = 197,                       /* TO  */
  YYSYMBOL_EVENTS = 198,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 199,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 200,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 201,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 202,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 203,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 204,                    /* KEYED  */
  YYSYMBOL_HMAC = 205,                     /* HMAC  */
  YYSYMBOL_MD5 = 206,                      /* MD5  */
  YYSYMBOL_SHA1 = 207,                     /* SHA1  */
  YYSYMBOL_SHA256 = 208,                   /* SHA256  */
  YYSYMBOL_SHA384 = 209,                   /* SHA384  */
  YYSYMBOL_SHA512 = 210,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 211,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 212,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 213,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 214,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 215,                  /* PRIMARY  */
  YYSYMBOL_STATS = 216,                    /* STATS  */
  YYSYMBOL_COUNT = 217,                    /* COUNT  */
  YYSYMBOL_COMMANDS = 218,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 219,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 220,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 221,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 222,                 /* GENERATE  */
  YYSYMBOL_BGP = 223,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 224,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 225,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 226,                   /* RELOAD  */
  YYSYMBOL_OUT = 227,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 228,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 229,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 230,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 231,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 232,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 233,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 234,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 235,                      /* ISO  */
  YYSYMBOL_SHORT = 236,                    /* SHORT  */
  YYSYMBOL_LONG = 237,                     /* LONG  */
  YYSYMBOL_ROUTE = 238,                    /* ROUTE  */
  YYSYMBOL_BASE = 239,                     /* BASE  */
  YYSYMBOL_LOG = 240,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 241,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 242,                     /* WAIT  */
  YYSYMBOL_MIN = 243,                      /* MIN  */
  YYSYMBOL_IDLE = 244,                     /* IDLE  */
  YYSYMBOL_RX = 245,                       /* RX  */
  YYSYMBOL_TX = 246,                       /* TX  */
  YYSYMBOL_INTERVAL = 247,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 248,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 249,                    /* CHECK  */
  YYSYMBOL_LINK = 250,                     /* LINK  */
  YYSYMBOL_SORTED = 251,                   /* SORTED  */
  YYSYMBOL_TRIE = 252,                     /* TRIE  */
  YYSYMBOL_SETTLE = 253,                   /* SETTLE  */
  YYSYMBOL_TIME = 254,                     /* TIME  */
  YYSYMBOL_GC = 255,                       /* GC  */
  YYSYMBOL_THRESHOLD = 256,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 257,                   /* PERIOD  */
  YYSYMBOL_MPLS_LABEL = 258,               /* MPLS_LABEL  */
  YYSYMBOL_MPLS_POLICY = 259,              /* MPLS_POLICY  */
  YYSYMBOL_MPLS_CLASS = 260,               /* MPLS_CLASS  */
  YYSYMBOL_IPV4_MC = 261,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 262,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 263,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 264,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 265,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 266,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 267,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 268,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 269,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 270,                      /* PRI  */
  YYSYMBOL_SEC = 271,                      /* SEC  */
  YYSYMBOL_SHOW = 272,                     /* SHOW  */
  YYSYMBOL_STATUS = 273,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 274,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 275,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 276,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 277,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 278,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 279,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 280,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 281,                     /* ECHO  */
  YYSYMBOL_ENABLE = 282,                   /* ENABLE  */
  YYSYMBOL_DOMAIN = 283,                   /* DOMAIN  */
  YYSYMBOL_RANGE = 284,                    /* RANGE  */
  YYSYMBOL_STATIC = 285,                   /* STATIC  */
  YYSYMBOL_DYNAMIC = 286,                  /* DYNAMIC  */
  YYSYMBOL_START = 287,                    /* START  */
  YYSYMBOL_POLICY = 288,                   /* POLICY  */
  YYSYMBOL_AGGREGATE = 289,                /* AGGREGATE  */
  YYSYMBOL_RANGES = 290,                   /* RANGES  */
  YYSYMBOL_AGGREGATOR = 291,               /* AGGREGATOR  */
  YYSYMBOL_PEER = 292,                     /* PEER  */
  YYSYMBOL_MERGE = 293,                    /* MERGE  */
  YYSYMBOL_BY = 294,                       /* BY  */
  YYSYMBOL_BABEL = 295,                    /* BABEL  */
  YYSYMBOL_METRIC = 296,                   /* METRIC  */
  YYSYMBOL_RXCOST = 297,                   /* RXCOST  */
  YYSYMBOL_HELLO = 298,                    /* HELLO  */
  YYSYMBOL_UPDATE = 299,                   /* UPDATE  */
  YYSYMBOL_WIRED = 300,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 301,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 302,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 303,                 /* PRIORITY  */
  YYSYMBOL_HOP = 304,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 305,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 306,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 307,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 308,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 309,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 310,                 /* EXTENDED  */
  YYSYMBOL_TUNNEL = 311,                   /* TUNNEL  */
  YYSYMBOL_RTT = 312,                      /* RTT  */
  YYSYMBOL_DECAY = 313,                    /* DECAY  */
  YYSYMBOL_SEND = 314,                     /* SEND  */
  YYSYMBOL_TIMESTAMPS = 315,               /* TIMESTAMPS  */
  YYSYMBOL_COST = 316,                     /* COST  */
  YYSYMBOL_DELAY = 317,                    /* DELAY  */
  YYSYMBOL_BFD = 318,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 319,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 320,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 321,                      /* DEV  */
  YYSYMBOL_LOCAL = 322,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 323,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 324,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 325,               /* METICULOUS  */
  YYSYMBOL_STRICT = 326,                   /* STRICT  */
  YYSYMBOL_BIND = 327,                     /* BIND  */
  YYSYMBOL_SESSIONS = 328,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 329,                     /* HOLD  */
  YYSYMBOL_CONNECT = 330,                  /* CONNECT  */
  YYSYMBOL_RETRY = 331,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 332,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 333,                  /* STARTUP  */
  YYSYMBOL_VIA = 334,                      /* VIA  */
  YYSYMBOL_SELF = 335,                     /* SELF  */
  YYSYMBOL_PATH = 336,                     /* PATH  */
  YYSYMBOL_FORGET = 337,                   /* FORGET  */
  YYSYMBOL_AFTER = 338,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 339,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 340,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 341,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 342,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 343,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 344,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 345,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 346,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 347,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 348,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 349,                  /* ADDRESS  */
  YYSYMBOL_RR = 350,                       /* RR  */
  YYSYMBOL_RS = 351,                       /* RS  */
  YYSYMBOL_CLIENT = 352,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 353,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 354,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 355,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 356,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 357,                   /* PREFER  */
  YYSYMBOL_OLDER = 358,                    /* OLDER  */
  YYSYMBOL_MISSING = 359,                  /* MISSING  */
  YYSYMBOL_LLADDR = 360,                   /* LLADDR  */
  YYSYMBOL_DROP = 361,                     /* DROP  */
  YYSYMBOL_IGNORE = 362,                   /* IGNORE  */
  YYSYMBOL_ENHANCED = 363,                 /* ENHANCED  */
  YYSYMBOL_REFRESH = 364,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 365,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 366,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 367,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 368,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 369,                      /* IGP  */
  YYSYMBOL_GATEWAY = 370,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 371,                /* RECURSIVE  */
  YYSYMBOL_MED = 372,                      /* MED  */
  YYSYMBOL_TTL = 373,                      /* TTL  */
  YYSYMBOL_SECURITY = 374,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 375,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 376,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 377,                    /* ALLOW  */
  YYSYMBOL_PATHS = 378,                    /* PATHS  */
  YYSYMBOL_AWARE = 379,                    /* AWARE  */
  YYSYMBOL_SETKEY = 380,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 381,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 382,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 383,                /* MULTICAST  */
  YYSYMBOL_LIVED = 384,                    /* LIVED  */
  YYSYMBOL_STALE = 385,                    /* STALE  */
  YYSYMBOL_IBGP = 386,                     /* IBGP  */
  YYSYMBOL_EBGP = 387,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 388,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 389,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 390,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 391,                     /* SETS  */
  YYSYMBOL_NAME = 392,                     /* NAME  */
  YYSYMBOL_DIGITS = 393,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 394,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 395,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 396,                /* ORIGINATE  */
  YYSYMBOL_ENFORCE = 397,                  /* ENFORCE  */
  YYSYMBOL_FIRST = 398,                    /* FIRST  */
  YYSYMBOL_FREE = 399,                     /* FREE  */
  YYSYMBOL_VALIDATE = 400,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 401,                     /* ROLE  */
  YYSYMBOL_ROLES = 402,                    /* ROLES  */
  YYSYMBOL_PROVIDER = 403,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 404,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 405,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 406,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 407,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 408,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 409,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 410,                    /* CEASE  */
  YYSYMBOL_HIT = 411,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 412,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 413,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 414,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 415,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 416,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 417,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 418,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 419,                /* COLLISION  */
  YYSYMBOL_OF = 420,                       /* OF  */
  YYSYMBOL_L3VPN = 421,                    /* L3VPN  */
  YYSYMBOL_TARGET = 422,                   /* TARGET  */
  YYSYMBOL_DISTINGUISHER = 423,            /* DISTINGUISHER  */
  YYSYMBOL_MRT = 424,                      /* MRT  */
  YYSYMBOL_FILENAME = 425,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 426,                   /* ALWAYS  */
  YYSYMBOL_V2 = 427,                       /* V2  */
  YYSYMBOL_V3 = 428,                       /* V3  */
  YYSYMBOL_OSPF = 429,                     /* OSPF  */
  YYSYMBOL_OSPF_METRIC1 = 430,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 431,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 432,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 433,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 434,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 435,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 436,                     /* STUB  */
  YYSYMBOL_TICK = 437,                     /* TICK  */
  YYSYMBOL_COST2 = 438,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 439,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 440,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 441,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 442,                /* BROADCAST  */
  YYSYMBOL_BCAST = 443,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 444,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 445,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 446,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 447,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 448,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 449,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 450,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 451,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 452,                     /* POLL  */
  YYSYMBOL_NETWORKS = 453,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 454,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 455,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 456,                     /* ONLY  */
  YYSYMBOL_LARGE = 457,                    /* LARGE  */
  YYSYMBOL_NORMAL = 458,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 459,                  /* STUBNET  */
  YYSYMBOL_TAG = 460,                      /* TAG  */
  YYSYMBOL_LSADB = 461,                    /* LSADB  */
  YYSYMBOL_ECMP = 462,                     /* ECMP  */
  YYSYMBOL_NSSA = 463,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 464,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 465,                /* STABILITY  */
  YYSYMBOL_LSID = 466,                     /* LSID  */
  YYSYMBOL_INSTANCE = 467,                 /* INSTANCE  */
  YYSYMBOL_REAL = 468,                     /* REAL  */
  YYSYMBOL_NETMASK = 469,                  /* NETMASK  */
  YYSYMBOL_LSA = 470,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 471,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 472,                  /* RFC5838  */
  YYSYMBOL_PE = 473,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 474,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 475,                    /* STATE  */
  YYSYMBOL_PERF = 476,                     /* PERF  */
  YYSYMBOL_EXP = 477,                      /* EXP  */
  YYSYMBOL_REPEAT = 478,                   /* REPEAT  */
  YYSYMBOL_MODE = 479,                     /* MODE  */
  YYSYMBOL_PIPE = 480,                     /* PIPE  */
  YYSYMBOL_RADV = 481,                     /* RADV  */
  YYSYMBOL_RA = 482,                       /* RA  */
  YYSYMBOL_SOLICITED = 483,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 484,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 485,                  /* MANAGED  */
  YYSYMBOL_OTHER = 486,                    /* OTHER  */
  YYSYMBOL_CONFIG = 487,                   /* CONFIG  */
  YYSYMBOL_LINGER = 488,                   /* LINGER  */
  YYSYMBOL_MTU = 489,                      /* MTU  */
  YYSYMBOL_REACHABLE = 490,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 491,                  /* RETRANS  */
  YYSYMBOL_TIMER = 492,                    /* TIMER  */
  YYSYMBOL_CURRENT = 493,                  /* CURRENT  */
  YYSYMBOL_VALID = 494,                    /* VALID  */
  YYSYMBOL_PREFERRED = 495,                /* PREFERRED  */
  YYSYMBOL_MULT = 496,                     /* MULT  */
  YYSYMBOL_LIFETIME = 497,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 498,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 499,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 500,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 501,                    /* DNSSL  */
  YYSYMBOL_NS = 502,                       /* NS  */
  YYSYMBOL_TRIGGER = 503,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 504,                /* SENSITIVE  */
  YYSYMBOL_LOW = 505,                      /* LOW  */
  YYSYMBOL_MEDIUM = 506,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 507,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 508,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 509,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 510,              /* RA_LIFETIME  */
  YYSYMBOL_CUSTOM = 511,                   /* CUSTOM  */
  YYSYMBOL_OPTION = 512,                   /* OPTION  */
  YYSYMBOL_VALUE = 513,                    /* VALUE  */
  YYSYMBOL_NG = 514,                       /* NG  */
  YYSYMBOL_RIP = 515,                      /* RIP  */
  YYSYMBOL_INFINITY = 516,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 517,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 518,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 519,                  /* VERSION  */
  YYSYMBOL_SPLIT = 520,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 521,                  /* HORIZON  */
  YYSYMBOL_POISON = 522,                   /* POISON  */
  YYSYMBOL_REVERSE = 523,                  /* REVERSE  */
  YYSYMBOL_ZERO = 524,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 525,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 526,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 527,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 528,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 529,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 530,                   /* REMOTE  */
  YYSYMBOL_BIRD = 531,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 532,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 533,                   /* PUBLIC  */
  YYSYMBOL_SSH = 534,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 535,                /* TRANSPORT  */
  YYSYMBOL_USER = 536,                     /* USER  */
  YYSYMBOL_EXPIRE = 537,                   /* EXPIRE  */
  YYSYMBOL_PROHIBIT = 538,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 539,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 540,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 541,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 542,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 543,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 544,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 545,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 546,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 547,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 548,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 549,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTHRESH = 550,             /* KRT_SSTHRESH  */
  YYSYMBOL_KRT_CWND = 551,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 552,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 553,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 554,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 555,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 556,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 557,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 558,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_CONGCTL = 559,              /* KRT_CONGCTL  */
  YYSYMBOL_KRT_FASTOPEN_NO_COOKIE = 560,   /* KRT_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_LOCK_MTU = 561,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 562,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 563,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 564,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTHRESH = 565,        /* KRT_LOCK_SSTHRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 566,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 567,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 568,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 569,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_INITCWND = 570,        /* KRT_LOCK_INITCWND  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 571,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_LOCK_INITRWND = 572,        /* KRT_LOCK_INITRWND  */
  YYSYMBOL_KRT_LOCK_QUICKACK = 573,        /* KRT_LOCK_QUICKACK  */
  YYSYMBOL_KRT_LOCK_CONGCTL = 574,         /* KRT_LOCK_CONGCTL  */
  YYSYMBOL_KRT_LOCK_FASTOPEN_NO_COOKIE = 575, /* KRT_LOCK_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_FEATURE_ECN = 576,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 577,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_KRT_SSTRESH = 578,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 579,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_SYSLOG = 580,                   /* SYSLOG  */
  YYSYMBOL_STDERR = 581,                   /* STDERR  */
  YYSYMBOL_UDP = 582,                      /* UDP  */
  YYSYMBOL_TRACE = 583,                    /* TRACE  */
  YYSYMBOL_INFO = 584,                     /* INFO  */
  YYSYMBOL_WARNING = 585,                  /* WARNING  */
  YYSYMBOL_AUTH = 586,                     /* AUTH  */
  YYSYMBOL_FATAL = 587,                    /* FATAL  */
  YYSYMBOL_BUG = 588,                      /* BUG  */
  YYSYMBOL_LATENCY = 589,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 590,                 /* WATCHDOG  */
  YYSYMBOL_THREADS = 591,                  /* THREADS  */
  YYSYMBOL_CONFIGURE = 592,                /* CONFIGURE  */
  YYSYMBOL_SOFT = 593,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 594,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 595,                     /* UNDO  */
  YYSYMBOL_DOWN = 596,                     /* DOWN  */
  YYSYMBOL_PERSIST = 597,                  /* PERSIST  */
  YYSYMBOL_SCAN = 598,                     /* SCAN  */
  YYSYMBOL_LEARN = 599,                    /* LEARN  */
  YYSYMBOL_DEVICE = 600,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 601,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 602,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 603,                 /* $accept  */
  YYSYMBOL_cli_cmd = 604,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 605,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 606,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 607,                 /* cmd_HELP  */
  YYSYMBOL_config = 608,                   /* config  */
  YYSYMBOL_conf_entries = 609,             /* conf_entries  */
  YYSYMBOL_conf = 610,                     /* conf  */
  YYSYMBOL_definition = 611,               /* definition  */
  YYSYMBOL_expr = 612,                     /* expr  */
  YYSYMBOL_expr_us = 613,                  /* expr_us  */
  YYSYMBOL_symbol = 614,                   /* symbol  */
  YYSYMBOL_symbol_known = 615,             /* symbol_known  */
  YYSYMBOL_bool = 616,                     /* bool  */
  YYSYMBOL_ipa = 617,                      /* ipa  */
  YYSYMBOL_ipa_scope = 618,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 619,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 620,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 621,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 622,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 623,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 624,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 625,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 626,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 627,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 628,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 629,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 630,                 /* net_roa_  */
  YYSYMBOL_net_ = 631,                     /* net_  */
  YYSYMBOL_net_ip4 = 632,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 633,                  /* net_ip6  */
  YYSYMBOL_net_ip = 634,                   /* net_ip  */
  YYSYMBOL_net_any = 635,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 636,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 637,        /* label_stack_start  */
  YYSYMBOL_label_stack = 638,              /* label_stack  */
  YYSYMBOL_time = 639,                     /* time  */
  YYSYMBOL_text = 640,                     /* text  */
  YYSYMBOL_opttext = 641,                  /* opttext  */
  YYSYMBOL_text_or_ipa = 642,              /* text_or_ipa  */
  YYSYMBOL_bytestring = 643,               /* bytestring  */
  YYSYMBOL_bytestring_text = 644,          /* bytestring_text  */
  YYSYMBOL_bytestring_expr = 645,          /* bytestring_expr  */
  YYSYMBOL_flow_num_op = 646,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 647,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 648,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 649,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 650,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 651,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 652,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 653,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 654,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 655,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 656,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 657,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 658,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 659,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 660,               /* flow4_item  */
  YYSYMBOL_flow6_item = 661,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 662,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 663,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 664,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 665,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 666,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 667,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 668,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 669,                /* net_flow_  */
  YYSYMBOL_KEYWORD = 670,                  /* KEYWORD  */
  YYSYMBOL_filter_def = 671,               /* filter_def  */
  YYSYMBOL_672_1 = 672,                    /* $@1  */
  YYSYMBOL_filter_eval = 673,              /* filter_eval  */
  YYSYMBOL_custom_attr = 674,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 675,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 676,             /* bt_test_same  */
  YYSYMBOL_type = 677,                     /* type  */
  YYSYMBOL_function_argsn = 678,           /* function_argsn  */
  YYSYMBOL_function_args = 679,            /* function_args  */
  YYSYMBOL_function_vars = 680,            /* function_vars  */
  YYSYMBOL_function_type = 681,            /* function_type  */
  YYSYMBOL_filter_body = 682,              /* filter_body  */
  YYSYMBOL_filter = 683,                   /* filter  */
  YYSYMBOL_684_2 = 684,                    /* $@2  */
  YYSYMBOL_where_filter = 685,             /* where_filter  */
  YYSYMBOL_function_body = 686,            /* function_body  */
  YYSYMBOL_function_def = 687,             /* function_def  */
  YYSYMBOL_688_3 = 688,                    /* $@3  */
  YYSYMBOL_689_4 = 689,                    /* $@4  */
  YYSYMBOL_cmds = 690,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 691,              /* cmds_scoped  */
  YYSYMBOL_692_5 = 692,                    /* $@5  */
  YYSYMBOL_cmd_var = 693,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 694,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 695,                 /* cmds_int  */
  YYSYMBOL_fipa = 696,                     /* fipa  */
  YYSYMBOL_set_atom = 697,                 /* set_atom  */
  YYSYMBOL_switch_atom = 698,              /* switch_atom  */
  YYSYMBOL_cnum = 699,                     /* cnum  */
  YYSYMBOL_pair_item = 700,                /* pair_item  */
  YYSYMBOL_ec_kind = 701,                  /* ec_kind  */
  YYSYMBOL_ec_item = 702,                  /* ec_item  */
  YYSYMBOL_lc_item = 703,                  /* lc_item  */
  YYSYMBOL_set_item = 704,                 /* set_item  */
  YYSYMBOL_switch_item = 705,              /* switch_item  */
  YYSYMBOL_ec_items = 706,                 /* ec_items  */
  YYSYMBOL_set_items = 707,                /* set_items  */
  YYSYMBOL_switch_items = 708,             /* switch_items  */
  YYSYMBOL_fprefix = 709,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 710,              /* fprefix_set  */
  YYSYMBOL_switch_body = 711,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 712,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 713,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 714,            /* bgp_path_tail  */
  YYSYMBOL_constant = 715,                 /* constant  */
  YYSYMBOL_constructor = 716,              /* constructor  */
  YYSYMBOL_var_list_r = 717,               /* var_list_r  */
  YYSYMBOL_var_list = 718,                 /* var_list  */
  YYSYMBOL_function_call = 719,            /* function_call  */
  YYSYMBOL_symbol_value = 720,             /* symbol_value  */
  YYSYMBOL_static_attr = 721,              /* static_attr  */
  YYSYMBOL_term_dot_method = 722,          /* term_dot_method  */
  YYSYMBOL_723_6 = 723,                    /* $@6  */
  YYSYMBOL_method_name_cont = 724,         /* method_name_cont  */
  YYSYMBOL_725_7 = 725,                    /* $@7  */
  YYSYMBOL_term = 726,                     /* term  */
  YYSYMBOL_term_bs = 727,                  /* term_bs  */
  YYSYMBOL_break_command = 728,            /* break_command  */
  YYSYMBOL_var = 729,                      /* var  */
  YYSYMBOL_for_var = 730,                  /* for_var  */
  YYSYMBOL_cmd = 731,                      /* cmd  */
  YYSYMBOL_732_8 = 732,                    /* $@8  */
  YYSYMBOL_733_9 = 733,                    /* $@9  */
  YYSYMBOL_734_10 = 734,                   /* $@10  */
  YYSYMBOL_735_11 = 735,                   /* $@11  */
  YYSYMBOL_get_cf_position = 736,          /* get_cf_position  */
  YYSYMBOL_lvalue = 737,                   /* lvalue  */
  YYSYMBOL_rtrid = 738,                    /* rtrid  */
  YYSYMBOL_idval = 739,                    /* idval  */
  YYSYMBOL_hostname_override = 740,        /* hostname_override  */
  YYSYMBOL_gr_opts = 741,                  /* gr_opts  */
  YYSYMBOL_net_type_base = 742,            /* net_type_base  */
  YYSYMBOL_net_type = 743,                 /* net_type  */
  YYSYMBOL_table = 744,                    /* table  */
  YYSYMBOL_table_start = 745,              /* table_start  */
  YYSYMBOL_table_sorted = 746,             /* table_sorted  */
  YYSYMBOL_table_opt = 747,                /* table_opt  */
  YYSYMBOL_table_opts = 748,               /* table_opts  */
  YYSYMBOL_table_opt_list = 749,           /* table_opt_list  */
  YYSYMBOL_proto_start = 750,              /* proto_start  */
  YYSYMBOL_proto_name = 751,               /* proto_name  */
  YYSYMBOL_proto_item = 752,               /* proto_item  */
  YYSYMBOL_channel_start = 753,            /* channel_start  */
  YYSYMBOL_channel_item_ = 754,            /* channel_item_  */
  YYSYMBOL_channel_item = 755,             /* channel_item  */
  YYSYMBOL_channel_opts = 756,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 757,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 758,              /* channel_end  */
  YYSYMBOL_proto_channel = 759,            /* proto_channel  */
  YYSYMBOL_rtable = 760,                   /* rtable  */
  YYSYMBOL_imexport = 761,                 /* imexport  */
  YYSYMBOL_limit_action = 762,             /* limit_action  */
  YYSYMBOL_limit_spec = 763,               /* limit_spec  */
  YYSYMBOL_debug_default = 764,            /* debug_default  */
  YYSYMBOL_timeformat_which = 765,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 766,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 767,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 768,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 769,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 770,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 771,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 772,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 773,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 774,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 775,               /* iface_patt  */
  YYSYMBOL_tos = 776,                      /* tos  */
  YYSYMBOL_proto = 777,                    /* proto  */
  YYSYMBOL_dev_proto_start = 778,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 779,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 780,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 781,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 782,               /* debug_mask  */
  YYSYMBOL_debug_list = 783,               /* debug_list  */
  YYSYMBOL_debug_flag = 784,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 785,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 786,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 787,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 788,            /* password_list  */
  YYSYMBOL_password_list_body = 789,       /* password_list_body  */
  YYSYMBOL_password_items = 790,           /* password_items  */
  YYSYMBOL_password_item = 791,            /* password_item  */
  YYSYMBOL_pass_key = 792,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 793,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 794,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 795,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 796,        /* password_item_end  */
  YYSYMBOL_bfd_item = 797,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 798,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 799,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 800,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 801,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 802,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 803,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 804,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 805,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 806, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 807,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 808,                   /* r_args  */
  YYSYMBOL_r_args_for = 809,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 810,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 811,              /* export_mode  */
  YYSYMBOL_channel_sym = 812,              /* channel_sym  */
  YYSYMBOL_channel_arg = 813,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 814,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 815,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 816,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 817,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 818,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 819,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 820,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 821,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 822,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 823,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 824,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 825,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 826,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 827,                /* echo_mask  */
  YYSYMBOL_echo_size = 828,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 829,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 830,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 831,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 832,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 833,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 834,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 835,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 836,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 837,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 838,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 839,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 840,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 841,             /* dynamic_attr  */
  YYSYMBOL_mpls_domain = 842,              /* mpls_domain  */
  YYSYMBOL_mpls_domain_start = 843,        /* mpls_domain_start  */
  YYSYMBOL_mpls_domain_opt = 844,          /* mpls_domain_opt  */
  YYSYMBOL_mpls_domain_opts = 845,         /* mpls_domain_opts  */
  YYSYMBOL_mpls_domain_opt_list = 846,     /* mpls_domain_opt_list  */
  YYSYMBOL_mpls_domain_end = 847,          /* mpls_domain_end  */
  YYSYMBOL_mpls_range = 848,               /* mpls_range  */
  YYSYMBOL_mpls_range_start = 849,         /* mpls_range_start  */
  YYSYMBOL_mpls_range_opt = 850,           /* mpls_range_opt  */
  YYSYMBOL_mpls_range_opts = 851,          /* mpls_range_opts  */
  YYSYMBOL_mpls_range_opt_list = 852,      /* mpls_range_opt_list  */
  YYSYMBOL_mpls_range_end = 853,           /* mpls_range_end  */
  YYSYMBOL_mpls_channel = 854,             /* mpls_channel  */
  YYSYMBOL_mpls_channel_start = 855,       /* mpls_channel_start  */
  YYSYMBOL_mpls_label_policy = 856,        /* mpls_label_policy  */
  YYSYMBOL_mpls_channel_opt = 857,         /* mpls_channel_opt  */
  YYSYMBOL_mpls_channel_opts = 858,        /* mpls_channel_opts  */
  YYSYMBOL_mpls_channel_opt_list = 859,    /* mpls_channel_opt_list  */
  YYSYMBOL_mpls_channel_end = 860,         /* mpls_channel_end  */
  YYSYMBOL_861_12 = 861,                   /* $@12  */
  YYSYMBOL_show_mpls_ranges_args = 862,    /* show_mpls_ranges_args  */
  YYSYMBOL_cmd_SHOW_MPLS_RANGES = 863,     /* cmd_SHOW_MPLS_RANGES  */
  YYSYMBOL_aggregator_proto_start = 864,   /* aggregator_proto_start  */
  YYSYMBOL_aggregator_proto_item = 865,    /* aggregator_proto_item  */
  YYSYMBOL_866_13 = 866,                   /* $@13  */
  YYSYMBOL_aggregator_proto_opts = 867,    /* aggregator_proto_opts  */
  YYSYMBOL_aggregator_proto = 868,         /* aggregator_proto  */
  YYSYMBOL_aggr_list = 869,                /* aggr_list  */
  YYSYMBOL_aggr_item = 870,                /* aggr_item  */
  YYSYMBOL_babel_proto_start = 871,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 872,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 873,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 874,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 875,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 876,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 877,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 878,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 879,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 880,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 881, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 882, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 883,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 884,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 885,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 886,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 887,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 888,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 889,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 890,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 891,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 892,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 893,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 894,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 895,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 896,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 897,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 898,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 899,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 900,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 901,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 902,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 903,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bfd_show_sessions_args = 904,   /* bfd_show_sessions_args  */
  YYSYMBOL_bgp_proto_start = 905,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 906,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 907,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 908,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 909,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 910,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 911,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 912,                /* bgp_proto  */
  YYSYMBOL_913_14 = 913,                   /* $@14  */
  YYSYMBOL_914_15 = 914,                   /* $@15  */
  YYSYMBOL_bgp_afi = 915,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 916,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 917,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 918,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 919,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 920,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 921,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 922,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 923,        /* bgp_proto_channel  */
  YYSYMBOL_l3vpn_channel_start = 924,      /* l3vpn_channel_start  */
  YYSYMBOL_l3vpn_channel = 925,            /* l3vpn_channel  */
  YYSYMBOL_l3vpn_proto_start = 926,        /* l3vpn_proto_start  */
  YYSYMBOL_l3vpn_proto_item = 927,         /* l3vpn_proto_item  */
  YYSYMBOL_l3vpn_proto_opts = 928,         /* l3vpn_proto_opts  */
  YYSYMBOL_l3vpn_proto = 929,              /* l3vpn_proto  */
  YYSYMBOL_l3vpn_targets = 930,            /* l3vpn_targets  */
  YYSYMBOL_mrt_proto_start = 931,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 932,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 933,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 934,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 935,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 936,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 937,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 938,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 939,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 940,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 941,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 942,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 943,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 944,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 945,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 946,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 947,           /* ospf_area_item  */
  YYSYMBOL_948_16 = 948,                   /* $@16  */
  YYSYMBOL_949_17 = 949,                   /* $@17  */
  YYSYMBOL_ospf_stubnet = 950,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 951,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 952,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 953,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 954,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 955,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 956,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 957,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 958,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 959,                /* pref_list  */
  YYSYMBOL_pref_item = 960,                /* pref_item  */
  YYSYMBOL_pref_base = 961,                /* pref_base  */
  YYSYMBOL_pref_opt = 962,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 963,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 964,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 965,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 966,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 967,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 968,     /* ospf_iface_patt_list  */
  YYSYMBOL_969_18 = 969,                   /* $@18  */
  YYSYMBOL_ospf_iface_opts = 970,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 971,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 972,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 973,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 974,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 975,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 976,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 977, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 978,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 979,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 980,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 981,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 982,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 983,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 984,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 985,         /* pipe_proto_start  */
  YYSYMBOL_986_19 = 986,                   /* $@19  */
  YYSYMBOL_pipe_proto = 987,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 988,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 989,          /* radv_proto_item  */
  YYSYMBOL_990_20 = 990,                   /* $@20  */
  YYSYMBOL_991_21 = 991,                   /* $@21  */
  YYSYMBOL_radv_proto_opts = 992,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 993,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 994,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 995,          /* radv_iface_item  */
  YYSYMBOL_996_22 = 996,                   /* $@22  */
  YYSYMBOL_997_23 = 997,                   /* $@23  */
  YYSYMBOL_radv_preference = 998,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 999,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 1000,         /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 1001,     /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 1002,              /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 1003,       /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 1004,        /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 1005,      /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 1006,        /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 1007,    /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 1008,             /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 1009,         /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 1010,        /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 1011,         /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 1012,       /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 1013,         /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 1014,              /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 1015,         /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 1016,        /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 1017,         /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 1018,       /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 1019,         /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 1020,              /* radv_dnssl  */
  YYSYMBOL_radv_mult = 1021,               /* radv_mult  */
  YYSYMBOL_radv_sensitive = 1022,          /* radv_sensitive  */
  YYSYMBOL_rip_variant = 1023,             /* rip_variant  */
  YYSYMBOL_rip_proto_start = 1024,         /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 1025,          /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 1026,          /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 1027,               /* rip_proto  */
  YYSYMBOL_rip_iface_start = 1028,         /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 1029,        /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 1030,          /* rip_iface_item  */
  YYSYMBOL_rip_auth = 1031,                /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 1032,          /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 1033,      /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 1034,               /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 1035, /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 1036,  /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 1037,        /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 1038,              /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 1039,         /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 1040,         /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 1041,      /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 1042,    /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 1043,         /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 1044,          /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 1045, /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 1046, /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 1047, /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 1048, /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 1049, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 1050,      /* static_proto_start  */
  YYSYMBOL_static_proto = 1051,            /* static_proto  */
  YYSYMBOL_stat_nexthop = 1052,            /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 1053,           /* stat_nexthops  */
  YYSYMBOL_stat_mpls = 1054,               /* stat_mpls  */
  YYSYMBOL_stat_route0 = 1055,             /* stat_route0  */
  YYSYMBOL_1056_24 = 1056,                 /* $@24  */
  YYSYMBOL_stat_route = 1057,              /* stat_route  */
  YYSYMBOL_stat_route_item = 1058,         /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 1059,         /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 1060,     /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 1061,         /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 1062,              /* kern_proto  */
  YYSYMBOL_kern_sys_item = 1063,           /* kern_sys_item  */
  YYSYMBOL_log_begin = 1064,               /* log_begin  */
  YYSYMBOL_log_config = 1065,              /* log_config  */
  YYSYMBOL_syslog_name = 1066,             /* syslog_name  */
  YYSYMBOL_log_limit = 1067,               /* log_limit  */
  YYSYMBOL_log_file = 1068,                /* log_file  */
  YYSYMBOL_log_udp_host = 1069,            /* log_udp_host  */
  YYSYMBOL_log_udp_port = 1070,            /* log_udp_port  */
  YYSYMBOL_log_mask = 1071,                /* log_mask  */
  YYSYMBOL_log_mask_list = 1072,           /* log_mask_list  */
  YYSYMBOL_log_cat = 1073,                 /* log_cat  */
  YYSYMBOL_mrtdump_base = 1074,            /* mrtdump_base  */
  YYSYMBOL_debug_unix = 1075,              /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 1076,           /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 1077,      /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1078,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1079,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1080,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1081,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1082,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1083,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1084,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1085,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1086,        /* kern_proto_start  */
  YYSYMBOL_kern_learn = 1087,              /* kern_learn  */
  YYSYMBOL_kern_mp_limit = 1088,           /* kern_mp_limit  */
  YYSYMBOL_kern_channel = 1089,            /* kern_channel  */
  YYSYMBOL_kern_item = 1090,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1091,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1092,               /* kif_proto  */
  YYSYMBOL_kif_item = 1093,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1094,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1095,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1096,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1097,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1098                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  80
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   11679

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  603
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  496
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2182
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3550

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   836


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    41,     2,     2,     2,    40,     2,     2,
      58,    59,    38,    36,    83,    37,    42,    39,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   153,    57,
      32,    31,    33,   156,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   154,     2,   155,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    84,     2,    85,    34,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    35,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,   147,   148,   151,   153,   156,   161,   164,   172,   173,
     174,   180,   181,   182,   185,   185,   185,   186,   191,   192,
     193,   194,   195,   196,   203,   204,   205,   212,   213,   220,
     226,   236,   249,   268,   274,   280,   288,   296,   302,   302,
     303,   303,   304,   304,   307,   308,   309,   310,   311,   312,
     319,   320,   328,   329,   337,   338,   346,   347,   355,   356,
     357,   358,   359,   369,   377,   378,   387,   395,   396,   403,
     404,   408,   409,   410,   411,   418,   426,   427,   431,   432,
     433,   441,   442,   443,    37,    38,    39,    40,    41,    42,
      43,    44,    48,    49,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    65,    66,    67,    70,    71,    75,
      79,    83,    84,    88,    92,   101,   102,   106,   110,   114,
     121,   122,   126,   127,   128,   129,   133,   136,   139,   145,
     149,   150,   151,   155,   159,   165,   166,   167,   170,   172,
     175,   177,   181,   188,   189,   191,   197,   203,   203,     9,
       9,    10,    10,    11,    11,   400,   402,   402,   415,   417,
     420,   421,   425,   427,   438,   440,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   494,   495,   504,   505,   513,   514,
     521,   522,   525,   528,   532,   532,   545,   552,   558,   561,
     565,   561,   592,   593,   596,   596,   598,   598,   600,   608,
     609,   626,   627,   640,   641,   642,   643,   644,   648,   656,
     657,   658,   659,   663,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   680,   681,   682,   683,   687,   688,
     689,   693,   694,   695,   696,   697,   698,   699,   700,   705,
     706,   707,   708,   709,   713,   714,   715,   716,   717,   721,
     722,   726,   727,   731,   732,   736,   737,   738,   739,   747,
     748,   751,   752,   759,   769,   770,   774,   778,   779,   780,
     781,   785,   786,   787,   788,   789,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   807,   808,   812,   813,
     814,   815,   821,   822,   823,   826,   842,   851,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
     882,   883,   886,   886,   888,   891,   891,   896,   901,   909,
     910,   911,   912,   913,   914,   915,   916,   917,   918,   919,
     920,   921,   922,   923,   924,   925,   927,   928,   929,   931,
     933,   935,   937,   938,   939,   940,   942,   943,   944,   945,
     947,   948,   950,   952,   953,   957,   961,   962,   963,   967,
     971,   978,   979,   983,   986,   989,   992,   998,  1000,   992,
    1005,  1017,  1033,  1036,  1041,  1044,  1053,  1056,  1059,  1062,
    1063,  1066,  1066,  1072,  1073,  1077,  1082,  1095,  1096,   163,
     166,   167,   171,   172,   173,   174,   184,   186,   188,   190,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   208,
     209,   217,   219,   221,   226,   228,   232,   233,   234,   239,
     240,   241,   242,   245,   247,   250,   252,   258,   261,   262,
     266,   272,   276,   286,   296,   298,   299,   300,   301,   302,
     303,   304,   308,   314,   319,   320,   321,   322,   323,   324,
     325,   326,   331,   332,   335,   337,   340,   342,   346,   353,
     356,   359,   360,   361,   362,   366,   367,   368,   369,   370,
     374,   375,   379,   382,   383,   384,   385,   390,   393,   394,
     395,   396,   400,   401,   402,   403,   404,   405,   406,   407,
     411,   418,   426,   427,   431,   432,   436,   441,   442,   446,
     448,   456,   460,   461,   466,   468,   475,   476,   477,   478,
     479,   483,   491,   497,   498,   499,   503,   504,   508,   509,
     510,   511,   512,   513,   519,   520,   521,   525,   526,   530,
     531,   537,   541,   542,   545,   547,   551,   552,   555,   555,
     557,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   597,   605,   606,   607,   608,   609,
     610,   611,   614,   616,   620,   626,   626,   629,   629,   632,
     632,   635,   635,   639,   640,   643,   643,   646,   646,   650,
     650,   671,   677,   683,   689,   696,   702,   709,   714,   719,
     724,   729,   733,   737,   741,   751,   758,   767,   771,   778,
     782,   783,   784,   785,   789,   793,   797,   811,   812,   813,
     814,   817,   818,   819,   820,   825,   826,   827,   828,   829,
     830,   831,   832,   833,   834,   835,   836,   837,   838,   839,
     840,   841,   842,   843,   844,   848,   858,   858,   868,   871,
     872,   873,   874,   875,   876,   881,   881,   883,   883,   885,
     885,   887,   887,   889,   889,   891,   891,   893,   893,   895,
     895,   897,   897,   900,   900,   904,   904,   910,   911,   912,
     916,   917,   923,   923,   925,   925,   927,   927,   929,   929,
     931,   931,   933,   933,   937,   937,   950,   951,   955,   955,
     958,   958,   962,   963,   964,   968,   969,   970,   973,   975,
     976,   977,    31,    33,    35,    38,    41,    43,    46,    48,
      51,    54,    56,    67,    68,    71,    73,    76,    78,    82,
      95,    97,   117,   118,   119,   120,   124,   125,   126,   127,
     128,   129,   132,   134,   137,   139,   142,   142,   147,   153,
     176,   184,   194,   194,    29,    31,    41,    42,    43,    44,
      74,    74,    84,    84,    85,    89,    90,   101,   106,   120,
     125,    36,    38,    48,    49,    50,    51,    52,    53,    56,
      58,    62,    66,    67,    68,    69,    73,    77,    81,    95,
     115,   116,   117,   118,   119,   120,   121,   122,   126,   127,
     128,   129,   130,   131,   134,   136,   139,   141,   145,   148,
     153,   154,   155,   159,   160,   164,   165,   168,   189,   189,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      33,    35,    43,    44,    45,    46,    49,    51,    55,    59,
      80,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   173,   175,   178,
     180,   185,   187,   191,   191,   194,   194,   197,   197,   200,
     200,    48,    50,    84,    86,    87,    90,    92,    93,    94,
      95,   100,   101,   105,   106,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   122,   123,   124,   125,   126,   130,
     131,   132,   133,   134,   135,   139,   140,   146,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   223,   223,   224,   225,   226,
     227,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   245,   271,   272,   273,   275,   275,   275,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   318,   330,   332,   335,
     337,   341,   348,   351,   353,   355,   357,   359,   361,   363,
     365,   367,   369,   371,   373,   375,   377,   380,    49,    52,
      65,    67,    74,    75,    76,    77,    78,    79,    80,    81,
      84,    86,    90,    94,    95,    26,    28,    34,    35,    36,
      37,    38,    39,    40,    41,    44,    46,    50,    53,    53,
      62,    63,    64,    65,    66,    67,   212,   215,   216,   217,
     220,   236,   237,   241,   242,   246,   255,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   275,   290,   293,   295,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   308,   309,   309,   310,
     311,   312,   316,   317,   321,   329,   331,   335,   336,   337,
     341,   342,   345,   347,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   363,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   423,   425,   428,   430,   438,
     440,   441,   444,   446,   450,   451,   454,   464,   486,   488,
     492,   492,   495,   497,   500,   502,   506,   509,   510,   511,
     512,   515,   515,   518,   518,   521,   521,   526,   526,   529,
     529,   534,   534,   537,   537,   541,   541,   558,   561,   562,
     563,   564,   565,   566,   567,   568,    24,    26,    40,    41,
      42,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    23,    26,    25,    40,    41,    42,    43,    53,    55,
      68,    69,    70,    71,    72,    72,    73,    73,    74,    75,
      76,    79,    81,    85,    89,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   128,   132,   133,   134,
     135,   136,   137,   137,   138,   138,   139,   140,   141,   142,
     146,   147,   148,   151,   189,   191,   194,   196,   200,   203,
     215,   216,   217,   218,   222,   229,   237,   239,   242,   244,
     248,   252,   262,   267,   268,   269,   273,   285,   287,   291,
     292,   296,   309,   314,   315,   316,   320,   332,   334,   338,
     339,   344,   345,   349,   350,   353,   354,    47,    50,    51,
      54,    68,    69,    70,    71,    72,    73,    76,    78,    82,
      86,   111,   141,   142,   143,   144,   145,   146,   147,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   174,
     175,   176,   177,   180,   182,   185,   187,   191,   194,   195,
     199,   199,   202,   202,    41,    43,    50,    52,    54,    58,
      59,    60,    61,    62,    63,    64,    65,    71,    77,    83,
      87,    88,    91,    93,   111,   112,   116,   123,   133,   135,
     139,   140,   141,   145,    54,    56,    63,    64,    65,    66,
      67,    68,    76,    80,    85,    90,    93,    96,   101,   105,
     113,   114,   117,   119,   122,   122,   135,   136,   140,   145,
     146,   147,   148,   149,   150,   154,   163,   165,   168,   170,
     174,   174,    31,    34,    35,    36,    39,    40,    41,    43,
      44,    45,    46,    47,    48,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    63,    64,    65,    66,    67,
      68,    70,    71,    72,    73,    74,    76,    77,    78,    79,
      80,    82,    83,    32,    34,    36,    38,    45,    46,    49,
      51,    55,    65,    66,    67,    75,    85,    86,    90,    91,
      95,    96,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   112,   115,   116,   127,   130,   131,   132,   133,   141,
     141,   144,   144,   151,   151,   154,   154,   157,   157,   160,
     160,   163,   163,   168,   168,   173,   174,   178,   179,   180,
      43,    45,    50,    51,    54,    55,    59,    60,    65,    66,
      70,    71,    72,    73,    77,    84,    85,    96,    98,   101,
     102,   105,   106,   107,   114,   121,   124,   126,   129,   131,
     135,   138,   139
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "IMP", "PO", "PC", "NUM", "ENUM", "IP4", "IP6",
  "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE",
  "CF_SYM_METHOD_ARGS", "TEXT", "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'",
  "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT", "VPN",
  "MPLS", "FROM", "MAX", "AS", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "IN", "FUNCTION", "PRINT", "PRINTN",
  "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP",
  "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING",
  "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE", "RT", "RO",
  "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK", "PREFERENCE",
  "ROA_CHECK", "DEFINED", "ADD", "DELETE", "RESET", "PREPEND", "EMPTY",
  "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "':'",
  "'['", "']'", "'?'", "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE",
  "DISABLED", "DEBUG", "ALL", "DIRECT", "INTERFACE", "IMPORT", "EXPORT",
  "NONE", "VRF", "DEFAULT", "TABLE", "TABLES", "STATES", "ROUTES",
  "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6", "SADR",
  "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART", "DISABLE",
  "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED",
  "HMAC", "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "BLAKE2S128",
  "BLAKE2S256", "BLAKE2B256", "BLAKE2B512", "PRIMARY", "STATS", "COUNT",
  "COMMANDS", "PREEXPORT", "NOEXPORT", "EXPORTED", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "RELOAD", "OUT", "MRTDUMP", "MESSAGES",
  "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO",
  "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "CHECK", "LINK", "SORTED",
  "TRIE", "SETTLE", "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL",
  "MPLS_POLICY", "MPLS_CLASS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC",
  "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS",
  "PRI", "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP",
  "RESOURCES", "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE",
  "DOMAIN", "RANGE", "STATIC", "DYNAMIC", "START", "POLICY", "AGGREGATE",
  "RANGES", "AGGREGATOR", "PEER", "MERGE", "BY", "BABEL", "METRIC",
  "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY",
  "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE",
  "EXTENDED", "TUNNEL", "RTT", "DECAY", "SEND", "TIMESTAMPS", "COST",
  "DELAY", "BFD", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION",
  "SIMPLE", "METICULOUS", "STRICT", "BIND", "SESSIONS", "HOLD", "CONNECT",
  "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF", "PATH", "FORGET",
  "AFTER", "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN",
  "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED", "REFRESH",
  "INTERPRET", "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST",
  "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC",
  "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE", "ROLES",
  "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC",
  "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION",
  "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "L3VPN", "TARGET", "DISTINGUISHER", "MRT", "FILENAME", "ALWAYS", "V2",
  "V3", "OSPF", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG",
  "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST2",
  "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST",
  "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "TRIGGER", "SENSITIVE", "LOW",
  "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM",
  "OPTION", "VALUE", "NG", "RIP", "INFINITY", "TIMEOUT", "GARBAGE",
  "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT",
  "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "PROHIBIT",
  "BLACKHOLE", "UNREACHABLE", "KERNEL", "NETLINK", "KRT_PREFSRC",
  "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT",
  "KRT_RTTVAR", "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG",
  "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM", "UNDO",
  "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC",
  "$accept", "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_",
  "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "KEYWORD", "filter_def", "$@1", "filter_eval", "custom_attr",
  "bt_test_suite", "bt_test_same", "type", "function_argsn",
  "function_args", "function_vars", "function_type", "filter_body",
  "filter", "$@2", "where_filter", "function_body", "function_def", "$@3",
  "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int",
  "fipa", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "ec_items", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list_r",
  "var_list", "function_call", "symbol_value", "static_attr",
  "term_dot_method", "$@6", "method_name_cont", "$@7", "term", "term_bs",
  "break_command", "var", "for_var", "cmd", "$@8", "$@9", "$@10", "$@11",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "mpls_domain", "mpls_domain_start", "mpls_domain_opt",
  "mpls_domain_opts", "mpls_domain_opt_list", "mpls_domain_end",
  "mpls_range", "mpls_range_start", "mpls_range_opt", "mpls_range_opts",
  "mpls_range_opt_list", "mpls_range_end", "mpls_channel",
  "mpls_channel_start", "mpls_label_policy", "mpls_channel_opt",
  "mpls_channel_opts", "mpls_channel_opt_list", "mpls_channel_end", "$@12",
  "show_mpls_ranges_args", "cmd_SHOW_MPLS_RANGES",
  "aggregator_proto_start", "aggregator_proto_item", "$@13",
  "aggregator_proto_opts", "aggregator_proto", "aggr_list", "aggr_item",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "stat_route_item", "stat_route_opts",
  "stat_route_opt_list", "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_udp_host", "log_udp_port", "log_mask", "log_mask_list", "log_cat",
  "mrtdump_base", "debug_unix", "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT",
  "cmd_CONFIGURE_CONFIRM", "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS",
  "cmd_CONFIGURE_CHECK", "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name",
  "cfg_timeout", "kern_proto_start", "kern_learn", "kern_mp_limit",
  "kern_channel", "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2934)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1545)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     269,    93,   328,    64,   437,   469,   481,  9001,   309,   483,
     483,   753,   483,   519,   353,    65,  1412,   553,   483,   274,
       6,   604, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  5455,   280, -2934, -2934, -2934,  5455,  5455,  9001,
    2860,   572,   602,   515,   879, -2934, -2934,   -18, -2934,   508,
   -2934, -2934, -2934, -2934,   156,   619, -2934,   530,  -277,  1070,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,   554, -2934,   523,    67, -2934, -2934, -2934,  6055,
    2580, -2934,   726,  6055, -2934,  6055, -2934,  6055, -2934,  6055,
   11272,  6055, -2934,  6055, -2934,  6055,  1889,  6055,  1915,   776,
    1666,  6055, -2934,  6055, -2934,  6055, -2934,  6055,  1942,   107,
   -2934, -2934, -2934,  6055,  6055,    -9, -2934, -2934, -2934,   626,
   -2934, -2934,   854,   874,  1045, -2934, -2934, -2934,   790,   221,
    9001,   922, -2934,  4236,   869,   877, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,   965,   971,   976,  1028,  1041,  1047,  1068,  1077,  1354,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,  1084,  1118,  1156, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    2175, -2934, -2934,  1114, -2934, -2934,   741,  1223,   741, -2934,
    1230,  1230,   483,   483,  1255,   767, -2934,  1273,   992,   488,
     150,  1280, -2934,  1289, -2934,  1296,   149,  1003,    62,    57,
    1172,  1336,  1348,  1360,  1364,  1373,  1378,  1389,  1391, -2934,
     -26, -2934,  1374,  1230, -2934, -2934,  1379,  1419,  1379,  1423,
    1427,   944, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,  1411, -2934,  5455, -2934, -2934,  4302,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,  1070, -2934,  6655,  1456,
    1456,  1066, -2934, -2934,  1418,   741,   741,   741,  1070,  1093,
   -2934,   767,  1435, -2934, -2934, -2934, -2934,   144,  1437,    33,
    1270,  1070,  1070, -2934,  9001,  1457, -2934,  5455, -2934,  1442,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,   847,
   -2934, -2934, -2934,  1022, -2934, -2934, -2934, -2934,  1515,  1498,
    1470, -2934,  1398,  1829,   741, -2934,   207,   879,   767,  1314,
   -2934,  1519,  1499,  1534,  1536, -2934, -2934,  1512,  1525,  1541,
    1546, -2934, -2934, -2934, -2934,    85,  1250,  1587,  1622,   911,
      59,    74,    77,    78,   319,   879,  1829,  1277,  1465,   592,
    1421,   535,  1271,  1357,  1349,  1265,   797,   172,    92,  1350,
    1425,   452,  1428,  1355,  1397,   946,  1342,  1524,  1829,  1330,
    1329,  1402,  1403,  1326,  1333,   142,  1829,   117,  1327,  1405,
     639,  1671,  1672,  1649, -2934,  1650,  1673,  1662,  1668,  1669,
    1284, -2934, -2934,  1569,  1369,  1294,  1829,  1607,  1070,  1829,
    1609,  1829,  1385, -2934,  1499, -2934,  1725,  1689, -2934,  1700,
   -2934,  1829,   130,  1766,   145,  1771,  1195,  1734, -2934,  1735,
   -2934, -2934,  1070,  1200,  1112,  1770,  1610,  1571,  1628,  1745,
    1748,  1727,  1728,  1729,  1732, -2934,  1430,  1559,  1645,  1765,
    1767,  1774,    27,  1743, -2934,  1651,  1459,  1070,  1663,  1594,
    1829,  1591,  1281, -2934, -2934, -2934,  1784, -2934,  1786,  1762,
    1763, -2934, -2934,  1617, -2934,  1815,  1489,   626,   626,  9001,
    1558,   626, -2934,   626,  1860, -2934,  1861, -2934,  1863,   854,
    1849, -2934, -2934,  1856,   225,  1859,  1851, -2934, -2934, -2934,
    1880, -2934,  1824,  2409, -2934, -2934,  1770,  9001,  9001,  9001,
    9001,  9001,  9001,  9001, -2934, -2934,  1849, -2934,  3483, -2934,
   -2934, -2934, -2934,   978, -2934,  1899, -2934, -2934, -2934, -2934,
     171, -2934,   419,  9001,  1895,  1896, -2934,  9001,  9001,  9001,
    9001,  9001,  9001,  9001,  9001,  9001,  9001,  9001,  9001,  9001,
    9001, -2934,  1599, -2934,  1749, -2934, -2934, -2934, -2934, -2934,
    1921,  1938,  1939,  1940, -2934, -2934,   215, -2934,  1947, -2934,
   -2934, -2934, -2934,   918,  1953, -2934,  1959, -2934,  2242, -2934,
    1359, -2934,  1962,  1296,  1296,  1296,  1296, -2934,  1296,  1296,
   -2934,   181,   182,  1963,  1296,  1296,  1965, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,   228, -2934, -2934,  1966,  1967,   884,
    1971, -2934,   944, -2934, -2934,  1070,  1972,  9001, -2934,  1934,
   -2934,  2668,   784,  1864,  1910,  1911, -2934, -2934, -2934, -2934,
    9001,  1944, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,  1070, -2934, -2934,  1948, -2934,  1070,  1109, -2934,  1614,
   -2934,  1862,  1070,   153,  1070,  1399, -2934, -2934,  3692, -2934,
   -2934, -2934, -2934, -2934, -2934,  6055, -2934, -2934,  1993, -2934,
    1294, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1829, -2934,
   -2934, -2934, -2934, -2934,   806, -2934, -2934, -2934, -2934, -2934,
    1764,  1768,  1101, -2934,  1968,  1070,  1070, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934,  1829,    15,  1969,  1975,   -38,
     632,  1769,  1779,  1829,  1655,  1791,  1829,  1796,    75,  1781,
    1783,  1981,  1982,  1956, -2934,  1984, -2934, -2934, -2934,  1148,
    2002,   196,     1,  2002,  1165,  1829,  1070,  1790,  1794,  1070,
    1795,  1829,  1829,  1866,  1829,  1829,  1988,  1829,  1829,  1829,
    1829,  1829,  1829,  1659,  1998,  1829,  1829,  1996,  1829,  1999,
    2001,  1829,  1829,  1674,  1696,  1872,  1834,  1829,  1826,  1829,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    1829,   656,  1829, -2934, -2934,  1829, -2934,  1888,  1070, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1070,  1070, -2934,
    2046,  2055, -2934, -2934, -2934, -2934, -2934, -2934,  1456,  9001,
   -2934, -2934,  1238,  1883, -2934, -2934,  1238, -2934, -2934, -2934,
    1238,  1829,  1770, -2934, -2934, -2934, -2934, -2934, -2934,   874,
    1045, -2934, -2934, -2934,  1829,  1770, -2934, -2934, -2934, -2934,
    1717, -2934,  1101, -2934, -2934, -2934,   374,  1742, -2934,  2023,
    1829,  1829, -2934,  1070,  1780, -2934,  1070, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,  1070, -2934,  2062, -2934,
   -2934, -2934,  3724, -2934, -2934,   626,   470, -2934, -2934, -2934,
   -2934,  2029,  2067, -2934,  1945,  2051, -2934, -2934,  9001, -2934,
    9001, -2934, -2934,   881,  3760,  3150,  3354,  3540,  3553,  3803,
    3867,  2006,   229,  2007,  3906, -2934, -2934,  2072,  1249,  1909,
   -2934,  1045, -2934,  2015,  2041,  4302,  2045,  2047,  3313,  3313,
    3313,  3370,  3370,  3313,  3313,  3313,  3313,  3313,   998,   998,
    1851,  1851, 10745, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
     412, -2934, -2934, -2934, -2934, -2934, -2934, -2934,   702, -2934,
   -2934,   184,  2096, -2934, -2934, -2934,  1430,  1545,  1456,  1456,
   -2934,  1936,  1937,   233, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934,  2083, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  1230,  1230,  1230,  1230,   905,  1230,  1230,   104,
    1296,  1230,  1296,  1230, -2934,  1230,  1230, -2934,   -26, -2934,
   -2934, -2934, -2934,  1456,   964,   879, -2934, -2934,  2104, -2934,
   -2934,  3967,  2052,  2097,  2610, -2934, -2934,  6655, -2934,   879,
    1456, -2934,  2061,  3918, -2934, -2934, -2934,  2098,  1387,  1413,
     879, -2934, -2934, -2934, -2934, -2934,  9001, -2934,  2074,   879,
   -2934,   -26, -2934,  2070,  2071, -2934, -2934, -2934, -2934,  1104,
   -2934, -2934, -2934,  2092, -2934,  2048,  2075,  1658, -2934,  1852,
   -2934,  2076, -2934,  2053,  2314,  1380,   824,  1070,  1070,  2078,
   -2934,  2081,  2082,  2085,  1829,  1677, -2934, -2934,  1955,  1891,
    1070,  2089,  2090,  1070,  1070,  2091,  1829,  1829,  2093,  1787,
    1070,  2095,  1070,  1070, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  5455, -2934,  1070,  1070, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,  2100, -2934,  1070,  1070, -2934,  2101,
    2102,  1070,  1070,  2103,  1070,  2106,  2107,  1294,  2108,  2109,
   -2934,  2111,  2112,  2115,  2116,  2117,  2118,  1829,   993,  2119,
    2122, -2934,  2126, -2934,  1829,  2127,  2128,  1913,  1829,  1829,
    1829,  2135,  1797,  2136,  1513, -2934, -2934,  2491, -2934,  2759,
    1178, -2934,  1070, -2934, -2934, -2934, -2934,  1070, -2934, -2934,
     206, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  4302, -2934,
    2008, -2934,  1829, -2934, -2934, -2934,  2139,  1307,   788,   757,
    2144,  2141,  2142, -2934,  2002,  2148,  2183,  1070,  1829,  1829,
    2176,   374,  9351, -2934, -2934,  1970, -2934,  1070, -2934,  2048,
    2131, -2934,   626, -2934, -2934,   626,  2181, -2934,  2179,  2184,
    3627,  3247, -2934, -2934, -2934,  9001, -2934,  9001,  9001,  9001,
    9001, -2934, -2934,  7241,  9001,  7593,  9001, -2934,  2137,  9001,
   -2934, -2934, -2934,  9001, -2934,  2199,  2203, -2934, -2934, -2934,
   -2934, -2934,  1749, -2934,   215, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,   854,   241,  1446, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934,  2200,  2200, -2934, -2934,  1114,
   -2934, -2934,  2219,  2220,  2238,  2239, -2934, -2934, -2934, -2934,
     879, -2934, -2934, -2934,   879,  1392,  2240,  2241, -2934, -2934,
    2230,  1294, -2934, -2934, -2934,  1294,  1294,  1230,  2244,  1230,
    2245,  2246,  2249, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,  2668,  2668, -2934,  4594,  6655,  2205,  2198,  2186,  2048,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  4055,  2248,
   -2934, -2934,   783, -2934, -2934,  2017, -2934,   741,  2018,  1829,
    1829,  1241,  2217, -2934,  2247, -2934, -2934, -2934,   741, -2934,
    2223,  5455, -2934, -2934, -2934, -2934,  2233,  2114,  1990, -2934,
   -2934,  2232, -2934, -2934,  2130, -2934, -2934,  2237, -2934, -2934,
   -2934, -2934,  1101,  1974, -2934,  2250,  2207,  2251, -2934, -2934,
   -2934, -2934,  2273,    24, -2934,  2274,   663,  1070,  2275, -2934,
   -2934,  2276,  2277, -2934,  2278,  2279, -2934,  1829,  2280, -2934,
    2281,  2282,   863,  2283,   217, -2934,   243, -2934, -2934, -2934,
    1331, -2934, -2934, -2934, -2934,  2284,  2285, -2934,  2287, -2934,
   -2934,  2289, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    2290, -2934,  2291, -2934, -2934, -2934,  2292, -2934, -2934,  2110,
    2293,  2295,  2296, -2934,  1829, -2934,   773, -2934,  1456, -2934,
    2297, -2934,  1992, -2934,  1977,  1217,  1401,  1973,  2191,  2180,
    2299,  1070,  2011,  2196,    16,  1829,  1829,   371,  1829,    66,
   -2934,  2315, -2934,  2350,  1952,  1954,  1100, -2934, -2934, -2934,
    1499, -2934,  2318, -2934,  1456,  1048,  1070,   879,  2243, -2934,
   -2934,  2320, -2934, -2934, -2934, -2934,   208,  1829, -2934,   782,
   -2934,  2129,  1148, -2934,   119,  2321, -2934,  1916, -2934,  1716,
   -2934, -2934, -2934, -2934,  1196, -2934, -2934, -2934,  1196,  2209,
    1877, -2934, -2934,  2334, -2934, -2934,  1829,  1070, -2934, -2934,
    2338,  1070, -2934,  2054,  2206,  2341,  2206,  1862,   -20,  2206,
   -2934, -2934,  2343, -2934,  1070, -2934, -2934, -2934, -2934,  2183,
   -2934, -2934,  2362, -2934, -2934, -2934, -2934,  2363, -2934, -2934,
    9001,  9001,  2346,  9001, -2934, -2934, -2934,  9001,  9001, -2934,
    2349,  2353,   655,  2351,  2381,  9001, -2934,  2373,  2394, -2934,
    1070, -2934, -2934, -2934, -2934, -2934, -2934,  2387,  2390, -2934,
    9001, -2934,  9001,  2605,  3060,  3639,  4067,  4104,  4116,  4153,
     896,   629,  4302,  2345,   900,   219,  2347,  2410,  3906,  4302,
   -2934, -2934,  2374, -2934, -2934,  2411,   854,  1849,  1114, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,   854,  1849, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  2425,
   -2934,  2429, -2934, -2934, -2934,  6655,  2332, -2934,  6655,  2354,
   -2934, -2934,  4594, -2934, -2934,  2393, -2934, -2934,  2433, -2934,
   -2934, -2934,  2201, -2934,  2202, -2934, -2934,  1070,  1070, -2934,
    1483,  1392, -2934, -2934, -2934, -2934, -2934,   148, -2934, 10049,
    1770, -2934, -2934, -2934, -2934,  2302, -2934,   166, -2934, -2934,
    2369, -2934,   151, -2934,  1829, -2934,  1070, -2934, -2934,  2269,
    2044,  2049, -2934,     0,  2058,  1111,  1142, -2934, -2934,  2412,
    2413,  2417, -2934, -2934, -2934, -2934, -2934,  2418, -2934, -2934,
   -2934, -2934,  1829, -2934,  1295,  2221,  1070,  1070,  2423, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    1829, -2934, -2934, -2934,  2428,   126,   511, -2934, -2934,    45,
     986,  1829,  1829,   -15,  1770,  1829,  2162, -2934,   684,  1770,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,  2113,  2422, -2934,
   -2934,   176,   176,   176,  2465, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  2153, -2934, -2934, -2934,  1070,  1070,  1829, -2934,
    2415,  1070, -2934,  2424,  1294, -2934, -2934,  2426,  1070, -2934,
   -2934,  1070,  2430, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    2431, -2934, -2934, -2934,   878,   518, -2934,  1829,  2427, -2934,
   -2934, -2934,  2309, -2934, -2934, -2934,  1101, -2934,  1070,  2421,
    1070, -2934,  2445, -2934, -2934, -2934,  1070, -2934, -2934,  2362,
    2482,  2432,  4594,   522,   615,   187,  4574,  1949,  2996,  2132,
   -2934, -2934,  9001, -2934,  9001,   747, -2934,  9001, -2934,   -19,
    2483,  2469,  4185,  4270, -2934, -2934, -2934, -2934,  2443, -2934,
   -2934,  1478,  2439, -2934, -2934, -2934, -2934, -2934, -2934,  1997,
    2472,  2472,   826,  2461, -2934,  1997,  2472,  2472,  1196,  2462,
    9001, -2934, -2934, -2934, -2934, -2934,  2485,  9001, -2934,  7945,
   -2934,  2486,  9001,  2511,  8297,  8649,  2440,  9001, -2934, -2934,
   -2934,  1207, -2934, -2934,   821, -2934, -2934, -2934,  2468,  1070,
    1070, -2934, -2934, -2934,  1070, -2934,  1070,  2473, -2934,  9001,
   -2934, -2934,  2446, -2934, -2934, -2934,  2447,  1829, -2934, -2934,
   -2934, -2934, -2934,  2369, -2934, -2934,  5455,   879,  2211, -2934,
    2477,  2125,  2260, -2934, -2934, -2934, -2934, -2934, -2934,    24,
   -2934, -2934, -2934, -2934, -2934, -2934,  2294,  2301,  2304, -2934,
   -2934, -2934,  2489, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,   407,   407,  1101,  2134, -2934, -2934, -2934, -2934,
   -2934,  2360,  2286, -2934, -2934,  1829, -2934, -2934, -2934, -2934,
   -2934,  1829,  2253,  1817,  2494, -2934, -2934, -2934, -2934, -2934,
   -2934,  1829,  2048,  2470, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,  2471, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1070,  2474,  1070,
   -2934, -2934,  1829, -2934, -2934, -2934,  2475, -2934, -2934, -2934,
   -2934, -2934, -2934,  2501,  2502, -2934,  9701, -2934, -2934,  6655,
    2467,  9001, 10397,  4808,  4844, -2934, 10745,  4912, -2934,  1101,
    2505, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,  2553,  1070,  1560,
   -2934,  2481, -2934,   818,  1070,  1935,   823, -2934, -2934, -2934,
   -2934,  1560,   818,   823,  2484, -2934,  4380,  2506,  2508,   925,
     713,  2509,  1009,  2512,  2510,   761,  2513,   785, -2934,  2514,
   -2934, -2934,  9001, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    4412, 10049, -2934, -2934, -2934, -2934, -2934,   830, -2934, -2934,
   -2934,  1101,  2256, -2934, -2934, -2934, -2934,  1070,  1070,  1070,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1829,  1070,
   -2934, -2934,  1829, -2934,   557, -2934,  1916, -2934, -2934,   904,
     953,    23,   581,   129, -2934, -2934, -2934, -2934, -2934,  2065,
   -2934, -2934, -2934, -2934, -2934,  2522,  2523,  2479,  1646, -2934,
   -2934,  4302, -2934, -2934, -2934, -2934, -2934, -2934,  2524, -2934,
   -2934, -2934,  1070, -2934, -2934,  1070,  1589,  1070, -2934,  2472,
    2472,  2543, -2934, -2934, -2934, -2934, -2934,  2472,  2472,  2565,
   -2934, -2934, -2934, -2934,  2547,  9001, -2934, -2934, -2934,  2548,
    9001, -2934,  9001,  2577, -2934,  9001, -2934, -2934,  5007, -2934,
   -2934,  1339, -2934, -2934, -2934, -2934, -2934,  1829,  2504,  1344,
    2355,  1070,  1070,   489, -2934, -2934, -2934,  1159,  2515,  2539,
   -2934,  1829, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  2494,
   -2934, -2934,  2064, -2934, -2934, -2934,  -145, -2934, -2934,  1829,
    1070,  1829,  2545, -2934,  1070,  1070,   -17,  1070,  2288,   301,
   -2934,  2551, -2934,  1829,  2120,  2123,  1829,  1829,  2552,  1010,
   -2934,   -23,   -11,   564,   345, -2934,   -21, -2934, -2934,  9701,
   -2934, -2934, -2934,  3483, -2934, -2934,  2594, -2934, -2934, -2934,
   -2934,   500,  9001,  2554,  2527, -2934, -2934,  2481,  1070, -2934,
    1070,  1070,  1070,  1935,  1935, -2934,  2555,  2556,  2560,  2538,
    2564,  2566,  2569, -2934,  1070,  2326,   990, -2934,  1070,  2323,
      96,  2382,  1070,  2384,  2386,  2570,   313,  2319,    49, -2934,
    2579, -2934,  1424,  2391,  2392,  2395, -2934, -2934, -2934,  1417,
   -2934,  2441, -2934, -2934, -2934,  9001, -2934, -2934, -2934, -2934,
     955, -2934, -2934, -2934, -2934,  1873, -2934,  1070,  2335,   175,
    2396,  2173,  2563,  1070,  1070,  1070,  1829,   -10,  2204,  2317,
    1829,  1070,  2333,   573,   -83,  1070,  2518,  2210, -2934,  2596,
   -2934,  1070,  2598, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934,  1070,  1070, -2934, -2934, -2934,  1070,  1070,
   -2934, -2934, -2934,  2169, -2934,    80,   -16,   -30,  -116,  2168,
    2178,  1829,  2174,  2408,  2172,  2367,  2356,  2366,  2164,  2632,
   -2934,    76,  1101,  2635, -2934,  2665,    76,  2638, -2934, -2934,
   -2934,  1070, -2934,  1829,  2398,   318,  -115,  1070,  2442,  1829,
     -27,  1101,  2327,  2448,  2583,   136,  2480,  2487,   120,  2212,
    2213,  2170, -2934,  2666, -2934,  2189,  2192,   879,  2669, -2934,
   -2934,  4466,  1127,  1690, -2934,  4302,  2670,  9001, -2934,  2686,
    2696, -2934, -2934, -2934, -2934, -2934, -2934,  9001, -2934,  9001,
   -2934, -2934,  1451, -2934, -2934, -2934, -2934,  1070,  1070,  1070,
    1070,  1070, -2934,  1829, -2934,  1070,  1070,  2434,  1070,  1070,
    1070,  1070,  1829, -2934,  2435, -2934,  2654,  2683,  1070,  1070,
    1070, -2934, -2934,  1433,  4498,  2717,   158,  1070,  2717,  1785,
     194,  2662, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,    87,  1070,  1070, -2934,  1829,  2310, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934,  1829,   850, -2934, -2934,  1070,
    1070, -2934,  1829,  1829, -2934,  1070,  1829, -2934, -2934, -2934,
   -2934, -2934,  2252,  2252,  2525,  2497, -2934,   951,  1070,   951,
    2498,  1070,  1070,  2535,  1070,  2264, -2934,  1829,  1070,  1070,
    2568,  1829,   878,  1829,   518,    88, -2934, -2934,  1070, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1070,
    1070,  1070, -2934,  1829,  1829, -2934,  1070, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,  1056,  1070,  1070, -2934, -2934,  1070,
    1070,  1829, -2934,  1829,  1829,  1829, -2934, -2934,  2588,  2589,
   -2934, -2934, -2934,  9001, -2934, -2934, -2934,  2671, -2934,  4531,
    1070,  1070,  2726,  2672,  1101,  1101, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,  1829, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  1424, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
    2730,  2717,  2717,  2732,  2733,  1508,  1648, -2934, -2934, -2934,
   -2934,  2734,  2717,  2717, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,  1829,  1094, -2934,  2337, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  1829, -2934, -2934,  1070,  1070, -2934, -2934, -2934,
   -2934,  2252, -2934,  1070,  2252, -2934,  1070, -2934,  1829, -2934,
   -2934, -2934,  1070, -2934, -2934, -2934, -2934,  1070,  1829, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,  2339, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,   879,   879,  4466,  9701,
    2737, -2934, -2934, -2934,  9001, -2934, -2934, -2934, -2934,   955,
    2739,  2740,   955,   955, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,   955,  2742,  2743, -2934, -2934, -2934,
    2352, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934,  2298, -2934, -2934, -2934, -2934, -2934, -2934,  2719,
   -2934,   955,   955, -2934, -2934, -2934,   955,   955, -2934,  2747,
     564,  9001, -2934, -2934, -2934, -2934, -2934, -2934,  2750, -2934
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
     553,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2145,     0,   552,   699,   701,   703,  1135,  1137,  1139,  1141,
    1145,  1147,  1149,  1206,  1215,  1217,  1219,  1221,  1223,  1225,
    1227,  1229,  1231,  1233,  1235,  1242,  1244,  1246,  1248,  1250,
    1252,  1254,  1258,  1260,  1312,  1433,  1435,  1437,  1439,  1378,
    1648,  1791,  1793,  1795,  1797,  1799,  1801,  1803,  1805,  1980,
    1982,  2050,  2129,  2131,  2133,  2135,  2137,  2139,  2141,  2143,
       1,   551,     0,   970,   555,   967,   968,     0,     0,     0,
       0,     0,     0,     0,     0,   988,   989,     0,   960,   961,
     963,   964,   965,   966,     0,     0,  2095,     0,     0,     0,
     554,   556,   705,   708,   710,   712,   714,   748,   949,   956,
     958,   969,     0,   971,   974,     0,  1032,  1037,   987,   990,
     994,  1272,  1278,   990,  1314,   990,  1390,   990,  1331,   990,
     994,   990,  1618,   990,  1635,   990,   994,   990,   994,     0,
     994,   990,  1838,   990,  1927,   990,  1984,   990,   994,   994,
    2094,  2121,  2124,   990,   990,   994,   700,   702,   704,   835,
     836,   847,   761,   762,   842,   567,   839,   840,     0,     0,
       0,     0,   858,     0,     0,     0,   861,   837,   838,   859,
     860,   862,   863,   864,   865,   866,   867,   869,   870,   871,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1268,  1269,  1270,  1271,  1432,  1604,  1607,  1606,  1603,  1605,
    1608,  1609,  1610,  1613,  1615,  1611,  1612,  1614,  1616,  1787,
    1788,  1789,  1790,  1925,  1926,  1978,  1979,  2056,  2057,  2058,
    2059,  2060,  2061,  2062,  2063,  2065,  2066,  2067,  2068,  2069,
    2070,  2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2064,  2080,  2181,  2182,   857,   588,   589,   598,
     590,   591,   592,   593,   599,   594,   595,   596,   843,   697,
     698,   597,   841,   851,   897,   898,   914,   896,   899,   901,
       0,   913,   900,  1262,  1264,  1263,     0,     0,     0,  1262,
     620,   620,     0,     0,     0,     0,  1261,     0,     0,  1266,
       0,     0,  1151,     0,  1208,  1144,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1238,
       0,  1237,  1240,   620,  1650,  2146,  2145,     0,  2145,     0,
       0,  2147,  2142,    39,    40,    41,   565,   564,     2,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   566,     0,   749,   706,   709,
     716,   717,   718,   720,   719,   721,   722,   723,   724,   725,
     726,   727,   728,   729,   730,   731,     0,   732,     0,     0,
       0,     0,   618,   617,     0,     0,     0,     0,     0,   573,
     962,     0,     0,  1039,  1038,  1040,  1041,     0,     0,     0,
       0,     0,     0,   558,     0,     0,   560,     0,   975,   985,
    1065,  1985,  1442,  2015,  1315,  1391,  1332,  1621,  1636,  1657,
    1817,  1832,  1839,  1928,  2151,  2168,  1660,  1930,    13,   991,
       0,  1064,     0,   573,     0,  1071,     0,     0,     0,     0,
    1002,     0,  1016,     0,     0,  1276,  1280,     0,     0,     0,
       0,  1291,  1561,  1562,  1441,     0,     0,     0,     0,     0,
    1551,  1552,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   573,     0,  1446,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   573,     0,
       0,     0,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,     0,  1304,  1563,  1599,     0,     0,     0,     0,
       0,   970,  1656,     0,     0,     0,   573,     0,     0,   573,
       0,   573,  1663,  1667,  1016,  1668,     0,     0,  1681,     0,
    1816,   573,     0,     0,     0,     0,     0,     0,  1821,     0,
    1834,  1831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2014,     0,     0,     0,     0,
       0,     0,  2039,  2048,  2150,     0,     0,     0,     0,     0,
     573,     0,   573,  2160,  2158,  2159,     0,  2161,     0,     0,
       0,  2167,  2174,     0,  2171,     0,   835,   835,   835,     0,
       0,   835,   857,   835,     0,   824,     0,   580,     0,     0,
       0,   583,   584,     0,     0,     0,   894,   587,   784,   785,
       0,   787,     0,     0,   692,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   763,   766,   762,   765,     0,   844,
     768,   588,   589,   815,   764,   802,   799,   800,   801,   811,
       0,   819,     0,   852,     0,     0,  1234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,  1074,     0,  1073,  1257,  1255,  1256,   619,
       0,     0,     0,     0,  1249,  1085,     0,  1084,     0,  2144,
    1308,  1265,  1267,  1266,     0,  1146,     0,  1138,     0,  1136,
       0,  1143,     0,  1144,  1144,  1144,  1144,  1380,  1144,  1144,
    1807,  1144,  1144,     0,  1144,  1144,     0,  1228,  1220,  1230,
    1222,  1216,  1218,  1224,  1226,  2117,  2112,  2115,  2113,  2114,
    2116,  2118,  2119,  2120,     0,  2110,  1241,     0,     0,     0,
       0,  2138,  2147,  2134,  2136,  2148,     0,     0,  1274,     0,
     738,     0,   733,     0,     0,     0,   952,   954,   955,  1060,
       0,     0,   957,  1035,  1033,  1034,  1036,   569,   571,   570,
     572,     0,   568,  2125,     0,  2123,  1042,     0,  1050,  2098,
    2103,     0,  2099,     0,     0,     0,  2128,  2127,     0,  2093,
     973,   983,   972,  1658,  1659,   990,  1929,   992,     0,  1066,
       0,   995,   996,  1051,  1001,  1000,   999,   997,   573,  1067,
    1014,  1018,  1068,  1069,     0,  1273,  1322,  1396,  1339,  1469,
       0,     0,     0,  1487,     0,     0,     0,  1555,  1553,  1556,
    1554,  1557,  1559,  1558,  1560,   573,     0,     0,     0,     0,
     573,     0,     0,   573,     0,     0,   573,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,   574,   575,   576,     0,
     577,     0,     0,   577,     0,   573,     0,     0,     0,     0,
       0,   573,   573,     0,   573,   573,     0,   573,   573,   573,
     573,   573,   573,     0,     0,   573,   573,     0,   573,     0,
       0,   573,   573,     0,     0,     0,     0,   573,     0,   573,
    1470,  1472,  1302,  1306,  1597,  1601,  1471,  1630,  1645,  1661,
     573,   573,   573,  1682,  1669,   573,  1679,  1676,     0,  1670,
    1664,  1665,  1018,  1662,  1684,  1818,  1828,     0,     0,  1827,
       0,     0,  1824,  1829,  1830,  1820,  1819,  1009,   744,     0,
    1023,  1024,     0,     0,  1022,  1004,     0,  1005,  1020,  1003,
       0,   573,     0,  1835,  1836,  1851,  1937,  1987,  2016,     0,
       0,   607,   606,  2034,   573,     0,  2017,  2018,  2019,  2041,
       0,  2040,     0,  2044,  2042,  2043,  2030,  2036,  2046,     0,
     573,   573,  2054,     0,     0,  2162,     0,  2155,  2154,  2164,
    2052,  2153,  2152,  2169,  1051,  2172,     0,  2170,     0,   827,
     833,   831,     0,   761,   762,   835,     0,   832,   834,   826,
     579,   581,     0,   902,     0,     0,   903,   786,     0,   879,
       0,   693,   694,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   773,   816,   817,     0,     0,     0,
     845,     0,   846,   855,     0,   853,     0,     0,   891,   889,
     887,   884,   885,   886,   888,   890,   892,   893,   880,   881,
     882,   883,     0,  1202,  1200,  1201,  1185,  1188,  1192,  1195,
    1198,  1199,  1186,  1187,  1189,  1190,  1191,  1193,  1194,  1196,
    1197,  1203,  1204,  1205,  1078,  1079,  1080,  1082,  1083,  1081,
       0,  1076,  1247,  1243,  1251,  1253,  1089,  1090,     0,  1087,
    1259,     0,     0,  1140,  1148,  1150,     0,     0,   744,     0,
    1161,     0,  1182,     0,  1163,  1162,  1167,  1168,  1181,  1183,
    1184,  1152,  1160,     0,  1207,  1214,  1211,  1210,  1212,  1213,
    1209,  2051,   620,   620,   620,   620,     0,   620,   620,     0,
    1144,   620,  1144,   620,  1792,   620,   620,  1232,     0,  1239,
    1236,  1245,  1649,   744,     0,     0,  1654,  2140,     0,  2149,
    2130,     0,   734,   740,     0,   707,   742,     0,   711,     0,
       0,  1051,     0,     0,   950,  2126,  2122,     0,  1044,  1047,
       0,  2102,   622,   623,   624,   621,     0,  2105,  2106,     0,
    2101,     0,  2108,     0,     0,   561,   562,   563,   559,     0,
    1833,   993,   998,  1054,  1057,  1072,     0,     0,  1019,     0,
    1279,     0,  1275,  1287,   994,   994,   994,     0,     0,     0,
    1478,     0,     0,     0,   573,   573,  1525,  1527,     0,     0,
       0,     0,     0,     0,     0,     0,   573,   573,     0,     0,
       0,     0,     0,     0,  1543,  1542,  1132,  1545,  1489,   605,
     604,  1446,     0,  1446,     0,     0,  1475,  1449,  1450,  1464,
    1465,  1466,  1467,  1468,     0,  1443,     0,     0,  1473,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,   573,     0,     0,
       0,  1526,     0,  1482,   573,     0,     0,     0,   573,   573,
     573,     0,     0,     0,     0,  1290,  1018,     0,  1602,   994,
     994,  1671,     0,  1674,  1673,  1678,  1672,     0,  1680,  1666,
       0,  1826,  1825,  1822,  1823,   743,  1021,   738,   746,  1031,
    1025,  1007,   573,  1008,  1006,  1011,     0,   994,   994,   994,
    2032,     0,     0,  2024,   577,  2037,     0,     0,   573,   573,
       0,  2031,     0,  2022,  2165,  2156,  2053,     0,  2163,  1059,
    2178,  2173,   835,   825,   829,   835,     0,   581,     0,     0,
       0,     0,   688,   690,   910,     0,   895,     0,     0,     0,
       0,   915,   912,     0,     0,     0,     0,   767,     0,     0,
     803,   812,   820,     0,   856,     0,     0,   874,   875,   877,
     873,   878,     0,  1075,     0,  1086,  1313,  1310,  1311,  1309,
    1142,  1154,  1179,  1180,     0,  1176,  1177,  1178,  1172,  1170,
    1171,  1153,  1169,  1159,  1166,     0,     0,  1156,  1155,   567,
    1164,  1165,     0,     0,     0,     0,  1379,  1381,  1385,  1388,
       0,  1386,  1387,  1389,     0,     0,     0,     0,  1806,  1815,
       0,     0,  1810,  1813,  1808,     0,     0,   620,     0,   620,
       0,     0,     0,  2111,  1653,  1652,  1651,  1655,  2132,   557,
     736,     0,     0,   750,   752,     0,     0,     0,     0,  1061,
     951,   953,  1043,  1045,  1046,  1048,  1049,  2097,     0,     0,
    2104,  2100,     0,  2096,   959,     0,   986,     0,     0,   573,
     573,     0,     0,  1055,   620,  1051,  1070,  1017,     0,  1012,
       0,     0,  1277,  1285,  1289,  1324,     0,     0,     0,  1316,
    1317,     0,  1398,  1399,     0,  1392,  1393,     0,  1341,  1346,
    1348,  1348,     0,     0,  1333,     0,     0,     0,  1501,  1500,
    1499,  1550,     0,     0,  1451,     0,   573,     0,     0,  1535,
    1534,     0,     0,  1541,     0,     0,  1514,   573,     0,  1490,
       0,     0,     0,     0,     0,   578,     0,  1447,  1448,  1548,
       0,  1444,  1445,  1492,  1484,     0,     0,  1505,     0,  1494,
    1480,     0,  1481,  1516,  1497,  1528,  1496,  1495,  1540,  1498,
       0,  1529,     0,  1531,  1532,  1483,     0,  1493,  1521,     0,
       0,     0,     0,  1519,   573,  1549,     0,  1305,     0,  1296,
       0,  1307,     0,  1600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   573,   573,   573,   573,     0,
    1570,     0,  1632,     0,     0,     0,     0,  1619,  1622,  1624,
    1016,  1623,     0,  1647,   744,     0,     0,     0,     0,  1641,
    1637,     0,  1675,  1677,  1683,  1777,     0,   573,  1697,   573,
    1695,     0,     0,  1687,   573,     0,  1701,  1778,   745,     0,
    1030,  1010,  1837,  1853,     0,  1854,  1844,  1846,     0,     0,
       0,  1840,  1841,     0,  1939,  1940,   573,     0,  1931,  1932,
       0,     0,  1986,     0,  2000,     0,  2000,     0,     0,  2000,
    1989,  1990,     0,  1993,     0,  2035,  2020,  2021,  2023,     0,
     613,   614,  2026,  2028,  2027,  2029,  2025,   567,   754,  2049,
     852,   852,     0,     0,   916,   917,   918,     0,     0,   926,
       0,     0,     0,     0,   947,   852,  2045,     0,   948,  2047,
       0,  2166,  2055,  2176,  2180,   828,   830,     0,     0,   904,
       0,   848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   773,     0,     0,     0,     0,     0,     0,   854,
     585,   586,     0,  1077,  1088,     0,  1173,  1174,     0,  1157,
    1158,  1440,  1434,  1436,  1438,  1383,  1384,   610,   611,   612,
     608,   609,  1382,  1796,  1794,  1811,  1814,  1809,  1812,     0,
    1798,     0,  1802,  1981,  1983,     0,   741,   738,     0,     0,
     758,   759,   753,   756,   757,     0,  1617,   713,     0,   625,
    2107,  2109,     0,   977,     0,   976,   978,     0,     0,   984,
    1052,     0,  1056,  1058,  1013,  1015,  1282,     0,  1281,     0,
       0,  1320,  1323,  1051,  1394,     0,  1397,  1334,  1051,  1335,
    1366,  1336,  1370,  1337,   573,  1340,     0,  1508,  1510,     0,
       0,     0,  1455,     0,     0,     0,     0,  1453,  1511,     0,
       0,     0,  1536,  1485,  1506,  1512,  1515,     0,  1491,  1502,
    1507,  1134,   573,  1131,     0,     0,     0,     0,     0,  1546,
    1477,  1476,  1474,  1503,  1504,  1486,  1479,  1533,  1530,  1547,
     573,  1517,  1522,  1520,     0,     0,     0,  1297,  1303,     0,
     573,   573,   573,     0,     0,   573,     0,  1594,     0,     0,
    1577,  1578,  1579,  1575,  1593,  1592,  1580,     0,     0,  1598,
    1625,     0,     0,     0,     0,  1018,  1631,  1640,  1639,  1638,
    1643,  1642,     0,  1646,  1051,  1700,     0,     0,   573,  1688,
       0,     0,  1686,     0,     0,  1704,  1699,  1703,     0,  1693,
    1685,     0,  1711,  1026,  1027,  1028,  1029,   603,   602,  1889,
    1898,  1843,  1051,  1842,     0,     0,  1849,   573,     0,  1852,
    1051,  1936,  1933,  1935,  1938,  2002,     0,  2001,     0,     0,
       0,  2003,  1991,  2006,  2007,  1995,     0,  1988,  2033,  2038,
       0,     0,   752,     0,     0,     0,     0,     0,     0,     0,
     945,   945,     0,   939,     0,     0,   941,     0,  2157,     0,
       0,     0,     0,     0,   646,   657,   658,   644,     0,   647,
     648,     0,     0,   651,   652,   656,   653,   695,   654,     0,
     670,   670,     0,     0,   696,     0,   670,   670,     0,     0,
       0,   907,   908,   906,   909,   782,     0,     0,   780,     0,
     776,     0,     0,   774,     0,     0,     0,   852,  1175,  1800,
    1804,     0,   733,   751,     0,   747,   760,   739,     0,     0,
       0,   981,   982,  1053,     0,  1288,     0,     0,  1328,     0,
    1330,  1329,  1319,  1325,  1318,   738,  1429,   573,  1344,  1342,
    1343,  1345,  1347,  1366,  1364,  1349,     0,     0,  1373,  1338,
       0,     0,     0,  1458,  1459,  1457,  1461,  1460,  1462,     0,
    1452,  1538,  1537,  1539,  1513,  1130,     0,     0,     0,  1125,
    1129,  1133,     0,  1518,  1299,  1300,  1298,  1293,  1295,  1292,
    1294,  1301,   573,   573,     0,     0,  1586,  1587,  1588,  1590,
    1591,     0,     0,  1596,  1581,   573,  1567,  1568,  1569,  1576,
    1595,   573,     0,     0,     0,  1633,  1627,  1628,  1629,  1626,
    1620,   573,  1780,  1784,  1690,  1691,  1689,  1765,  1692,  1765,
    1725,  1705,  1694,  1779,  1712,  1896,  1895,  1886,  1902,  1901,
    1909,  1845,  1911,  1912,  1919,  1847,  1850,     0,  1975,     0,
    1994,  1997,   573,  1996,  1992,  2004,     0,  1998,   615,   923,
     755,   937,   938,     0,     0,   931,     0,   821,   922,     0,
       0,     0,     0,     0,     0,   936,     0,     0,  2179,     0,
       0,   582,   905,   849,   850,   645,   649,   650,   655,   640,
     638,   636,   635,   637,   639,   634,   641,   663,     0,   680,
     665,   661,   671,   681,     0,     0,   682,   601,   600,   679,
     689,   685,   686,   687,   683,   691,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   818,     0,
     735,   737,     0,   920,   715,   980,   979,  1284,  1283,  1286,
       0,     0,  1321,  1427,  1400,  1395,  1349,     0,  1369,  1371,
    1372,     0,  1375,  1509,  1456,  1463,  1454,     0,     0,     0,
    1523,  1565,  1566,  1564,  1573,  1572,  1571,  1574,   573,     0,
    1584,  1589,   573,   809,     0,  1644,  1778,  1782,  1786,     0,
       0,     0,  1714,     0,  1900,  1884,  1883,  1907,  1917,     0,
    1973,  1941,  1934,  1999,  2008,     0,     0,   924,     0,   921,
     927,   945,   946,   947,   945,   948,   930,   933,     0,   932,
    2175,  2177,     0,   659,   643,   642,     0,     0,   642,   670,
     670,     0,   672,   673,   674,   675,   676,   670,   670,     0,
     911,   797,   781,   779,     0,     0,   777,   795,   775,     0,
       0,   793,     0,   791,   790,     0,   788,   876,     0,  1327,
    1326,  1401,  1431,  1368,  1367,  1098,  1099,   573,     0,     0,
       0,     0,     0,     0,  1357,  1091,  1093,     0,  1124,     0,
    1374,   573,  1377,  1126,  1127,  1128,  1582,  1583,  1585,     0,
    1634,  1781,     0,  1698,  1768,  1766,  1769,  1696,  1702,   573,
       0,   573,     0,  1710,     0,     0,     0,     0,     0,     0,
    1724,     0,  1899,   573,     0,     0,   573,   573,     0,     0,
    1888,  1903,  1913,     0,     0,  1977,     0,   935,   934,     0,
     754,   769,   772,     0,   940,   771,   807,   804,   805,   806,
     813,     0,     0,     0,     0,   942,   664,   662,     0,   666,
       0,     0,     0,     0,     0,   684,     0,     0,     0,     0,
       0,     0,     0,   919,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,  1355,  1094,     0,     0,     0,  1350,  1354,  1358,     0,
    1359,     0,  1356,   629,   628,     0,  1100,   630,   631,   632,
    1101,  1097,  1365,  1376,   810,     0,  1785,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   573,     0,     0,     0,
     573,     0,     0,     0,     0,     0,     0,     0,  1764,     0,
    1770,     0,     0,  1708,  1709,  1707,  1706,  1718,  1715,  1721,
    1722,  1723,  1716,     0,     0,  1719,  1713,  1891,     0,     0,
    1890,  1892,  1897,     0,  1887,     0,     0,     0,     0,     0,
       0,   573,     0,     0,     0,     0,  1872,  1874,     0,     0,
    1906,     0,     0,     0,  1916,     0,     0,     0,   626,  1848,
     627,     0,  1976,   573,     0,     0,     0,     0,     0,   573,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1968,     0,  2013,     0,     0,     0,     0,   925,
     823,   773,     0,     0,   754,   928,     0,     0,   660,     0,
       0,   667,   678,   677,   796,   778,   794,     0,   792,     0,
     789,  1402,     0,  1405,  1406,  1407,  1404,     0,     0,     0,
       0,     0,  1412,   573,  1403,     0,     0,     0,     0,     0,
       0,     0,   573,  1418,  1419,  1428,     0,     0,     0,     0,
       0,  1360,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1733,  1734,  1735,  1736,  1737,  1738,  1739,  1740,
    1730,     0,     0,     0,  1758,   573,     0,  1772,  1727,  1745,
    1726,  1763,  1752,  1753,  1754,   573,   573,  1747,  1729,     0,
       0,  1731,   573,   573,  1728,     0,   573,  1783,  1771,  1767,
    1717,  1720,  1923,  1923,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,   573,     0,     0,
       0,   573,     0,   573,     0,     0,  1885,  1910,     0,  1921,
    1905,  1904,  1908,  1920,  1914,  1915,  1918,  1947,  1945,     0,
       0,     0,  1961,   573,   573,  1942,     0,  1966,  1969,  1972,
    1971,  1970,  1967,  1946,   573,     0,     0,  1943,  1944,     0,
       0,   573,  1948,   573,   573,   573,  1974,  2005,     0,     0,
    2012,  2009,   770,     0,   808,   814,   822,     0,   943,     0,
       0,     0,     0,     0,     0,     0,  1410,  1411,  1063,  1062,
    1413,  1414,  1408,  1409,   573,  1422,  1421,  1424,  1423,  1425,
    1420,  1092,  1094,  1351,  1352,  1353,  1362,  1363,   633,   616,
       0,     0,     0,     0,     0,     0,     0,  1120,  1121,  1122,
    1123,     0,     0,     0,  1124,  1756,  1755,  1757,  1760,  1759,
    1748,   573,     0,  1746,     0,  1761,  1744,  1732,  1743,  1742,
    1749,  1741,   573,  1893,  1894,     0,     0,  1880,  1881,  1882,
    1867,  1923,  1868,     0,  1923,  1857,     0,  1861,   573,  1860,
    1862,  1863,     0,  1877,  1873,  1878,  1875,     0,   573,  1922,
    1959,  1960,  1962,  1965,  1952,  1954,     0,  1963,  1957,  1958,
    1955,  1956,  1949,  1950,  1951,  1953,     0,     0,     0,     0,
       0,   669,   668,   783,     0,  1415,  1416,  1417,  1095,  1101,
       0,     0,  1101,  1101,  1110,  1111,  1112,  1113,  1114,  1115,
    1116,  1117,  1118,  1119,  1101,     0,     0,  1096,  1750,  1751,
    1774,  1773,  1762,  1924,  1856,  1869,  1865,  1870,  1866,  1855,
    1858,  1864,     0,  1879,  1964,  2011,  2010,   929,   944,     0,
    1106,  1101,  1101,  1108,  1107,  1109,  1101,  1101,  1775,     0,
       0,     0,  1104,  1105,  1102,  1103,  1776,  1876,     0,   798
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,    -8,
    -947,   -72,    -7,  2036, -1009, -1362, -2934,  -166,  -171,  1163,
    1166,  1167, -2934, -2934, -2934,  -187, -2934, -2934, -1069, -2934,
   -2140, -1367, -1146,   435, -2934,   567, -2610,  -103,  -255,   580,
    -722, -2934,  -136,   -84, -1921, -2934,   529,   531,   532,   533,
     239,   -79,   -75,   245, -2306, -1376,   246, -2934, -2934, -2934,
   -2934,  1667, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,   -77, -2934, -2934, -2934, -2934,   967,
   -1609, -2934, -1207, -2214, -2934, -2934, -2934,   293, -2813, -2934,
   -2934,   484, -2934,  -207,  1259,  -350, -1877, -2773,  2660, -2382,
   -2756,  1266,  -347, -2934,  1707, -2934,  1268, -2934, -2934, -2934,
   -2934, -1083, -2934, -2934, -1093,   247, -1868,  -165, -1543, -2934,
   -2934,    86, -2934,    37, -2924, -2934, -2934, -2934, -1864, -2934,
   -2934, -2934, -2934, -2428,    91, -2934, -1039, -2934, -2934,     3,
    2709, -2934, -2934, -2934, -2934, -2934, -2934, -2934,   -70,  -123,
   -2934,  -141,  -690, -2934, -1053, -1432,  -108, -1121, -1065, -2934,
    -393, -2934, -2934, -2934, -2934, -2934, -2934, -2934,   811, -1329,
   -1659, -2934, -2934, -2859, -2934, -2934, -2934, -2934, -2934,  -301,
   -2934,   915,  -670, -2934,   919, -2173, -2934,  -530, -2933, -2934,
   -2934, -2093, -2934,  -550, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,  -248, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -1516, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,   177,  1632, -1582, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,  -147, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,    35, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,   798,    32,
   -2934, -2934, -2934,   227, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934,  1067,  -474, -2934, -2934,   212, -2934, -2934,
   -2934, -2934, -2934, -2934,   190, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934,  -803, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934,   155, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934,     9, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934,  -423, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934,  -258,  -274, -2934, -2934, -2934,
   -2934,  -432,  -273, -2934, -2934, -2934, -2934,  -433,  -272, -2892,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -1061,   351,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1368,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,  1157,
    1199, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934,  1005,  1608, -2934, -2934, -2934, -2934, -2934, -2934, -2934,
   -2934, -2934, -2934, -2934, -2934, -2934
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    22,    23,    24,    25,     2,     3,   110,   111,  1312,
    1326,   979,   956,  2853,  2729,  1793,  1147,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,  2799,
    2509,  2974,  1503,  2332,  2251,  2252,  3400,   934,  1220,  1727,
    3159,  3076,  3160,  2788,  2906,  2578,  2579,  2580,  2581,  2582,
    2789,  2790,  2791,  2793,  2794,  2916,  2796,  2583,  2589,  2293,
    2294,  1561,  1912,  1913,   289,   290,   291,   905,   112,  1290,
     113,   114,   115,   116,  2348,  2011,  1703,  1704,  2013,  1705,
    1866,  1867,  1484,  1706,   117,  1289,  2347,  2349,  2541,  2542,
    2350,  2351,  2352,   292,  1185,  3016,  1572,  1186,  1573,  1187,
    1188,  1189,  3020,  2864,  1190,  3021,  1191,  1192,  2888,  1143,
     293,  1144,   294,   295,  1583,  1584,   296,   297,   298,   299,
    1602,  1940,  2312,  2302,   301,  2275,  2353,  2760,  2354,  2549,
    3022,  3367,  2766,  2761,  2277,   118,  1301,   119,   120,   990,
     122,   123,   124,   959,  2042,  1739,  1332,   125,   980,   991,
     992,  2049,  2050,  1747,  1351,  1748,   993,  1489,  1485,  2210,
    1871,   126,   947,   948,   127,  1743,  2372,  2044,  1744,  1899,
    1900,  1711,  1712,  3222,   128,   129,   130,  1343,   994,  1216,
    1630,  1631,  1228,  1638,  1639,  2954,  2955,  3236,  2956,  2957,
    2958,  3251,  3411,  3081,  2428,  2102,  1787,    26,    27,    28,
      29,  1242,    30,    31,    32,  1238,  1961,  1962,  1663,  1623,
     306,    33,  1240,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,   342,  1277,    45,    46,    47,    48,
      49,    50,    51,   307,    52,    53,   308,  1234,   302,   131,
     132,  1751,  1354,   996,  1355,  1752,  1753,  2627,  2377,  2054,
    2378,  1052,  1053,  2681,  2150,  1844,  1443,  1845,  1846,  1641,
      54,   133,  2061,  2635,  1754,   134,  2632,  2633,   135,  2067,
    1755,   136,  2383,  2942,  3060,  2941,  2834,  2384,    55,    56,
      57,    58,   137,  2075,  1756,   138,  2642,  2387,  2388,  2838,
    2959,  3072,  2837,  2645,  2389,  2391,  2648,  2842,  2962,  2393,
      59,  1676,   139,  1404,  1401,  2085,  2406,  2407,  1804,   140,
    1393,  2103,  1054,  1055,  2854,  2699,  2171,  1847,  1445,  1848,
    1056,  2180,  2181,   141,  2182,  1849,   142,  2706,   143,  2191,
    1850,   144,    60,  1279,   976,   145,   146,  1461,  1074,  1075,
    1076,  1077,  1078,  1860,  2205,  2493,  2490,  2496,  2497,  2871,
    2982,  2206,  2872,  2991,  2207,  3109,  2869,  2975,  2976,  3112,
    3422,  3539,  3511,  2484,  2502,  2713,  2866,  2972,  2868,  2485,
      61,    62,    63,    64,    65,    66,    67,    68,  1679,   147,
     148,  1089,   149,  1335,   150,   151,  2223,  2514,  2515,  1877,
     152,  2512,  3149,  3312,  3314,  3440,  3000,  2999,  2876,  2513,
    2510,  2998,  2874,  2873,  2726,  2511,  2730,  2877,  3153,  3317,
    3001,  2731,  2734,  2878,  3157,  3323,  3002,  2735,  3320,  3433,
     977,   153,  2230,  1878,   154,  2520,  3005,  3183,  3342,  3004,
    2881,  2521,    69,    70,   155,   156,  1879,  2242,  2528,  2243,
    2532,  2535,  2745,  2746,  3006,  3188,  3357,   157,   158,  1516,
    1517,  2245,  1112,  1880,  1113,  2279,  1892,  1519,    71,   159,
    1126,   949,   160,  1721,  1730,  1323,  1728,  2030,  1733,  1274,
    1275,   161,   162,    72,    73,    74,    75,    76,    77,    78,
      79,   351,  1286,   163,  1529,  2281,  1127,  1128,   164,   165,
    1135,  1534,  2770,  2559,  2284,  1535
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     276,   942,  1184,  1152,  1145,  1327,   121,  1218,  1151,  1100,
     904,  1111,  1125,   928,  1745,   907,   908,  1051,  1400,  1403,
    1941,  1462,  1183,  1073,  2273,  1087,  1453,  1099,  2276,  1487,
    1859,  1662,  1791,  3079,   345,  1109,  1123,  1502,  1182,  1963,
    1088,  1805,  1134,  1181,   300,  1563,  2301,  2303,  2305,  2306,
    1110,  1124,  2533,  1539,  1540,  1541,  1221,   932,  1547,  1939,
    1548,   933,  3150,   997,  3184,   998,  2768,   999,  1265,  1000,
      81,  1057,  1696,  1058,  3154,  1059,  1131,  1079,  2516,  3079,
    1253,  1101,   276,  1102,  2004,  1103,  1241,  1104,  1278,  2705,
    2705,  2705,  1661,  1129,  1130,   953,     4,     5,     6,   932,
     175,   955,  1150,   933,  2507,  3299,   953,    82,  2978,  1764,
    1988,   175,  1367,  1396,  1397,  3017,  1398,    83,   318,  3297,
    1509,    84,  2399,  2762,    85,    86,   909,  1369,  1989,  3237,
    1371,  1373,  3019,  2613,   954,  3333,   953,  1266,   953,   953,
    2654,   175,  3338,   175,   175,   954,  2273,  1971,   982,   121,
     175,    87,  3119,   983,   984,   935,  1235,  1132,  3457,  3272,
    1001,   986,  1142,  1307,  1308,  1309,  1310,    85,    86,  1502,
    3218,  3219,  1316,   276,  1990,   954,   276,   954,   954,  3339,
     932,  2460,   936,   937,   933,  1467,   310,   311,   314,   315,
    1946,  2646,  1114,  1396,  1397,   343,  1398,  3190,  1423,  1470,
     938,  3302,  1180,  1768,  2467,  1241,  1241,    88,   175,    89,
      90,   175,  3401,    91,  2992,    92,   987,  1156,  3233,   988,
    1163,    93,  2624,    94,    95,    96,  2691,    97,  1248,  2602,
    3264,   932,   960,  2625,  2703,   933,  2682,  1731,     7,  1924,
     951,    98,    99,   100,   101,   102,   103,  1794,  3412,  3262,
    3219,  2400,  1795,  1796,  1579,   346,     8,   175,  1154,  1254,
     961,  1991,  1554,  2993,   982,   319,  3282,   320,  1794,   983,
     984,  1314,  3155,  1795,  2430,  2795,     1,   986,  2603,   347,
    1148,  2795,     9,    10,    98,    99,   100,   101,   102,   103,
     962,  2194,   104,  1799,  1794,  2315,   321,  2979,   105,  1795,
    2431,  1742,  2604,   322,   106,   107,  3332,  3120,   952,  3110,
    2278,  1688,  1925,  1689,  3273,  3111,  2401,  1732,  1347,    11,
     953,    12,  2863,    13,  1243,   175,  1580,  1360,    80,  3220,
    2704,  2638,   987,   303,    14,   988,  1255,   304,   323,  2980,
     324,  1249,  1471,  2639,  2640,  1680,  1682,  1769,  1115,  2274,
     325,  1244,   963,  1759,  1992,  3402,   941,  3234,   964,   954,
     326,  1510,   965,  1155,  1715,    15,  3303,  1555,  3228,    16,
    2692,  1876,  2195,  1468,    17,    18,  2468,  2196,  1344,  1317,
    2683,  3366,  2019,   327,  1882,   966,  3283,  2461,  1511,  1636,
     953,  3413,  3330,  3219,  2684,   175,  3161,  1967,  1512,  3221,
    1116,  3434,  2685,  1117,  1800,  1801,  1802,  1803,  3220,  3334,
    3458,  2674,  2675,  2655,  2151,  1307,  1308,  1309,  1310,   210,
    3017,  2832,  1361,  3340,  1236,  1765,   953,  1886,  1245,   954,
    3162,   175,  2278,  3121,  2402,  2626,  2403,  3019,  2404,  1993,
    3274,  2405,  1368,   166,  1637,   211,   212,   213,  2804,  2319,
    2320,  1307,  1308,  1309,  1310,  1246,  1399,  1370,  3300,  3237,
    1372,  1374,  1904,  3023,  1424,   954,  3024,  3301,  1780,  1947,
    1948,  2274,  2647,   305,  3151,   167,  2769,  2981,  3263,  3152,
    2197,  3298,  1425,  1426,  2273,  2641,  3156,   168,   967,  1222,
    1223,   968,   214,  1402,   328,  1942,   969,  1943,  3341,  1428,
    1951,  1884,  1581,  1885,  1267,  1887,  3018,   309,  1888,  3185,
    3186,   304,  1231,  1994,  2534,  3187,  1232,    19,  3124,  3347,
    1861,  1862,  2248,  1250,  2486,   316,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,  1251,  1252,  1995,  2945,
    2946,  3163,   317,   970,  3415,  3416,  2732,   971,   972,  3516,
     344,  3220,  3518,  1579,   225,   226,  3229,  1268,  1269,  1270,
    1271,  1272,  1273,   906,  1375,  1513,  1514,  1515,  3295,  2948,
    1996,   939,  3318,  2006,  1582,  2477,  3351,  1502,  3348,  2751,
     329,   227,   973,  3193,  2498,  1797,  1798,  3084,   175,  1133,
    3164,  3165,   953,  3158,  3166,   228,  2198,   175,   339,   348,
     349,   350,  2733,  3030,  3031,  1933,  1797,  1798,   974,  2677,
     352,  3033,  3034,  1319,  1320,  1321,  3079,   229,   230,   231,
     232,  3331,  3075,  2994,  2995,  1905,  3230,  2996,  2997,  3231,
     929,   954,  1797,  1798,  1303,  1304,  1305,   340,  3404,  2597,
    2969,  3167,  2199,  2189,  3168,  1136,  2487,   305,  1118,  1119,
     175,   953,  1233,  3194,   108,   109,   175,  1376,  3068,  2200,
     930,  2201,  1137,  3169,  1138,  2202,  2983,   975,  3170,  2203,
    2204,  2488,  2752,   931,  2273,   953,  1307,  1308,  1309,  1310,
     175,  2678,   953,  1342,  1139,    20,  2552,   175,  2598,    21,
     954,   940,  1889,  3069,  3171,  1890,   233,   234,  1933,  2990,
    1307,  1308,  1309,  1310,  1120,  1121,  1122,  1307,  1308,  1309,
    1310,   207,  2970,  1193,   954,   235,   236,   341,  3172,   950,
    2808,   954,  2810,  2925,  2636,  2812,   957,  2815,  2817,  2643,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,  2464,  3059,  1407,
    2278,  2932,  2926,  1384,   958,  2945,  2946,   309,  2121,   943,
    1140,   304,  1141,  1408,  3173,  1944,  1213,  1945,   274,   275,
    3280,  3490,  3491,  2851,  2852,  2935,  2679,  2631,  1432,  3108,
    2680,   953,  3505,  3506,  2765,  2948,   175,  3174,  2231,  2274,
     995,  3018,  1225,  3070,  3071,   -59,   953,    85,    86,  2285,
    2933,   175,  2286,  2984,  3175,  1214,  1307,  1308,  1309,  1310,
    1933,  3182,  2904,  2908,  1288,  2495,  2630,  2904,  2908,   312,
     954,   -59,  2232,   -59,  2936,  1385,  1322,  1149,    85,    86,
    2797,  1226,  2822,  2727,  1394,   954,  1293,   944,   945,   946,
    1090,  2738,  3176,  3177,  3178,  3179,  1688,  3180,  2361,   953,
     -59,  3181,  2910,  2224,   175,  2918,  1433,  1434,  2823,  2985,
    1435,  2910,  2918,  1345,  1346,  1330,  1770,  1749,  2273,  1386,
    1692,  1750,  2887,  1146,  1307,  1308,  1309,  1310,  1387,  1396,
    1397,  2909,  1398,   932,  2986,  1215,  2917,   933,   954,  2068,
    1852,  1976,  1377,  1148,   982,  2944,  2069,   305,  1291,   983,
     984,  1381,  1294,  1295,  1382,  1149,  1150,   986,  1789,  1977,
    1306,  1227,  1153,  1184,    98,    99,   100,   101,   102,   103,
    1914,  1157,  1231,  1325,  1325,   982,  1232,   276,  2421,  1436,
     983,   984,  2336,  1164,  2225,  2595,  2337,  2338,   986,  2600,
    2278,  1165,  2728,  2754,  1915,    98,    99,   100,   101,   102,
     103,  1145,  1145,  1145,  1149,  1150,  1145,  1789,  1145,  2596,
     313,   982,   987,  2601,  2923,   988,   983,   984,  1488,  2973,
    2070,  1328,  2005,  1437,   986,  1672,  1673,  1674,  1675,  2274,
    1677,  1678,  1438,  1681,  1683,   953,  1685,  1686,  2924,  3245,
     175,  1771,   953,   987,  1575,  1576,   988,   175,  1395,  2696,
    2987,  2988,  2989,  1166,  2945,  2946,  2947,  1693,  1479,  1167,
    1307,  1308,  1309,  1310,  1168,  1853,  1209,  1210,  2977,  1429,
    1211,  1439,  2409,  2710,   954,  2697,  2698,  3246,  3037,   987,
    2131,   954,   988,  3039,  2948,  3040,  1694,  2445,  3042,  2422,
    1456,  2446,  1577,  2392,  2479,  3133,  1149,  1150,  2928,  1978,
    1979,  1980,  1488,  2949,  2950,   953,  2478,  2951,  2952,  2233,
     175,  1695,  1981,  1982,  1477,  1296,  1169,  1297,  2234,   953,
    1298,  1487,  2929,  1873,   175,  3134,  3424,  1874,  2491,  1170,
    1307,  1308,  1309,  1310,  2423,  1171,  2424,  2425,  3135,  1522,
    2426,  2427,   953,  3247,   954,  1396,  1397,   175,  1398,  2235,
    1299,  2236,  1396,  1397,  1300,  1398,  1172,  2475,   954,  1142,
    1142,  1142,   276,  1180,  1142,  1173,  1142,  1307,  1308,  1309,
    1310,  2273,  1193,  2071,  2072,  3189,  3011,  3012,  1543,  1544,
    2073,   954,  3248,  2953,  2149,  2712,  1212,  2170,  3249,  2035,
     276,   276,   276,   276,   276,   276,   276,  2543,  2544,  1149,
    1150,   276,  1789,  1194,  2278,  2530,  1542,  3250,  2536,  3509,
    2895,  3136,  2555,   175,  1941,  3363,   276,  3073,  3074,  2036,
     276,   276,   276,   276,   276,   276,   276,   276,   276,   276,
     276,   276,   276,   276,  1564,  1565,  1566,  1567,  1568,  1569,
    1570,  1195,  1790,  2274,  1707,  1574,  1806,  3075,  1150,  2893,
    2507,  1807,  1808,  1939,  1983,  2659,  1984,  2660,  1182,  1217,
    1585,  2686,  2687,  1181,  1588,  1589,  1590,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,  1599,  1600,  1601,  3137,  2631,
    2226,  1365,  1366,  3138,  1985,  1478,  1479,   953,  1219,  2634,
    3139,  1224,   175,  2183,  2820,  1740,  2821,  2037,  1174,  1175,
    1543,  1544,  1177,   175,  1333,  1334,  1480,  1699,  1311,  1229,
     276,  1481,  1230,  1869,   953,  1781,  1237,  2237,  2630,   175,
    3213,  3214,  2238,   276,  2239,  1239,   954,  1486,  1412,  1413,
     953,  3215,  3466,  1325,  2227,   175,   207,  1929,  1717,  1307,
    1308,  1309,  1310,  1296,  1729,  1297,  1734,  2104,  1298,  2106,
    1241,  2184,  1479,   954,  1701,  1307,  1308,  1309,  1310,  1152,
    3372,  1247,  3373,  2693,  1151,   982,  1256,  1713,  2700,   954,
     983,   984,  1257,  1478,  1479,  1718,  1719,  2038,   986, -1544,
    2185,  1280,  1300,  1282,  1258,  2039,  2040,  1761,  1762,  2041,
    1478,  1479,  1473,  1474,  1480,  1664,  1259,    85,    86,  1481,
    1260,  1184,  1184,  1174,  1175,   172,  1176,  1177,   175,  1261,
    1145,  1480,  1806,  1665,  1262,  1482,  1481,  1807,  2432,  2451,
    3044,  1483,  2213,  1276,  1183,  1263,  3530,  1264,  1810,  3533,
    3534,  1813,  1482,   987,  3045,  2214,   988,   345,  1483,  3046,
    1182,  3535,  1178,  2327,  2328,  1181,  2329,  1972,  1973,  1974,
    1975,  2622,  1986,  1987,  3047,  1281,  1998,  2278,  2000,  1283,
    2001,  2002,  1997,  1284,  1999,  2186,  2023,  2024,  3542,  3543,
      85,    86,  1287,  3544,  3545,  1527,  1666,  1735,  1736,  1737,
    1858,  1149,  1499,  1500,  1501,  2720,  3437,  3438,  3439,  1325,
    1325,  1285,  2025,  2026,   982,  2062,  2274,  2316,  2317,   983,
     984,  1865,   276,  2215,  1870,  1302,  1957,   986,  1870,  2669,
     175,  1956,  1870,   181,    98,    99,   100,   101,   102,   103,
     184,   185,  1315,  3140,  1318,  3141,  3142,  2367,  2368,  1538,
    3143,  3144,  1667,  3145,  -619,  -619,  1391,  -619,  1136,  1179,
    3146,  3147,  1324,   175,  1329,  1896,  1868,  2740,  1898,  1668,
    1669,  3148,  2473,  2474,  3048,  1137,  1331,  1138,  1901,  2657,
    2658,  1670,   987,  2945,  2946,   988,  1336,   982,  1142,  1337,
    2666,  2667,   983,   984,  1478,  1479,  2063,  1139,  2776,  2777,
     986,   276,  1338,   276,  1339,   330,  1340,    98,    99,   100,
     101,   102,   103,  2948,  1348,  1480,  1952,  1953,  1954,  1955,
    1481,  1180,  1180,  2452,  2904,  2905,  1349,  1174,  1175,  1543,
    1544,  1177,   175,  1350,  3049,  3050,  1486,   331,  3051,  3063,
    3064,  1352,  2007,  1353,  2146,  1910,  1356,  1911,  2147,  1362,
    2779,  2780,  2781,  2187,  2188,   987,  2017,  3529,   988,  1357,
     332,  2273,   333,  2060,   334,  3527,  1178,  2027,  2945,  2946,
    2782,  2783,  2784,  3241,  3242,  1358,  2031,  2015,  3374,  3375,
    1359,  2059,  2065,  2074,  1949,  2016,  3052,  3053,  3054,  3396,
    3397,  1865,  1964,  1140,  1363,  1141,  1968,  2066,  1092,  3055,
    1364,  3056,  1603,  3057,  1380,  3010,  1970,  3202,  3203,  1604,
    1605,  1379,  3058,  1388,  3548,  3011,  3012,  1543,  1544,  2707,
    2708,  1383,  2825,  2826,  1389,  2856,  2048,  1405,  1390,  1406,
    1093,  1094,  1409,  1415,  1410,  1095,  1865,  2064,  1417,   335,
     336,   337,   338,  1411,  1414,  1418,   953,  1096,  1419,  1420,
    1421,   175,  2179,  2018,  3013,  1422,  1097,  2785,  2786,  3011,
    3012,  1543,  1544,  1545,  3494,  3495,  3496,  3497,  3498,   276,
    2105,  1307,  1308,  1309,  1310,  1430,  2178,  2190,  1440,  1441,
    1446,  3014,  1431,  1442,  1444,   954,  2363,  1145,  1396,  1397,
    1145,  1398,  2339,  2047,  2341,  1883,  1447,  2374,  3013,  2076,
    2077,  1091,  1448,  1449,  2221,  2228,  2240,  1450,  1451,  1452,
    2900,  2083,  2088,  2028,  1455,  2091,  2092,  1458,  1460,  2222,
    2229,  2241,  2098,  1464,  2100,  2101,  1606,  1607,  1608,  1609,
    1610,  1611,  1463,  1152,  1465,  1469,  2107,  2108,  1151,  2371,
    1472,  1475,  1476,  1092,  1488,  1490,  2148,  1491,  2111,  2112,
    1492,  1092,  1493,  2115,  2116,  1494,  2118,  2216,  2217,  1504,
    2218,  1495,  1496,  1497,  2331,  2219,  1498,  1505,  2220,  2330,
    2132,  2048,  1506,   982,  1507,  1093,  1094,  1518,   983,   984,
    1095,  1508,  2960,  1093,  1094,  1523,   986,  1521,  1095,  1524,
    1520,  1530,  1096,  1531,  2192,  1526,  1532,  1533,   953,  2193,
    1096,  1097,  2177,   175,  3499,  3500,  3501,  3502,  3503,  1097,
    1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,
    1622,  1536,  1537,  1307,  1308,  1309,  1310,  2325,  1549,  2253,
    1550,  2326,  1551,  1722,  1723,  2272,  1724,   954,  1552,  2282,
    1725,   987,  1553,  1211,   988,  1142,  1556,  2278,  1142,  1557,
    2963,  2964,  2965,  2503,  2504,  2505,  2506,  1558,   276,  1578,
     276,   276,   276,   276,  1586,  1587,   276,   276,   276,   276,
    1726,  1708,   276,  1624,  1625,  1626,   276,  1632,  1174,  1175,
    1543,  1544,  1177,   175,  2345,  2346,  2274,  1158,  1159,  1160,
    1161,  1060,  1061,  2355,  1633,  1634,  1635,  1627,  1628,    85,
      86,  1629,  2295,  1640,  2296,  2297,  2298,  2299,  1098,  1643,
    1197,  1198,  1199,  1200,  1201,  1644,  2308,  1178,  1671,  1684,
    2309,  1687,  1690,  1691,  1062,    85,    86,  1697,  1700,  2376,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  3405,
    3406,  1211,  1702,  1709,  1710,  1001,  3407,  3408,  3409,  3410,
    1080,  1714,    85,    86,  3066,  1716,  1720,  2272,  2779,  2780,
    2781,  2912,  2913,  2914,  2915,  1790,   953,  1741,  1757,  1776,
    1777,   175,  1758,  1773,  1817,  1760,  1766,  1105,  2782,  2783,
    2784,  1182,  1767,  1774,  1779,  1782,  1181,  1783,  1784,  1785,
    1786,  1788,  1792,  2508,  1811,  1820,   982,  2508,  1812,  1814,
    1827,   983,   984,  1831,  1828,   954,  1833,  1834,  1837,   986,
    1838,  1839,  2756,  1840,  1842,  1863,    98,    99,   100,   101,
     102,   103,   982,  1857,  1864,  1872,  1510,   983,   984,  2411,
    1893,  1902,  1897,  1906,  2481,   986,  1907,  1908,  1909,  1923,
    1926,  1928,    98,    99,   100,   101,   102,   103,  1933,   982,
    1934,  1935,  1950,  1936,   983,   984,  1081,  1969,  1965,  1966,
    2008,  2010,   986,  2012,   987,  2785,  2786,   988,  2020,    98,
      99,   100,   101,   102,   103,  2029,  2022,  2033,  2034,  2043,
    1063,  2045,  2046,  2052,  3085,  2078,  2051,  2053,  2079,  2080,
     987,  2447,  2081,   988,  2086,  2087,  2089,  2090,  2093,  3086,
    2096,  2097,  2099,  2457,  2139,  2280,  2758,  2109,  2113,  2114,
    2117,  2144,  3343,  2119,  2120,  2122,  2123,   987,  2124,  2125,
     988,  1082,  2126,  2127,  2128,  2129,  2133,  1865,  2480,  2134,
    1106,  1196,  1064,  2135,  2137,  2138,  1197,  1198,  1199,  1200,
    1201,  1107,  2143,  2145,  2209,  1083,  2212,  2244,  2246,  2247,
    2331,  2249,  2250,  2287,  2256,  2330,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,  2283,  2288,  1211,  2310,  2523,
    2307,  2289,  2311,  2525,  2318,  2321,  2322,   910,   911,   912,
     913,   914,   915,   916,   917,   918,  2538,   919,   920,   921,
     922,   923,   924,   925,  2323,  2324,  2333,  2334,  1645,  2335,
    2340,  2342,  2343,   276,   276,  2344,   276,  2357,  2945,  2946,
     276,   276,  2356,  1149,  1499,  1500,  1501,  2360,   276,  2358,
    2362,  2364,  2558,  2611,  2369,  2370,  2614,  2379,  3382,  3383,
    2375,  3385,  3386,   276,  2381,   276,  2380,  2385,  2948,  2382,
    2396,  3393,  3394,  3395,  2386,   181,  2449,  1585,  1585,  2440,
    2546,  2394,   184,   185,  2547,  2548,  3087,  2395,  2397,  3088,
    3089,  1108,  1585,  3090,  3091,  3252,  3253,  3254,  3255,  3256,
    3257,  3258,  3259,  1065,  1066,  1067,  1068,  2562,  1646,  2563,
    2398,  2408,  2412,  2413,  2414,  2415,  2416,  2418,  2419,  2420,
    2429,  2433,  2434,  3092,  2435,  2272,  2436,  2437,  2438,  2439,
    2441,  1069,  2442,  2443,  2448,  2450,  1070,  2453,  1647,  2621,
    1325,  1071,  3093,  2454,  2456,  3485,  3486,  3094,  2459,  2455,
     927,  2458,  2469,  2470,  2471,  2476,  2472,  2483,  2500,  2494,
    3095,  2482,  3096,  2501,  2517,  1648,  1479,  3097,  2650,  2518,
    3098,  2519,  1084,  1085,  1086,  2524,  2529,  2527,  3468,  2055,
    2537,  2540,  1649,  2526,  2545,  -946,  1650,  2550,  2553,  1651,
    1652,  2551,  2554,  3510,  1653,  2556,  2798,  2508,  1325,  2670,
    1197,  1198,  1199,  1200,  1201,  2557,  2560,  2561,  2599,  2606,
    2605,  2609,  2607,  2608,  1654,  2610,  2612,  3099,  2676,  2615,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1092,
    2617,  1211,  2618,  2644,  2651,  2619,  2620,  1655,  1656,  1657,
    2637,  1658,  1659,  1660,  2652,  2653,  2695,  2668,  1559,  2661,
    2662,   982,  2759,  2656,  2663,  2664,   983,   984,  2714,  2715,
    2671,  1093,  1094,  2718,   986,  2673,  1095,  2702,  2709,  2711,
    2722,  2701,  1560,  2723,  2739,  2742,  2231,  2737,  1096,  2717,
    3100,  2748,  2771,  3101,  3102,  3103,  2772,  1097,  2719,  2775,
    2721,  3104,  2778,  2792,  2724,  2725,  3105,  2749,  2800,  2805,
    2741,  2813,  2743,  2807,  2811,  2818,  3106,  2824,  2747,  2831,
    2829,  2833,  3107,  2841,  2843,  2272,  2844,  2845,  2753,   987,
    2859,  2847,   988,  2857,  2840,   276,  2850,   276,  2848,  2858,
     276,  2849,  2703,  2890,  2867,  2875,  2152,  2862,  2880,  2884,
    2885,  2886,  2901,  2902,  2907,  2921,  2919,  2922,  2927,  2931,
    2930,  2787,  2934,  2937,  2839,  2961,  2153,  2787,  3003,  3007,
    3008,  3025,  3032,   276,  3035,  3036,  3038,  3041,  3062,  2763,
     276,  2764,   276,  3009,  2767,   276,  3082,   276,   276,  3080,
     276,  3065,  3116,  2056,  3192,  3123,  2057,  2058,  3126,  3132,
    3197,  1325,  1325,  3196,  3204,  3205,  2827,  3128,  2828,  3206,
    3129,  3207,   276,  3208,  3209,  3217,  1092,  2806,  3210,  2154,
    3212,  3225,  3223,  3226,  3232,  3227,  3235,  3261,  3238,  3239,
      85,    86,  3240,  3266,  1585,  3243,  3265,  3267,  3275,  3285,
    3279,  3294,  3286,  3287,  2048,  3289,  2564,  3304,  2155,  2156,
    3305,  3307,  3308,  1095,  3309,   981,  2830,  2565,  2566,  2567,
    2568,  3310,  2569,  2570,  2571,  1096,  3315,  2572,  3311,  2573,
    2574,  3015,  1790,  1790,  1097,  2575,  2576,  2889,  3313,  3316,
    2577,  3276,  3322,  2732,  2014,  3326,  3336,  3355,  1182,  1182,
    3329,  3344,  3345,  1181,  1181,   910,   911,   912,   913,   914,
     915,   916,   917,   918,  3346,   919,   920,   921,   922,   923,
     924,   925,  3358,  3356,  3359,  3370,  3361,  3368,  2157,  2879,
    2158,  2882,  2159,  3353,  3349,  3371,  3354,   982,  3384,  3391,
    3392,  3350,   983,   984,  3390,  3399,   985,  3414,  3448,  2272,
     986,  3436,  3443,  3452,   276,  3484,  3432,    98,    99,   100,
     101,   102,   103,   910,   911,   912,   913,   914,   915,   916,
     917,   918,  3435,   919,   920,   921,   922,   923,   924,   925,
    2903,  3421,  3446,  3476,  3477,  3483,  2911,  3489,  3479,  3492,
    3493,  3504,  3078,  3512,  3528,  3524,  3531,  3532,  2891,  3536,
    3537,  2160,  3541,  3538,  3546,   987,  2623,  2161,   988,  3549,
    1958,  3540,  1001,  1959,  1960,   276,  2539,  2531,  3547,    85,
      86,  3077,  3028,  2585,  2801,  2586,  2587,  2588,  3029,   989,
    3027,  2802,  1562,  2803,  2208,  2750,  2616,  1930,  3078,  1325,
    1325,  1325,  3364,  1162,  2172,  1931,  3365,  1546,   927,  1932,
    2162,  2967,  2898,  2894,  2819,  1072,  2373,  2313,  2173,  2938,
    2163,  2164,  3488,  2314,  3507,  1642,  2940,  2165,  2943,  2390,
    2836,  2846,  2110,  2855,  2870,  2971,  3442,  3296,  3321,  2166,
    3454,  3456,  3324,  2744,  3325,  1891,  2167,  2003,  2032,     0,
    1698,  2168,     0,     0,  3026,     0,     0,  2787,  2169,  2787,
       0,     0,     0,     0,     0,     0,   927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   982,     0,   276,     0,
       0,   983,   984,   276,     0,   276,  2174,  2175,   276,   986,
       0,     0,     0,     0,     0,     0,    98,    99,   100,   101,
     102,   103,     0,  1325,  3067,     0,     0,     0,     0,     0,
    1142,     0,     0,     0,     0,   910,   911,   912,   913,   914,
     915,   916,   917,   918,  2508,   919,   920,   921,   922,   923,
     924,   925,  3114,     0,     0,  1313,  3117,  3118,     0,  3122,
       0,  3125,     0,     0,   987,  3015,  3015,   988,     0,     0,
       0,     0,     0,     0,     0,     0,  1142,  2176,     0,     0,
       0,     0,  2272,     0,     0,     0,   276,  1197,  1198,  1199,
    1200,  1201,     0,     0,     0,   276,     0,     0,     0,  1341,
    3198,     0,  3199,  3200,  3201,     0,     0,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  3211,     0,  1211,     0,
    3216,     0,     0,     0,  3224,     0,     0,     0,     0,     0,
    3191,     0,  1378,     0,     0,     0,     0,     0,     0,  3195,
       0,  1392,     0,     0,     0,     0,     0,     0,   276,     0,
       0,     0,     0,     0,  1416,     0,     0,     0,     0,  3260,
    2757,     0,  1427,   926,  3360,  3268,  3269,  3270,     0,     0,
       0,     0,     0,  3278,     0,  3281,     0,  3284,   927,     0,
       0,     0,  1454,  3288,     0,  1457,     0,  1459,     0,     0,
       0,  2564,  3244,     0,     0,  3290,  3291,  1466,     0,     0,
    3292,  3293,  2565,  2566,  2567,  2568,     0,  2569,  2570,  2571,
       0,     0,  2572,     0,  2573,  2574,     0,     0,     0,     0,
    2575,  2576,     0,  3319,     0,  2584,     0,     0,  3319,     0,
       0,     0,     0,  3327,     0,     0,  1525,     0,  1528,  3335,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,
    3352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
     276,     0,  1211,     0,     0,     0,     0,     0,     0,     0,
     276,     0,   276,     0,     0,     0,     0,     0,     0,  3376,
    3377,  3378,  3379,  3380,     0,     0,     0,  1325,  1325,     0,
    1325,  1325,  3387,  3388,     0,     0,     0,     0,     0,     0,
    1325,  1325,  1325,  1917,  3369,     0,     0,     0,     0,  3403,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3417,  3418,  3419,     0,     0,  1197,  1198,
    1199,  1200,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,  3426,  3427,     0,     0,     0,     0,  3430,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
    3441,     0,     0,  3444,  3445,     0,  3447,     0,     0,     0,
    3450,  3451,     0,     0,     0,     0,  2291,     0,     0,     0,
    3459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3460,  3461,  3462, -1545, -1545, -1545,     0,  3465,     0,
    2292,     0,     0,     0,     0,     0,     0,  1325,  3469,     0,
       0,  3470,  3471,     0, -1545, -1545, -1545, -1545, -1545,  1207,
    1208,  1209,  1210,     0,     0,  1211,   276,     0,     0,     0,
       0,     0,  3481,  3482,     0,  1197,  1198,  1199,  1200,  1201,
       0,     0,     0,  3525,  3526,  3078,     0,     0,     0,     0,
       0,  1197,  1198,  1199,  1746,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,
    3478,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,  1763,  1211,     0,     0,     0,  1772,     0,     0,  1775,
       0,     0,  1778,     0,     0,     0,     0,  3514,  3515,     0,
       0,     0,     0,     0,     0,  3517,     0,  1918,  3519,     0,
       0,  1809,     0,     0,  3521,     0,     0,  1815,  1816,  3522,
    1818,  1819,     0,  1821,  1822,  1823,  1824,  1825,  1826,     0,
       0,  1829,  1830,     0,  1832,     0,     0,  1835,  1836,     0,
       0,     0,  2272,  1841,     0,  1843,     0,   276,     0,     0,
       0,     0,     0,     0,     0,     0,  1851,  1854,  1855,     0,
       0,  1856,     0,     0,     0,     0,     0,     0,     0,     0,
     169,     0,   170,   171,   172,   173,   174,   175,     0,     0,
       0,   176,   177,     0,     0,     0,     0,     0,     0,   178,
     179,  1571,     0,     0,   180,     0,     0,  1875,     0,     0,
       0,     0,     0,  1142,   276,     0,   181,   182,     0,     0,
    1881,   183,     0,   184,   185,     0,     0,   186,     0,     0,
       0,  1197,  1198,  1199,  1200,  1201,  1894,  1895,     0,     0,
       0,     0,     0,     0,  1197,  1198,  1199,  1200,  1201,     0,
       0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,     0,  1211,     0,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,     0,
       0,   187,   188,  1158,  1159,  1160,  1161,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,  1919,   205,     0,   206,     0,     0,     0,
     207,     0,     0,     0,     0,   208,  1920,   209,  1197,  1198,
    1199,  1200,  1201,     0,     0,     0,     0,     0,     0,     0,
    1197,  1198,  1199,  1200,  1201,     0,     0,     0,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,  1198,  1199,  1200,  1201,     0,     0,
    2290,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,  2590,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,  1197,  1198,  1199,  1200,  1201,
       0,   211,   212,   213,     0,     0,     0,     0,     0,     0,
       0,  1738,     0,     0,     0,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,
       0,     0,     0,  1903,     0,     0,     0,     0,   214,     0,
       0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
    2082,  2084,  1211,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2094,  2095,  1197,  1198,  1199,  1200,  1201,  1916,
       0,     0,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,     0,
     225,   226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1921,  2130,     0,     0,     0,     0,     0,     0,
    2136,     0,     0,     0,  2140,  2141,  2142,   227,  1197,  1198,
    1199,  1200,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,   228,     0,     0,     0,     0,     0,     0,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,  2211,  1211,
       0,     0,     0,   229,   230,   231,   232,  1197,  1198,  1199,
    1200,  1201,     0,     0,  2254,  2255,  1922,     0,     0,  1197,
    1198,  1199,  1200,  1201,     0,     0,     0,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,
    1211,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2021,  1197,  1198,
    1199,  1200,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,   234,     0,     0,     0,     0,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
       0,   235,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2009,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,     0,     0,     0,  1197,  1198,  1199,  1200,
    1201,     0,     0,     0,     0,  2365,  2366,     0,  1197,  1198,
    1199,  1200,  1201,     0,   274,   275,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,     0,     0,  1211,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
       0,     0,     0,     0,  2359,  1197,  1198,  1199,  1200,  1201,
       0,     0,  2410,     0,     0,     0,  2591,  1197,  1198,  1199,
    1200,  1201,     0,  2417,     0,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,     0,
       0,     0,     0,  2592,  1197,  1198,  1199,  1200,  1201,     0,
       0,     0,     0,     0,     0,  2593,     0,     0,     0,     0,
    2444,     0,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,     0,     0,  1211,  1197,  1198,  1199,  1200,
    1201,  2462,  2463,  2465,  2466,     0,     0,     0,     0,     0,
       0,     0,  2594,     0,     0,     0,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,
       0,     0,     0,  2489,     0,  2492,     0,     0,     0,     0,
    2499,     0,     0,     0,  2773,     0,     0,     0,     0,     0,
       0,     0,     0,   169,     0,   170,   171,   172,   173,   174,
     175,     0,  2522,     0,   176,   177,     0,     0,     0,     0,
       0,     0,   178,   179,     0,     0,     0,   180,     0,     0,
       0,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,   181,
     182,     0,     0,     0,   183,     0,   184,   185,     0,     0,
     186,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,     0,  1211,  1197,  1198,  1199,  1200,  1201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2774,
       0,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,  1158,  1159,  1160,  1161,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,     0,   205,     0,   206,
       0,     0,     0,   207,     0,     0,     0,     0,   208,     0,
     209,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
       0,     0,  1211,  1197,  1198,  1199,  1200,  1201,     0,     0,
    2649,     0,     0,     0,     0,     0,     0,     0,     0,  2920,
       0,     0,     0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,     0,     0,     0,  2665,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,  2939,     0,     0,     0,     0,  2672,  1197,  1198,  1199,
    1200,  1201,     0,     0,     0,     0,  2688,  2689,  2690,     0,
       0,  2694,     0,     0,   211,   212,   213,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,  1197,
    1198,  1199,  1200,  1201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2716,  3362,     0,     0,     0,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,
    1211,   214,  1197,  1198,  1199,  1200,  1201,     0,     0,     0,
       0,     0,     0,  2736,     0,     0,     0,  3398,     0,     0,
       0,     0,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,
    1210,     0,     0,  1211,     0,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,  1197,  1198,  1199,  1200,  1201,
    3480,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,  2257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,  2755,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,     0,     0,     0,   182,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   186,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
       0,     0,     0,  2835,     0,     0,     0,     0,  2258,     0,
       0,     0,  2260,  2261,  2262,  2263,  2264,  2265,  2266,   910,
     911,   912,   913,   914,   915,   916,   917,   918,     0,   919,
     920,   921,   922,   923,   924,   925,  2267,     0,     0,  2268,
    2269,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
       0,  2860,     0,     0,     0,     0,     0,  2861,     0,     0,
       0,     0,  2270,     0,  2271,   233,   234,  2865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2883,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,     0,     0,     0,  1197,
    1198,  1199,  1200,  1201,     0,     0,   210,     0,     0,     0,
       0,     0,   927,     0,     0,     0,     0,   274,   275,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,
    1211,     0,   211,   212,   213,  1197,  1198,  1199,  1200,  1201,
       0,     0,     0,     0,     0,  2896,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,     0,
       0,     0,     0,     0,  2966,     0,     0,     0,  2968,   214,
       0,  2897,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,  1198,  1199,  1200,  1201,     0,     0,
       0,     0,     0,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,     0,     0,     0,  2899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,     0,     0,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,  3083,     0,     0,
       0,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3113,     0,  3115,  1197,  1198,
    1199,  1200,  1201,     0,   229,   230,   231,   232,     0,  3127,
       0,     0,  3130,  3131,     0,     0,     0,     0,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3043,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,     0,     0,     0,     0,     0,
       0,     0,  3271,     0,     0,     0,  3277,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,     0,     0,     0,  3306,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   274,   275,     0,     0,  3328,
       0,     0,     0,     0,     0,  3337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3381,
       0,     0,     0,     0,     0,     0,     0,     0,  3389,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3420,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3423,  3425,     0,     0,     0,     0,     0,  3428,  3429,
       0,     0,  3431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3449,     0,     0,     0,  3453,     0,  3455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3463,
    3464,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3467,     0,     0,     0,     0,     0,     0,  3472,     0,  3473,
    3474,  3475,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3508,   353,   354,
     355,     0,     0,     0,     0,     0,     0,     0,  3513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
     357,     0,     0,     0,  3520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3523,     0,     0,     0,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,     0,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   353,   354,
     355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
     357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   978,
     370,   371,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,     0,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   353,   354,
     355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
     357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,  1292,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,     0,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,     0,     0,     0,     0,     0,     0,   178,   179,  2300,
       0,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,     0,     0,   183,
       0,   184,   185,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,     0,   205,     0,   206,     0,     0,     0,   207,     0,
       0,     0,     0,   208,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
     169,     0,   170,   171,   172,   173,   174,   175,     0,     0,
       0,   176,   177,     0,     0,     0,     0,     0,     0,   178,
     179,  2304,     0,     0,   180,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   228,
       0,   183,     0,   184,   185,     0,     0,   186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   187,   188,     0,     0,     0,     0,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,   205,     0,   206,     0,     0,     0,
     207,     0,     0,     0,     0,   208,     0,   209,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   214,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,   226,   169,     0,   170,   171,   172,   173,   174,   175,
       0,     0,     0,   176,   177,     0,     0,     0,     0,     0,
       0,   178,   179,  2809,     0,     0,   180,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   228,     0,   183,     0,   184,   185,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,     0,     0,     0,     0,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,     0,   205,     0,   206,     0,
       0,     0,   207,     0,     0,     0,     0,   208,     0,   209,
       0,     0,   233,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   274,   275,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,   169,     0,   170,   171,   172,   173,
     174,   175,     0,     0,     0,   176,   177,     0,     0,     0,
       0,     0,     0,   178,   179,  2814,     0,     0,   180,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   228,     0,   183,     0,   184,   185,     0,
       0,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,   188,     0,     0,     0,
       0,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,     0,   205,     0,
     206,     0,     0,     0,   207,     0,     0,     0,     0,   208,
       0,   209,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   274,   275,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   225,   226,   169,     0,   170,   171,
     172,   173,   174,   175,     0,     0,     0,   176,   177,     0,
       0,     0,     0,     0,     0,   178,   179,  2816,     0,     0,
     180,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   228,     0,   183,     0,   184,
     185,     0,     0,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   187,   188,     0,
       0,     0,     0,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,     0,
     205,     0,   206,     0,     0,     0,   207,     0,     0,     0,
       0,   208,     0,   209,     0,     0,   233,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   274,   275,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,     0,     0,     0,     0,     0,     0,   178,   179,     0,
       0,     0,   180,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   228,     0,   183,
       0,   184,   185,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,     0,   205,     0,   206,     0,     0,     0,   207,     0,
       0,     0,     0,   208,     0,   209,     0,     0,   233,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     274,   275,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,     0,     0,  2257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,     0,     0,     0,   228,
       0,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,  2258,  2259,     0,     0,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2267,     0,     0,  2268,  2269,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2270,
       0,  2271,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,     0,     0,  2257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,     0,     0,     0,   228,
       0,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,  2258,     0,     0,     0,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2267,     0,     0,  2268,  2269,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2270,
       0,  2271,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,     0,     0,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,  2628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,     0,     0,     0,     0,
       0,     0,     0,   182,     0,     0,     0,  2629,     0,   228,
       0,     0,     0,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,   275,     0,     0,     0,   211,   212,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,  2892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,   182,     0,     0,     0,     0,     0,   228,     0,     0,
       0,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     274,   275,     0,     0,     0,   211,   212,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   225,   226,     0,     0,     0,     0,
       0,  1937,  1938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,   182,
       0,     0,     0,     0,     0,   228,     0,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   274,   275,
       0,     0,     0,   211,   212,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,  1001,     0,     0,     0,     0,
       0,     0,  1002,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   274,   275,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   982,
       0,     0,     0,     0,   983,   984,     0,  1007,  1008,     0,
       0,     0,   986,  1009,     0,     0,     0,     0,     0,  1010,
    1011,  1012,  1013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1014,     0,     0,     0,  1015,     0,  1016,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   987,     0,     0,
     988,     0,     0,     0,     0,     0,     0,     0,     0,  1017,
       0,     0,     0,  1018,     0,  1019,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,  1022,  1023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1024,     0,     0,     0,
    1025,  1026,  1027,     0,  1028,     0,     0,     0,  1029,     0,
       0,  1030,  1031,     0,  1032,  1033,     0,     0,  1034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1035,  1036,     0,     0,     0,  1037,  1038,  1039,
       0,     0,     0,     0,     0,     0,     0,  1040,     0,     0,
       0,  1041,     0,     0,  1042,  1043,     0,  1044,     0,  1045,
       0,     0,  1046,  1047,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1048,
       0,  1049,     0,     0,     0,     0,     0,     0,     0,  1050
};

static const yytype_int16 yycheck[] =
{
       7,   104,   209,   174,   169,   952,     3,   308,   174,   150,
      82,   158,   159,    90,  1343,    87,    88,   140,  1027,  1028,
    1602,  1074,   209,   146,  1892,   148,  1065,   150,  1892,  1094,
    1462,  1238,  1399,  2957,    28,   158,   159,  1106,   209,  1648,
     148,  1403,   165,   209,     7,  1166,  1923,  1924,  1925,  1926,
     158,   159,    72,  1136,  1137,  1138,   311,    24,  1141,  1602,
    1143,    28,    85,   133,    85,   135,    85,   137,    94,   139,
       6,   141,  1279,   143,    85,   145,    85,   147,  2218,  3003,
     328,   151,    89,   153,  1693,   155,    24,   157,   343,  2471,
    2472,  2473,  1238,   163,   164,    19,     3,     4,     5,    24,
      24,   109,    22,    28,    24,   135,    19,    43,    85,    94,
       6,    24,    53,    21,    22,  2888,    24,    53,    53,   135,
      93,    57,    98,  2551,    60,    61,    89,    53,    24,  3062,
      53,    53,  2888,  2347,    58,   250,    19,   163,    19,    19,
     140,    24,   169,    24,    24,    58,  2014,  1663,   157,   146,
      24,    87,   169,   162,   163,   173,     6,   166,    70,   169,
      53,   170,   169,    44,    45,    46,    47,    60,    61,  1238,
      74,    75,    28,   180,    70,    58,   183,    58,    58,   206,
      24,   165,   200,   201,    28,    55,     9,    10,    11,    12,
       6,    40,    85,    21,    22,    18,    24,  3010,    56,    54,
     218,   317,   209,   241,   138,    24,    24,   143,    24,   145,
     146,    24,    54,   149,    85,   151,   225,   180,   169,   228,
     183,   157,    74,   159,   160,   161,   241,   163,   166,    10,
    3089,    24,   165,    85,    58,    28,   191,    84,   145,    10,
     517,   177,   178,   179,   180,   181,   182,    51,    54,    74,
      75,   227,    56,    57,    83,   249,   163,    24,    37,   202,
     193,   157,    37,   134,   157,   200,   349,   202,    51,   162,
     163,   941,   283,    56,    57,  2581,     7,   170,    59,   273,
      39,  2587,   189,   190,   177,   178,   179,   180,   181,   182,
     223,    85,   228,   292,    51,    54,   231,   274,   234,    56,
      57,  1340,    83,   238,   240,   241,  3165,   324,   585,   454,
    1892,    83,    83,    85,   324,   460,   292,   164,   988,   226,
      19,   228,  2704,   230,   175,    24,   155,   242,     0,   233,
     154,   165,   225,    24,   241,   228,   279,    28,   273,   316,
     275,   279,   197,   177,   178,   164,   164,   385,   241,  1892,
     285,   202,   285,  1362,   250,   197,   200,   308,   291,    58,
     295,   334,   295,   142,  1311,   272,   482,   142,    55,   276,
     385,  1492,   166,   243,   281,   282,   310,   171,   171,   235,
     335,  3194,  1711,   318,  1505,   318,   469,   371,   361,   174,
      19,   197,    74,    75,   349,    24,    51,   164,   371,   303,
     293,  3293,   357,   296,   403,   404,   405,   406,   233,   524,
     322,   285,   286,   413,  1846,    44,    45,    46,    47,   232,
    3193,  2635,   337,   450,   274,   410,    19,    53,   279,    58,
      85,    24,  2014,   450,   410,   287,   412,  3193,   414,   335,
     450,   417,   383,     6,   229,   258,   259,   260,  2588,  1965,
    1966,    44,    45,    46,    47,   306,   284,   383,   488,  3392,
     383,   383,  1545,  2891,   322,    58,  2894,   497,   393,   285,
     286,  2014,   321,   164,   497,     6,   495,   454,   303,   502,
     274,   497,   340,   341,  2352,   319,   497,     6,   421,   312,
     313,   424,   305,   401,   429,    83,   429,    85,   525,   382,
    1646,  1510,    83,  1512,   530,   131,  2888,    24,   134,   530,
     531,    28,    24,   409,   534,   536,    28,   424,   217,   383,
    1467,  1468,  1884,   461,   316,     6,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   474,   475,   434,   194,
     195,   196,   189,   476,   457,   458,    28,   480,   481,  3441,
     276,   233,  3444,    83,   367,   368,   243,   583,   584,   585,
     586,   587,   588,   283,   245,   538,   539,   540,   488,   224,
     466,   589,   496,  1694,   155,  2184,   456,  1646,   442,    57,
     515,   394,   515,    83,   465,   389,   390,  2969,    24,   598,
     245,   246,    19,    29,   249,   408,   390,    24,    45,   593,
     594,   595,    84,  2909,  2910,    83,   389,   390,   541,    98,
       6,  2917,  2918,   580,   581,   582,  3540,   430,   431,   432,
     433,   303,    58,   494,   495,   155,   313,   498,   499,   316,
      58,    58,   389,   390,   935,   936,   937,    84,  3248,    10,
      83,   296,   436,  1850,   299,    19,   438,   164,   541,   542,
      24,    19,   164,   153,   590,   591,    24,   338,   169,   453,
      58,   455,    36,   318,    38,   459,    85,   600,   323,   463,
     464,   463,    57,   158,  2542,    19,    44,    45,    46,    47,
      24,   170,    19,   984,    58,   592,    31,    24,    59,   596,
      58,   183,   318,   204,   349,   321,   509,   510,    83,  2872,
      44,    45,    46,    47,   597,   598,   599,    44,    45,    46,
      47,   147,   155,    58,    58,   528,   529,   164,   373,   189,
    2597,    58,  2599,    10,  2383,  2602,   172,  2604,  2605,  2388,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   396,  2941,   317,
    2352,    10,    59,   238,   251,   194,   195,    24,  1817,   160,
     154,    28,   156,   331,   439,    83,    45,    85,   601,   602,
     217,  3401,  3402,   386,   387,    10,   285,  2379,   159,  2972,
     289,    19,  3412,  3413,    57,   224,    24,   462,    51,  2352,
      84,  3193,    45,   324,   325,    31,    19,    60,    61,  1902,
      59,    24,  1905,   242,   479,    84,    44,    45,    46,    47,
      83,  3004,    14,    15,   906,  2202,  2379,    14,    15,    86,
      58,    57,    85,    59,    59,   310,   949,    21,    60,    61,
      24,    84,    31,  2512,    57,    58,   928,   238,   239,   240,
      84,  2520,   517,   518,   519,   520,    83,   522,    85,    19,
      86,   526,  2793,    85,    24,  2796,   237,   238,    57,   298,
     241,  2802,  2803,   986,   987,   957,   254,    81,  2756,   354,
       6,    85,  2756,    39,    44,    45,    46,    47,   363,    21,
      22,    83,    24,    24,   323,   164,    83,    28,    58,    85,
     254,     6,  1015,    39,   157,    85,    92,   164,   926,   162,
     163,   329,   929,   930,   332,    21,    22,   170,    24,    24,
     938,   164,   142,  1140,   177,   178,   179,   180,   181,   182,
      59,    19,    24,   951,   952,   157,    28,   954,    85,   310,
     162,   163,  1991,    84,   166,    59,  1995,  1996,   170,    59,
    2542,    84,    84,  2545,    83,   177,   178,   179,   180,   181,
     182,  1136,  1137,  1138,    21,    22,  1141,    24,  1143,    83,
     227,   157,   225,    83,    59,   228,   162,   163,    24,    85,
     166,   954,    28,   354,   170,  1243,  1244,  1245,  1246,  2542,
    1248,  1249,   363,  1251,  1252,    19,  1254,  1255,    83,    54,
      24,   379,    19,   225,    36,    37,   228,    24,  1026,   335,
     439,   440,   441,    58,   194,   195,   196,   143,   144,    58,
      44,    45,    46,    47,    58,   379,    38,    39,    85,  1047,
      42,   402,   379,  2475,    58,   361,   362,    92,  2925,   225,
      57,    58,   228,  2930,   224,  2932,   172,   284,  2935,   196,
    1068,   288,    84,  2072,  2185,    55,    21,    22,    59,   164,
     165,   166,    24,   243,   244,    19,    28,   247,   248,   322,
      24,   197,   177,   178,  1092,    19,    58,    21,   331,    19,
      24,  2156,    83,  1486,    24,    85,   246,  1490,   316,    58,
      44,    45,    46,    47,   241,    58,   243,   244,    98,  1117,
     247,   248,    19,   158,    58,    21,    22,    24,    24,   362,
      54,   364,    21,    22,    58,    24,    58,  2180,    58,  1136,
    1137,  1138,  1139,  1140,  1141,    58,  1143,    44,    45,    46,
      47,  3009,    58,   319,   320,  3009,    19,    20,    21,    22,
     326,    58,   197,   323,  1844,  2484,    42,  1847,   203,    55,
    1167,  1168,  1169,  1170,  1171,  1172,  1173,  2260,  2261,    21,
      22,  1178,    24,    55,  2756,  2236,  1139,   222,  2239,    85,
    2762,   171,  2275,    24,  2766,    58,  1193,    28,    29,    85,
    1197,  1198,  1199,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,  1167,  1168,  1169,  1170,  1171,  1172,
    1173,    55,  1399,  2756,  1291,  1178,    51,    58,    22,  2762,
      24,    56,    57,  2766,   319,    83,   321,    85,  1399,     6,
    1193,   245,   246,  1399,  1197,  1198,  1199,  1200,  1201,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,   238,  2831,
     462,   340,   341,   243,   349,   143,   144,    19,    28,  2380,
     250,     6,    24,    85,    57,  1335,    59,   163,    19,    20,
      21,    22,    23,    24,   427,   428,   164,  1285,   185,     6,
    1287,   169,   290,    45,    19,  1388,     6,   530,  2831,    24,
     300,   301,   535,  1300,   537,     6,    58,   185,   352,   353,
      19,   311,   246,  1311,   516,    24,   147,    58,  1316,    44,
      45,    46,    47,    19,  1322,    21,  1324,  1791,    24,  1793,
      24,   143,   144,    58,  1287,    44,    45,    46,    47,  1500,
    3207,   328,  3209,  2454,  1500,   157,   164,  1300,  2459,    58,
     162,   163,     6,   143,   144,   236,   237,   243,   170,    84,
     172,   346,    58,   348,     6,   251,   252,  1365,  1366,   255,
     143,   144,   167,   168,   164,     6,     6,    60,    61,   169,
       6,  1578,  1579,    19,    20,    21,    22,    23,    24,     6,
    1545,   164,    51,    24,     6,   185,   169,    56,    57,   172,
      51,   191,    85,    19,  1581,     6,  3489,     6,  1406,  3492,
    3493,  1409,   185,   225,    65,    98,   228,    28,   191,    70,
    1581,  3504,    58,    21,    22,  1581,    24,  1672,  1673,  1674,
    1675,  2368,  1677,  1678,    85,     6,  1681,  3009,  1683,     6,
    1685,  1686,  1680,     6,  1682,   257,    49,    50,  3531,  3532,
      60,    61,    31,  3536,  3537,   164,    87,    48,    49,    50,
    1458,    21,    22,    23,    24,  2494,   505,   506,   507,  1467,
    1468,   517,    49,    50,   157,    85,  3009,    21,    22,   162,
     163,  1478,  1479,   166,  1482,    57,  1647,   170,  1486,  2426,
      24,  1647,  1490,    53,   177,   178,   179,   180,   181,   182,
      60,    61,    57,   483,    57,   485,   486,   256,   257,    10,
     490,   491,   143,   493,    21,    22,   241,    24,    19,   155,
     500,   501,   242,    24,    57,  1523,  1479,  2526,  1526,   160,
     161,   511,   422,   423,   185,    36,    84,    38,  1536,   418,
     419,   172,   225,   194,   195,   228,   514,   157,  1545,    24,
     245,   246,   162,   163,   143,   144,   166,    58,    70,    71,
     170,  1558,    54,  1560,    84,   143,   158,   177,   178,   179,
     180,   181,   182,   224,   250,   164,    21,    22,    23,    24,
     169,  1578,  1579,   172,    14,    15,    57,    19,    20,    21,
      22,    23,    24,    84,   245,   246,   185,   175,   249,   245,
     246,    57,  1695,    57,    81,  1558,    84,  1560,    85,   349,
      11,    12,    13,   425,   426,   225,  1709,  3484,   228,    84,
     198,  3479,   200,  1754,   202,  3479,    58,  1720,   194,   195,
      31,    32,    33,   206,   207,    84,  1729,  1704,   177,   178,
      84,  1754,  1755,  1756,  1641,  1707,   297,   298,   299,   206,
     207,  1648,  1649,   154,    57,   156,  1653,  1755,   135,   310,
      28,   312,    53,   314,   189,     9,  1663,  3033,  3034,    60,
      61,   384,   323,   392,  3541,    19,    20,    21,    22,  2472,
    2473,   250,  2619,  2620,   317,  2684,   163,   327,   329,   254,
     167,   168,   254,   159,   329,   172,  1693,   307,   358,   277,
     278,   279,   280,   296,   352,   366,    19,   184,   296,   296,
     374,    24,  1849,  1710,    58,   372,   193,   118,   119,    19,
      20,    21,    22,   155,   206,   207,   208,   209,   210,  1726,
    1792,    44,    45,    46,    47,   398,  1849,  1850,    57,    57,
      57,    85,   327,    84,    84,    58,  2037,  1902,    21,    22,
    1905,    24,  1997,    85,  1999,    28,    84,  2048,    58,  1757,
    1758,    85,    84,    84,  1877,  1878,  1879,   473,   189,   390,
    2769,    84,  1770,  1726,   157,  1773,  1774,   158,   383,  1877,
    1878,  1879,  1780,    84,  1782,  1783,   177,   178,   179,   180,
     181,   182,    57,  1954,    84,    19,  1794,  1795,  1954,  2044,
      19,    57,    57,   135,    24,   185,   283,   226,  1806,  1807,
     172,   135,    57,  1811,  1812,    57,  1814,   500,   501,   250,
     503,    84,    84,    84,  1985,   508,    84,   172,   511,  1985,
    1828,   163,    57,   157,    57,   167,   168,    84,   162,   163,
     172,    57,  2841,   167,   168,   172,   170,   378,   172,   245,
     189,    57,   184,    57,  1852,   254,    84,    84,    19,  1857,
     184,   193,  1849,    24,   206,   207,   208,   209,   210,   193,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   254,    57,    44,    45,    46,    47,  1980,    18,  1887,
      19,  1984,    19,    21,    22,  1892,    24,    58,    39,  1897,
      28,   225,    36,    42,   228,  1902,    37,  3479,  1905,    19,
    2847,  2848,  2849,   187,   188,   189,   190,    83,  1915,    10,
    1917,  1918,  1919,  1920,    19,    19,  1923,  1924,  1925,  1926,
      58,    57,  1929,   174,   175,   176,  1933,     6,    19,    20,
      21,    22,    23,    24,  2011,  2012,  3479,   120,   121,   122,
     123,    52,    53,  2015,     6,     6,     6,   198,   199,    60,
      61,   202,  1915,     6,  1917,  1918,  1919,  1920,   292,     6,
      11,    12,    13,    14,    15,     6,  1929,    58,     6,     6,
    1933,     6,     6,     6,    85,    60,    61,     6,     6,  2051,
      31,    32,    33,    34,    35,    36,    37,    38,    39,   204,
     205,    42,    58,    83,    83,    53,   211,   212,   213,   214,
      85,    57,    60,    61,  2951,    57,   392,  2014,    11,    12,
      13,    76,    77,    78,    79,  2202,    19,    24,   254,   364,
     229,    24,   254,   254,   158,    57,    57,    85,    31,    32,
      33,  2202,    57,   254,   238,   254,  2202,   254,    57,    57,
      84,    57,    40,  2214,   254,    57,   157,  2218,   254,   254,
     391,   162,   163,    57,    56,    58,    57,    56,   384,   170,
     364,   189,   113,   229,   238,    19,   177,   178,   179,   180,
     181,   182,   157,   185,    19,   192,   334,   162,   163,  2087,
      57,    19,   302,    54,  2187,   170,    19,   142,    37,    83,
      83,    19,   177,   178,   179,   180,   181,   182,    83,   157,
      59,    56,     6,    56,   162,   163,   191,    24,   172,   172,
       6,    59,   170,    16,   225,   118,   119,   228,    57,   177,
     178,   179,   180,   181,   182,    51,    28,    57,    57,    37,
     241,    83,    57,    57,    70,    57,   284,    84,    57,    57,
     225,  2148,    57,   228,   189,   254,    57,    57,    57,    85,
      57,   364,    57,  2161,   241,   185,    24,    57,    57,    57,
      57,   364,  3171,    57,    57,    57,    57,   225,    57,    57,
     228,   256,    57,    57,    57,    57,    57,  2184,  2186,    57,
     238,     6,   293,    57,    57,    57,    11,    12,    13,    14,
      15,   249,    57,    57,   186,   280,    57,    53,    57,    57,
    2371,    53,    19,    22,    28,  2371,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    84,    37,    42,    19,  2227,
      83,    37,    19,  2231,    24,     6,     6,    95,    96,    97,
      98,    99,   100,   101,   102,   103,  2244,   105,   106,   107,
     108,   109,   110,   111,     6,     6,     6,     6,     6,    19,
       6,     6,     6,  2260,  2261,     6,  2263,    59,   194,   195,
    2267,  2268,    57,    21,    22,    23,    24,    19,  2275,    83,
     253,   253,  2280,  2345,    57,    28,  2348,    44,  3225,  3226,
      57,  3228,  3229,  2290,   294,  2292,   172,   157,   224,    57,
      83,  3238,  3239,  3240,    57,    53,   304,  2260,  2261,   189,
    2263,   327,    60,    61,  2267,  2268,   242,    57,    57,   245,
     246,   369,  2275,   249,   250,   442,   443,   444,   445,   446,
     447,   448,   449,   434,   435,   436,   437,  2290,    86,  2292,
      57,    57,    57,    57,    57,    57,    57,    57,    57,    57,
      57,    57,    57,   279,    57,  2352,    57,    57,    57,    57,
      57,   462,    57,    57,    57,   378,   467,   384,   116,  2367,
    2368,   472,   298,   172,    65,  3374,  3375,   303,   172,   189,
     238,   360,    57,    23,   422,    57,   422,    57,    57,   250,
     316,   138,   318,   467,   175,   143,   144,   323,  2396,   512,
     326,    57,   477,   478,   479,    57,    55,   191,  3345,    85,
      57,    39,   160,   349,    58,    42,   164,    58,    57,   167,
     168,    58,    31,  3422,   172,    42,  2582,  2588,  2426,  2427,
      11,    12,    13,    14,    15,    31,    39,    37,    83,    19,
      83,     6,    58,    22,   192,     6,   104,   373,  2445,    85,
      31,    32,    33,    34,    35,    36,    37,    38,    39,   135,
      57,    42,    19,    84,   185,   254,   254,   215,   216,   217,
     158,   219,   220,   221,   420,   416,   304,   246,    59,    57,
      57,   157,  2549,   415,    57,    57,   162,   163,  2486,  2487,
      57,   167,   168,  2491,   170,    57,   172,    65,    23,   336,
    2498,   378,    83,  2501,   185,    74,    51,    70,   184,    84,
     436,    19,    19,   439,   440,   441,    37,   193,    84,    66,
      84,   447,    73,    41,    84,    84,   452,    85,    57,    57,
    2528,    10,  2530,    38,    38,    85,   462,    59,  2536,    83,
      57,    84,   468,   322,    57,  2542,   411,   277,  2545,   225,
     254,   247,   228,   409,  2647,  2552,    57,  2554,   247,   189,
    2557,   247,    58,    86,    84,    84,    65,   304,    84,    84,
      59,    59,    57,    10,    83,    59,    82,    59,    59,    59,
      58,  2579,    59,    59,  2646,   319,    85,  2585,   513,    57,
      57,    57,    39,  2590,    19,    38,    38,    10,    84,  2552,
    2597,  2554,  2599,   114,  2557,  2602,    57,  2604,  2605,    84,
    2607,   246,    57,   289,    10,   317,   292,   293,    57,    57,
      83,  2619,  2620,    59,    59,    59,  2624,   497,  2626,    59,
     497,    83,  2629,    59,    58,   302,   135,  2590,    59,   138,
     304,   247,   250,   247,   315,    65,    57,   302,   247,   247,
      60,    61,   247,   470,  2607,   204,   250,    84,   444,   131,
     317,   482,   442,    57,   163,    57,    51,   489,   167,   168,
     482,   487,   254,   172,   492,    85,  2629,    62,    63,    64,
      65,   304,    67,    68,    69,   184,   512,    72,   322,    74,
      75,  2888,  2869,  2870,   193,    80,    81,  2759,   322,    57,
      85,   374,    57,    28,    84,    57,   254,   527,  2869,  2870,
     302,   374,   254,  2869,  2870,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   131,   105,   106,   107,   108,   109,
     110,   111,   533,    57,   532,    39,    57,    57,   237,  2737,
     239,  2739,   241,   521,   254,    39,   523,   157,   304,    85,
      57,   254,   162,   163,   309,    28,   166,    85,   484,  2756,
     170,   254,   254,   185,  2761,    83,   504,   177,   178,   179,
     180,   181,   182,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   247,   105,   106,   107,   108,   109,   110,   111,
    2788,   471,   247,   195,   195,    59,  2794,    57,   117,    57,
      57,    57,  2957,   456,    57,   456,    57,    57,  2761,    57,
      57,   310,    83,   451,    57,   225,  2371,   316,   228,    59,
    1647,   513,    53,  1647,  1647,  2822,  2249,  2237,  3540,    60,
      61,  2957,  2906,  2294,  2585,  2294,  2294,  2294,  2907,   249,
    2905,  2586,  1165,  2587,  1867,  2542,  2352,  1578,  3003,  2847,
    2848,  2849,  3192,   183,    85,  1579,  3193,  1140,   238,  1581,
     359,  2859,  2766,  2762,  2607,   146,  2045,  1942,    99,  2822,
     369,   370,  3392,  1944,  3414,  1233,  2831,   376,  2836,  2071,
    2643,  2659,  1805,  2683,  2719,  2866,  3299,  3135,  3152,   388,
    3312,  3314,  3155,  2532,  3156,  1517,   395,  1688,  1731,    -1,
    1282,   400,    -1,    -1,  2902,    -1,    -1,  2905,   407,  2907,
      -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   157,    -1,  2925,    -1,
      -1,   162,   163,  2930,    -1,  2932,   167,   168,  2935,   170,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,   179,   180,
     181,   182,    -1,  2951,  2952,    -1,    -1,    -1,    -1,    -1,
    2957,    -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,
     100,   101,   102,   103,  3135,   105,   106,   107,   108,   109,
     110,   111,  2980,    -1,    -1,   939,  2984,  2985,    -1,  2987,
      -1,  2989,    -1,    -1,   225,  3192,  3193,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3003,   238,    -1,    -1,
      -1,    -1,  3009,    -1,    -1,    -1,  3013,    11,    12,    13,
      14,    15,    -1,    -1,    -1,  3022,    -1,    -1,    -1,   983,
    3028,    -1,  3030,  3031,  3032,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,  3044,    -1,    42,    -1,
    3048,    -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,    -1,
    3013,    -1,  1016,    -1,    -1,    -1,    -1,    -1,    -1,  3022,
      -1,  1025,    -1,    -1,    -1,    -1,    -1,    -1,  3075,    -1,
      -1,    -1,    -1,    -1,  1038,    -1,    -1,    -1,    -1,  3087,
      84,    -1,  1046,   223,  3187,  3093,  3094,  3095,    -1,    -1,
      -1,    -1,    -1,  3101,    -1,  3103,    -1,  3105,   238,    -1,
      -1,    -1,  1066,  3111,    -1,  1069,    -1,  1071,    -1,    -1,
      -1,    51,  3075,    -1,    -1,  3123,  3124,  1081,    -1,    -1,
    3128,  3129,    62,    63,    64,    65,    -1,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      80,    81,    -1,  3151,    -1,    85,    -1,    -1,  3156,    -1,
      -1,    -1,    -1,  3161,    -1,    -1,  1120,    -1,  1122,  3167,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
    3178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
    3197,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3207,    -1,  3209,    -1,    -1,    -1,    -1,    -1,    -1,  3217,
    3218,  3219,  3220,  3221,    -1,    -1,    -1,  3225,  3226,    -1,
    3228,  3229,  3230,  3231,    -1,    -1,    -1,    -1,    -1,    -1,
    3238,  3239,  3240,    83,  3197,    -1,    -1,    -1,    -1,  3247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3261,  3262,  3263,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3279,  3280,    -1,    -1,    -1,    -1,  3285,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
    3298,    -1,    -1,  3301,  3302,    -1,  3304,    -1,    -1,    -1,
    3308,  3309,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,
    3318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3329,  3330,  3331,    11,    12,    13,    -1,  3336,    -1,
      83,    -1,    -1,    -1,    -1,    -1,    -1,  3345,  3346,    -1,
      -1,  3349,  3350,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,  3363,    -1,    -1,    -1,
      -1,    -1,  3370,  3371,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,  3476,  3477,  3540,    -1,    -1,    -1,    -1,
      -1,    11,    12,    13,  1348,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
    3363,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,  1375,    42,    -1,    -1,    -1,  1380,    -1,    -1,  1383,
      -1,    -1,  1386,    -1,    -1,    -1,    -1,  3435,  3436,    -1,
      -1,    -1,    -1,    -1,    -1,  3443,    -1,    83,  3446,    -1,
      -1,  1405,    -1,    -1,  3452,    -1,    -1,  1411,  1412,  3457,
    1414,  1415,    -1,  1417,  1418,  1419,  1420,  1421,  1422,    -1,
      -1,  1425,  1426,    -1,  1428,    -1,    -1,  1431,  1432,    -1,
      -1,    -1,  3479,  1437,    -1,  1439,    -1,  3484,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1450,  1451,  1452,    -1,
      -1,  1455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    -1,    19,    20,    21,    22,    23,    24,    -1,    -1,
      -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      37,    38,    -1,    -1,    41,    -1,    -1,  1491,    -1,    -1,
      -1,    -1,    -1,  3540,  3541,    -1,    53,    54,    -1,    -1,
    1504,    58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,
      -1,    11,    12,    13,    14,    15,  1520,  1521,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    83,   141,    -1,   143,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,   152,    83,   154,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      83,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    11,    12,    13,    14,    15,
      -1,   258,   259,   260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,   305,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
    1764,  1765,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1776,  1777,    11,    12,    13,    14,    15,    59,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,
     367,   368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,  1827,    -1,    -1,    -1,    -1,    -1,    -1,
    1834,    -1,    -1,    -1,  1838,  1839,  1840,   394,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,  1872,    42,
      -1,    -1,    -1,   430,   431,   432,   433,    11,    12,    13,
      14,    15,    -1,    -1,  1888,  1889,    59,    -1,    -1,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   509,   510,    -1,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    57,    -1,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,  2039,  2040,    -1,    11,    12,
      13,    14,    15,    -1,   601,   602,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    59,    11,    12,    13,    14,    15,
      -1,    -1,  2086,    -1,    -1,    -1,    59,    11,    12,    13,
      14,    15,    -1,  2097,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    59,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
    2144,    -1,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    11,    12,    13,    14,
      15,  2165,  2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,  2197,    -1,  2199,    -1,    -1,    -1,    -1,
    2204,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    -1,    19,    20,    21,    22,    23,
      24,    -1,  2226,    -1,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    37,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    53,
      54,    -1,    -1,    -1,    58,    -1,    60,    61,    -1,    -1,
      64,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,   152,    -1,
     154,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    11,    12,    13,    14,    15,    -1,    -1,
    2394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,  2422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,
      -1,    59,    -1,    -1,    -1,    -1,  2440,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,  2450,  2451,  2452,    -1,
      -1,  2455,    -1,    -1,   258,   259,   260,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2488,    59,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,   305,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,  2517,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    11,    12,    13,    14,    15,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,   368,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     394,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   430,   431,   432,   433,
      -1,    -1,    -1,  2637,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,    -1,   115,
     116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
      -1,  2695,    -1,    -1,    -1,    -1,    -1,  2701,    -1,    -1,
      -1,    -1,   148,    -1,   150,   509,   510,  2711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,    -1,    -1,    -1,    11,
      12,    13,    14,    15,    -1,    -1,   232,    -1,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    -1,   601,   602,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,    -1,   258,   259,   260,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2858,    -1,    -1,    -1,  2862,   305,
      -1,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,   367,   368,    -1,    -1,    -1,    -1,    -1,    -1,    57,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2947,    -1,    -1,    -1,    -1,   394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2961,    -1,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2979,    -1,  2981,    11,    12,
      13,    14,    15,    -1,   430,   431,   432,   433,    -1,  2993,
      -1,    -1,  2996,  2997,    -1,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3096,    -1,    -1,    -1,  3100,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,    -1,    -1,    -1,  3141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   601,   602,    -1,    -1,  3163,
      -1,    -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3275,  3276,    -1,    -1,    -1,    -1,    -1,  3282,  3283,
      -1,    -1,  3286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3307,    -1,    -1,    -1,  3311,    -1,  3313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3333,
    3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3344,    -1,    -1,    -1,    -1,    -1,    -1,  3351,    -1,  3353,
    3354,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,    -1,
      -1,    -1,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,    17,    -1,
      19,    20,    21,    22,    23,    24,    -1,    -1,    -1,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    38,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    54,    -1,    -1,    -1,    58,
      -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
     119,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,   152,    -1,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,   368,
      17,    -1,    19,    20,    21,    22,    23,    24,    -1,    -1,
      -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      37,    38,    -1,    -1,    41,   394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    -1,   408,
      -1,    58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,   119,    -1,    -1,    -1,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,   152,    -1,   154,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,   259,   260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     367,   368,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    37,    38,    -1,    -1,    41,   394,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,
      -1,   408,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   430,   431,   432,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   119,    -1,    -1,    -1,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,   152,    -1,   154,
      -1,    -1,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   601,   602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,   368,    17,    -1,    19,    20,    21,    22,
      23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    37,    38,    -1,    -1,    41,   394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    54,    -1,   408,    -1,    58,    -1,    60,    61,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,   431,   432,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,   119,    -1,    -1,    -1,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,   152,
      -1,   154,    -1,    -1,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   601,   602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   367,   368,    17,    -1,    19,    20,
      21,    22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,
      41,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    54,    -1,   408,    -1,    58,    -1,    60,
      61,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   431,   432,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,   119,    -1,
      -1,    -1,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,   154,    -1,    -1,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,    -1,    -1,    -1,
      -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,   602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,   368,    17,    -1,
      19,    20,    21,    22,    23,    24,    -1,    -1,    -1,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    -1,
      -1,    -1,    41,   394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    54,    -1,   408,    -1,    58,
      -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
     431,   432,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
     119,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,   152,    -1,   154,    -1,    -1,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     601,   602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,   368,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    84,    85,    -1,    -1,    88,
      89,    90,    91,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,    -1,    -1,   115,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,   368,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    84,    -1,    -1,    -1,    88,
      89,    90,    91,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,    -1,    -1,   115,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,    -1,    -1,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,   368,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    58,    -1,   408,
      -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,   432,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   601,   602,    -1,    -1,    -1,   258,   259,   260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,   368,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
     431,   432,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     601,   602,    -1,    -1,    -1,   258,   259,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   367,   368,    -1,    -1,    -1,    -1,
      -1,    26,    27,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   431,   432,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,   602,
      -1,    -1,    -1,   258,   259,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,   368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,   431,   432,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    53,    -1,    -1,    -1,    -1,
      -1,    -1,    60,    61,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   601,   602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   157,
      -1,    -1,    -1,    -1,   162,   163,    -1,   165,   166,    -1,
      -1,    -1,   170,   171,    -1,    -1,    -1,    -1,    -1,   177,
     178,   179,   180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,   194,    -1,   196,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,   286,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,
     318,   319,   320,    -1,   322,    -1,    -1,    -1,   326,    -1,
      -1,   329,   330,    -1,   332,   333,    -1,    -1,   336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,    -1,    -1,   355,   356,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,   369,    -1,    -1,   372,   373,    -1,   375,    -1,   377,
      -1,    -1,   380,   381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   608,   609,     3,     4,     5,   145,   163,   189,
     190,   226,   228,   230,   241,   272,   276,   281,   282,   424,
     592,   596,   604,   605,   606,   607,   800,   801,   802,   803,
     805,   806,   807,   814,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   829,   830,   831,   832,   833,
     834,   835,   837,   838,   863,   881,   882,   883,   884,   903,
     935,   973,   974,   975,   976,   977,   978,   979,   980,  1035,
    1036,  1061,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,
       0,     6,    43,    53,    57,    60,    61,    87,   143,   145,
     146,   149,   151,   157,   159,   160,   161,   163,   177,   178,
     179,   180,   181,   182,   228,   234,   240,   241,   590,   591,
     610,   611,   671,   673,   674,   675,   676,   687,   738,   740,
     741,   742,   743,   744,   745,   750,   764,   767,   777,   778,
     779,   842,   843,   864,   868,   871,   874,   885,   888,   905,
     912,   926,   929,   931,   934,   938,   939,   982,   983,   985,
     987,   988,   993,  1024,  1027,  1037,  1038,  1050,  1051,  1062,
    1065,  1074,  1075,  1086,  1091,  1092,     6,     6,     6,    17,
      19,    20,    21,    22,    23,    24,    28,    29,    36,    37,
      41,    53,    54,    58,    60,    61,    64,   118,   119,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   141,   143,   147,   152,   154,
     232,   258,   259,   260,   305,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   367,   368,   394,   408,   430,
     431,   432,   433,   509,   510,   528,   529,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   601,   602,   615,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   667,
     668,   669,   696,   713,   715,   716,   719,   720,   721,   722,
     726,   727,   841,    24,    28,   164,   813,   836,   839,    24,
     839,   839,    86,   227,   839,   839,     6,   189,    53,   200,
     202,   231,   238,   273,   275,   285,   295,   318,   429,   515,
     143,   175,   198,   200,   202,   277,   278,   279,   280,    45,
      84,   164,   827,   839,   276,    28,   249,   273,   593,   594,
     595,  1084,     6,     3,     4,     5,    24,    25,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   614,   670,   283,   614,   614,   726,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   105,
     106,   107,   108,   109,   110,   111,   223,   238,   677,    58,
      58,   158,    24,    28,   640,   173,   200,   201,   218,   589,
     183,   200,   640,   160,   238,   239,   240,   765,   766,  1064,
     189,   517,   585,    19,    58,   612,   615,   172,   251,   746,
     165,   193,   223,   285,   291,   295,   318,   421,   424,   429,
     476,   480,   481,   515,   541,   600,   937,  1023,    54,   614,
     751,    85,   157,   162,   163,   166,   170,   225,   228,   249,
     742,   752,   753,   759,   781,    84,   846,   751,   751,   751,
     751,    53,    60,    61,    85,    94,   126,   165,   166,   171,
     177,   178,   179,   180,   190,   194,   196,   237,   241,   243,
     249,   282,   286,   287,   314,   318,   319,   320,   322,   326,
     329,   330,   332,   333,   336,   350,   351,   355,   356,   357,
     365,   369,   372,   373,   375,   377,   380,   381,   397,   399,
     407,   752,   854,   855,   915,   916,   923,   751,   751,   751,
      52,    53,    85,   241,   293,   434,   435,   436,   437,   462,
     467,   472,   743,   752,   941,   942,   943,   944,   945,   751,
      85,   191,   256,   280,   477,   478,   479,   752,   759,   984,
      84,    85,   135,   167,   168,   172,   184,   193,   292,   752,
     754,   751,   751,   751,   751,    85,   238,   249,   369,   752,
     759,   854,  1055,  1057,    85,   241,   293,   296,   541,   542,
     597,   598,   599,   752,   759,   854,  1063,  1089,  1090,   751,
     751,    85,   166,   598,   752,  1093,    19,    36,    38,    58,
     154,   156,   615,   712,   714,   720,    39,   619,    39,    21,
      22,   620,   621,   142,    37,   142,   726,    19,   120,   121,
     122,   123,   701,   726,    84,    84,    58,    58,    58,    58,
      58,    58,    58,    58,    19,    20,    22,    23,    58,   155,
     615,   620,   621,   628,   696,   697,   700,   702,   703,   704,
     707,   709,   710,    58,    55,    55,     6,    11,    12,    13,
      14,    15,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    42,    42,    45,    84,   164,   782,     6,   782,    28,
     641,   641,   839,   839,     6,    45,    84,   164,   785,     6,
     290,    24,    28,   164,   840,     6,   274,     6,   808,     6,
     815,    24,   804,   175,   202,   279,   306,   328,   166,   279,
     461,   474,   475,   804,   202,   279,   164,     6,     6,     6,
       6,     6,     6,     6,     6,    94,   163,   530,   583,   584,
     585,   586,   587,   588,  1072,  1073,    19,   828,   641,   936,
    1084,     6,  1084,     6,     6,   517,  1085,    31,   614,   688,
     672,   612,   104,   614,   615,   615,    19,    21,    24,    54,
      58,   739,    57,   782,   782,   782,   612,    44,    45,    46,
      47,   185,   612,   616,   785,    57,    28,   235,    57,   580,
     581,   582,   640,  1068,   242,   612,   613,   613,   726,    57,
     614,    84,   749,   427,   428,   986,   514,    24,    54,    84,
     158,   616,   782,   780,   171,   640,   640,   785,   250,    57,
      84,   757,    57,    57,   845,   847,    84,    84,    84,    84,
     242,   337,   349,    57,    28,   340,   341,    53,   383,    53,
     383,    53,   383,    53,   383,   245,   338,   640,   616,   384,
     189,   329,   332,   250,   238,   310,   354,   363,   392,   317,
     329,   241,   616,   913,    57,   612,    21,    22,    24,   284,
     617,   907,   401,   617,   906,   327,   254,   317,   331,   254,
     329,   296,   352,   353,   352,   159,   616,   358,   366,   296,
     296,   374,   372,    56,   322,   340,   341,   616,   382,   612,
     398,   327,   159,   237,   238,   241,   310,   354,   363,   402,
      57,    57,    84,   859,    84,   921,    57,    84,    84,    84,
     473,   189,   390,   739,   616,   157,   612,   616,   158,   616,
     383,   940,   757,    57,    84,    84,   616,    55,   243,    19,
      54,   197,    19,   167,   168,    57,    57,   612,   143,   144,
     164,   169,   185,   191,   685,   761,   185,   761,    24,   760,
     185,   226,   172,    57,    57,    84,    84,    84,    84,    22,
      23,    24,   631,   635,   250,   172,    57,    57,    57,    93,
     334,   361,   371,   538,   539,   540,  1052,  1053,    84,  1060,
     189,   378,   612,   172,   245,   616,   254,   164,   616,  1087,
      57,    57,    84,    84,  1094,  1098,   254,    57,    10,   714,
     714,   714,   726,    21,    22,   155,   707,   714,   714,    18,
      19,    19,    39,    36,    37,   142,    37,    19,    83,    59,
      83,   664,   664,   760,   726,   726,   726,   726,   726,   726,
     726,    38,   699,   701,   726,    36,    37,    84,    10,    83,
     155,    83,   155,   717,   718,   726,    19,    19,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   723,    53,    60,    61,   177,   178,   179,   180,
     181,   182,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   812,   174,   175,   176,   198,   199,   202,
     783,   784,     6,     6,     6,     6,   174,   229,   786,   787,
       6,   862,   840,     6,     6,     6,    86,   116,   143,   160,
     164,   167,   168,   172,   192,   215,   216,   217,   219,   220,
     221,   635,   685,   811,     6,    24,    87,   143,   160,   161,
     172,     6,   804,   804,   804,   804,   904,   804,   804,   981,
     164,   804,   164,   804,     6,   804,   804,     6,    83,    85,
       6,     6,     6,   143,   172,   197,   685,     6,  1085,   612,
       6,   726,    58,   679,   680,   682,   686,   677,    57,    83,
      83,   774,   775,   726,    57,   613,    57,   612,   236,   237,
     392,  1066,    21,    22,    24,    28,    58,   642,  1069,   612,
    1067,    84,   164,  1071,   612,    48,    49,    50,    59,   748,
     751,    24,   739,   768,   771,   772,   616,   756,   758,    81,
      85,   844,   848,   849,   867,   873,   887,   254,   254,   617,
      57,   612,   612,   616,    94,   410,    57,    57,   241,   385,
     254,   379,   616,   254,   254,   616,   364,   229,   616,   238,
     393,   640,   254,   254,    57,    57,    84,   799,    57,    24,
     628,   634,    40,   618,    51,    56,    57,   389,   390,   292,
     403,   404,   405,   406,   911,   618,    51,    56,    57,   616,
     612,   254,   254,   612,   254,   616,   616,   158,   616,   616,
      57,   616,   616,   616,   616,   616,   616,   391,    56,   616,
     616,    57,   616,    57,    56,   616,   616,   384,   364,   189,
     229,   616,   238,   616,   858,   860,   861,   920,   922,   928,
     933,   616,   254,   379,   616,   616,   616,   185,   612,   758,
     946,   613,   613,    19,    19,   615,   683,   684,   726,    45,
     612,   763,   192,   763,   763,   616,   760,   992,  1026,  1039,
    1056,   616,   760,    28,   617,   617,    53,   131,   134,   318,
     321,  1052,  1059,    57,   616,   616,   612,   302,   612,   772,
     773,   612,    19,    59,   714,   155,    54,    19,   142,    37,
     726,   726,   665,   666,    59,    83,    59,    83,    83,    83,
      83,    59,    59,    83,    10,    83,    83,    59,    19,    58,
     697,   704,   709,    83,    59,    56,    56,    26,    27,   721,
     724,   841,    83,    85,    83,    85,     6,   285,   286,   615,
       6,   635,    21,    22,    23,    24,   620,   621,   622,   623,
     624,   809,   810,   683,   615,   172,   172,   164,   615,    24,
     615,   813,   641,   641,   641,   641,     6,    24,   164,   165,
     166,   177,   178,   319,   321,   349,   641,   641,     6,    24,
      70,   157,   250,   335,   409,   434,   466,   804,   641,   804,
     641,   641,   641,  1073,   683,    28,   760,   640,     6,    57,
      59,   678,    16,   681,    84,   677,   614,   640,   615,   772,
      57,    59,    28,    49,    50,    49,    50,   640,   726,    51,
    1070,   640,  1072,    57,    57,    55,    85,   163,   243,   251,
     252,   255,   747,    37,   770,    83,    57,    85,   163,   754,
     755,   284,    57,    84,   852,    85,   289,   292,   293,   752,
     754,   865,    85,   166,   307,   752,   759,   872,    85,    92,
     166,   319,   320,   326,   752,   886,   612,   612,    57,    57,
      57,    57,   616,    84,   616,   908,   189,   254,   612,    57,
      57,   612,   612,    57,   616,   616,    57,   364,   612,    57,
     612,   612,   798,   914,   907,   614,   907,   612,   612,    57,
     906,   612,   612,    57,    57,   612,   612,    57,   612,    57,
      57,   739,    57,    57,    57,    57,    57,    57,    57,    57,
     616,    57,   612,    57,    57,    57,   616,    57,    57,   241,
     616,   616,   616,    57,   364,    57,    81,    85,   283,   755,
     857,   758,    65,    85,   138,   167,   168,   237,   239,   241,
     310,   316,   359,   369,   370,   376,   388,   395,   400,   407,
     755,   919,    85,    99,   167,   168,   238,   742,   752,   854,
     924,   925,   927,    85,   143,   172,   257,   425,   426,   685,
     752,   932,   612,   612,    85,   166,   171,   274,   390,   436,
     453,   455,   459,   463,   464,   947,   954,   957,   682,   186,
     762,   616,    57,    85,    98,   166,   500,   501,   503,   508,
     511,   752,   759,   989,    85,   166,   462,   516,   752,   759,
    1025,    51,    85,   322,   331,   362,   364,   530,   535,   537,
     752,   759,  1040,  1042,    53,  1054,    57,    57,   618,    53,
      19,   637,   638,   612,   616,   616,    28,    24,    84,    85,
      88,    89,    90,    91,    92,    93,    94,   112,   115,   116,
     148,   150,   615,   719,   721,   728,   731,   737,   841,  1058,
     185,  1088,   612,    84,  1097,   714,   714,    22,    37,    37,
      83,    59,    83,   662,   663,   726,   726,   726,   726,   726,
      38,   699,   726,   699,    38,   699,   699,    83,   726,   726,
      19,    19,   725,   784,   787,    54,    21,    22,    24,   813,
     813,     6,     6,     6,     6,   640,   640,    21,    22,    24,
     620,   621,   636,     6,     6,    19,   739,   739,   739,   641,
       6,   641,     6,     6,     6,   677,   677,   689,   677,   690,
     693,   694,   695,   729,   731,   614,    57,    59,    83,    59,
      19,    85,   253,   782,   253,   616,   616,   256,   257,    57,
      28,   641,   769,   771,   782,    57,   614,   851,   853,    44,
     172,   294,    57,   875,   880,   157,    57,   890,   891,   897,
     891,   898,   617,   902,   327,    57,    83,    57,    57,    98,
     227,   292,   410,   412,   414,   417,   909,   910,    57,   379,
     616,   612,    57,    57,    57,    57,    57,   616,    57,    57,
      57,    85,   196,   241,   243,   244,   247,   248,   797,    57,
      57,    57,    57,    57,    57,    57,    57,    57,    57,    57,
     189,    57,    57,    57,   616,   284,   288,   615,    57,   304,
     378,   172,   172,   384,   172,   189,    65,   612,   360,   172,
     165,   371,   616,   616,   396,   616,   616,   138,   310,    57,
      23,   422,   422,   422,   423,   757,    57,   683,    28,   760,
     612,   640,   138,    57,   966,   972,   316,   438,   463,   616,
     949,   316,   616,   948,   250,   634,   950,   951,   465,   616,
      57,   467,   967,   187,   188,   189,   190,    24,   621,   633,
    1003,  1008,   994,  1002,   990,   991,   633,   175,   512,    57,
    1028,  1034,   616,   612,    57,   612,   349,   191,  1041,    55,
    1041,   642,  1043,    72,   534,  1044,  1041,    57,   612,   638,
      39,   691,   692,   717,   717,    58,   726,   726,   726,   732,
      58,    58,    31,    57,    31,   717,    42,    31,   612,  1096,
      39,    37,   726,   726,    51,    62,    63,    64,    65,    67,
      68,    69,    72,    74,    75,    80,    81,    85,   648,   649,
     650,   651,   652,   660,    85,   649,   650,   651,   652,   661,
      83,    59,    59,    59,    59,    59,    83,    10,    59,    83,
      59,    83,    10,    59,    83,    83,    19,    58,    22,     6,
       6,   614,   104,   686,   614,    85,   694,    57,    19,   254,
     254,   612,   613,   636,    74,    85,   287,   850,    24,    58,
     721,   841,   869,   870,   760,   866,   773,   158,   165,   177,
     178,   319,   889,   773,    84,   896,    40,   321,   899,   616,
     612,   185,   420,   416,   140,   413,   415,   418,   419,    83,
      85,    57,    57,    57,    57,   616,   245,   246,   246,   613,
     612,    57,   616,    57,   285,   286,   615,    98,   170,   285,
     289,   856,   191,   335,   349,   357,   245,   246,   616,   616,
     616,   241,   385,   760,   616,   304,   335,   361,   362,   918,
     760,   378,    65,    58,   154,   702,   930,   930,   930,    23,
     758,   336,   772,   968,   612,   612,   616,    84,   612,    84,
     739,    84,   612,   612,    84,    84,  1007,   773,    84,   617,
    1009,  1014,    28,    84,  1015,  1020,   616,    70,   773,   185,
     617,   612,    74,   612,  1042,  1045,  1046,   612,    19,    85,
     690,    57,    57,   615,   841,    57,   113,    84,    24,   677,
     730,   736,   736,   726,   726,    57,   735,   726,    85,   495,
    1095,    19,    37,    59,    59,    66,    70,    71,    73,    11,
      12,    13,    31,    32,    33,   118,   119,   612,   646,   653,
     654,   655,    41,   656,   657,   657,   659,    24,   620,   632,
      57,   653,   656,   659,   633,    57,   726,    38,   699,    38,
     699,    38,   699,    10,    38,   699,    38,   699,    85,   718,
      57,    59,    31,    57,    59,   613,   613,   612,   612,    57,
     726,    83,   686,    84,   879,   616,   896,   895,   892,   614,
     640,   322,   900,    57,   411,   277,   910,   247,   247,   247,
      57,   386,   387,   616,   917,   917,   617,   409,   189,   254,
     616,   616,   304,   702,   706,   616,   969,    84,   971,   959,
     959,   952,   955,  1006,  1005,    84,  1001,  1010,  1016,   612,
      84,  1033,   612,   616,    84,    59,    59,   731,   711,   614,
      86,   726,    24,   721,   737,   841,    57,    57,   724,    57,
     617,    57,    10,   612,    14,    15,   647,    83,    15,    83,
     647,   612,    76,    77,    78,    79,   658,    83,   647,    82,
      59,    59,    59,    59,    83,    10,    59,    59,    59,    83,
      58,    59,    10,    59,    59,    10,    59,    59,   726,    59,
     870,   878,   876,   892,    85,   194,   195,   196,   224,   243,
     244,   247,   248,   323,   788,   789,   791,   792,   793,   893,
     617,   319,   901,   613,   613,   613,   616,   612,   616,    83,
     155,   967,   970,    85,   634,   960,   961,    85,    85,   274,
     316,   454,   953,    85,   242,   298,   323,   439,   440,   441,
     788,   956,    85,   134,   494,   495,   498,   499,  1004,  1000,
     999,  1013,  1019,   513,  1032,  1029,  1047,    57,    57,   114,
       9,    19,    20,    58,    85,   696,   698,   700,   702,   703,
     705,   708,   733,   736,   736,    57,   612,   655,   646,   654,
     657,   657,    39,   657,   657,    19,    38,   699,    38,   699,
     699,    10,   699,    57,    51,    65,    70,    85,   185,   245,
     246,   249,   297,   298,   299,   310,   312,   314,   323,   788,
     877,   616,    84,   245,   246,   246,   613,   612,   169,   204,
     324,   325,   894,    28,    29,    58,   644,   645,   720,   727,
      84,   796,    57,   616,   702,    70,    85,   242,   245,   246,
     249,   250,   279,   298,   303,   316,   318,   323,   326,   373,
     436,   439,   440,   441,   447,   452,   462,   468,   788,   958,
     454,   460,   962,   616,   612,   616,    57,   612,   612,   169,
     324,   450,   612,   317,   217,   612,    57,   616,   497,   497,
     616,   616,    57,    55,    85,    98,   171,   238,   243,   250,
     483,   485,   486,   490,   491,   493,   500,   501,   511,   995,
      85,   497,   502,  1011,    85,   283,   497,  1017,    29,   643,
     645,    51,    85,   196,   245,   246,   249,   296,   299,   318,
     323,   349,   373,   439,   462,   479,   517,   518,   519,   520,
     522,   526,   788,  1030,    85,   530,   531,   536,  1048,   731,
     691,   726,    10,    83,   153,   726,    59,    83,   612,   612,
     612,   612,   658,   658,    59,    59,    59,    83,    59,    58,
      59,   612,   304,   300,   301,   311,   612,   302,    74,    75,
     233,   303,   776,   250,   612,   247,   247,    65,    55,   243,
     313,   316,   315,   169,   308,    57,   790,   791,   247,   247,
     247,   206,   207,   204,   726,    54,    92,   158,   197,   203,
     222,   794,   442,   443,   444,   445,   446,   447,   448,   449,
     612,   302,    74,   303,   776,   250,   470,    84,   612,   612,
     612,   616,   169,   324,   450,   444,   374,   616,   612,   317,
     217,   612,   349,   469,   612,   131,   442,    57,   612,    57,
     612,   612,   612,   612,   482,   488,  1008,   135,   497,   135,
     488,   497,   317,   482,   489,   482,   616,   487,   254,   492,
     304,   322,   996,   322,   997,   512,    57,  1012,   496,   612,
    1021,  1009,    57,  1018,  1015,  1021,    57,   612,   616,   302,
      74,   303,   776,   250,   524,   612,   254,   616,   169,   206,
     450,   525,  1031,   617,   374,   254,   131,   383,   442,   254,
     254,   456,   612,   521,   523,   527,    57,  1049,   533,   532,
     640,    57,    59,    58,   698,   705,   691,   734,    57,   726,
      39,    39,   699,   699,   177,   178,   612,   612,   612,   612,
     612,   616,   613,   613,   304,   613,   613,   612,   612,   616,
     309,    85,    57,   613,   613,   613,   206,   207,    59,    28,
     639,    54,   197,   612,   639,   204,   205,   211,   212,   213,
     214,   795,    54,   197,    85,   457,   458,   612,   612,   612,
     616,   471,   963,   616,   246,   616,   612,   612,   616,   616,
     612,   616,   504,  1022,  1022,   247,   254,   505,   506,   507,
     998,   612,   998,   254,   612,   612,   247,   612,   484,   616,
     612,   612,   185,   616,  1014,   616,  1020,    70,   322,   612,
     612,   612,   612,   616,   616,   612,   246,   616,   613,   612,
     612,   612,   616,   616,   616,   616,   195,   195,   726,   117,
      59,   612,   612,    59,    83,   617,   617,   616,   790,    57,
     639,   639,    57,    57,   206,   207,   208,   209,   210,   206,
     207,   208,   209,   210,    57,   639,   639,   796,   616,    85,
     617,   965,   456,   616,   612,   612,  1022,   612,  1022,   612,
     616,   612,   612,   616,   456,   640,   640,   731,    57,   699,
     794,    57,    57,   794,   794,   794,    57,    57,   451,   964,
     513,    83,   794,   794,   794,   794,    57,   643,   699,    59
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   603,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   608,   608,   609,   609,   610,   610,   611,   612,   612,
     612,   613,   613,   613,   614,   614,   614,   615,   616,   616,
     616,   616,   616,   616,   617,   617,   617,   618,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   628,
     629,   629,   630,   630,   631,   631,   631,   631,   631,   631,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   636,
     636,   636,   636,   637,   638,   638,   639,   640,   640,   641,
     641,   642,   642,   642,   642,   642,   643,   643,   644,   644,
     644,   645,   645,   645,   646,   646,   646,   646,   646,   646,
     646,   646,   647,   647,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   649,   650,   651,   652,   652,   653,
     653,   653,   653,   654,   654,   655,   655,   656,   656,   656,
     657,   657,   658,   658,   658,   658,   659,   659,   659,   660,
     660,   660,   660,   661,   661,   661,   661,   661,   662,   662,
     663,   663,   664,   665,   666,   667,   668,   669,   669,   604,
     605,   604,   606,   604,   607,   610,   672,   671,   610,   673,
     610,   674,   610,   675,   610,   676,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   678,   678,   679,   679,   680,   680,
     681,   681,   682,   683,   684,   683,   685,   686,   610,   688,
     689,   687,   690,   690,   692,   691,   693,   693,   694,   695,
     695,   696,   696,   697,   697,   697,   697,   697,   697,   698,
     698,   698,   698,   699,   700,   700,   700,   700,   700,   700,
     700,   700,   700,   700,   701,   701,   701,   701,   702,   702,
     702,   703,   703,   703,   703,   703,   703,   703,   703,   704,
     704,   704,   704,   704,   705,   705,   705,   705,   705,   706,
     706,   707,   707,   708,   708,   709,   709,   709,   709,   710,
     710,   711,   711,   711,   712,   712,   713,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   715,   715,   715,   716,   716,
     716,   716,   717,   717,   717,   718,   719,   720,   721,   721,
     721,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   723,   722,   724,   725,   724,   724,   724,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   727,   728,   728,   728,   729,
     729,   730,   730,   731,   731,   731,   732,   733,   734,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   735,   731,   731,   731,   736,   737,   737,   737,   610,
     738,   738,   739,   739,   739,   739,   610,   740,   610,   741,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   743,
     743,   610,   744,   745,   746,   746,   747,   747,   747,   747,
     747,   747,   747,   748,   748,   749,   749,   610,   750,   750,
     751,   751,   751,   751,   752,   752,   752,   752,   752,   752,
     752,   752,   753,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   755,   755,   756,   756,   757,   757,   758,   759,
     760,   761,   761,   761,   761,   762,   762,   762,   762,   762,
     763,   763,   610,   764,   764,   764,   764,   610,   765,   765,
     765,   765,   766,   766,   766,   766,   766,   766,   766,   766,
     767,   768,   769,   769,   770,   770,   771,   772,   772,   773,
     774,   775,   776,   776,   777,   778,   779,   779,   779,   779,
     779,   780,   781,   782,   782,   782,   783,   783,   784,   784,
     784,   784,   784,   784,   785,   785,   785,   786,   786,   787,
     787,   788,   789,   789,   790,   790,   791,   791,   792,   792,
     793,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   796,   797,   797,   797,   797,   797,
     797,   797,   798,   798,   799,   604,   800,   604,   801,   604,
     802,   604,   803,   804,   804,   604,   805,   604,   806,   604,
     807,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   809,
     809,   809,   809,   809,   809,   809,   809,   810,   810,   810,
     810,   811,   811,   811,   811,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   813,   604,   814,   815,   815,
     815,   815,   815,   815,   815,   604,   816,   604,   817,   604,
     818,   604,   819,   604,   820,   604,   821,   604,   822,   604,
     823,   604,   824,   604,   825,   604,   826,   827,   827,   827,
     828,   828,   604,   829,   604,   830,   604,   831,   604,   832,
     604,   833,   604,   834,   604,   835,   836,   836,   604,   837,
     604,   838,   839,   839,   839,   840,   840,   840,   841,   841,
     841,   841,   610,   842,   843,   844,   845,   845,   846,   846,
     847,   848,   849,   850,   850,   851,   851,   852,   852,   853,
     854,   855,   856,   856,   856,   856,   857,   857,   857,   857,
     857,   857,   858,   858,   859,   859,   861,   860,   862,   862,
     862,   862,   604,   863,   777,   864,   865,   865,   865,   865,
     866,   865,   867,   867,   868,   869,   869,   870,   870,   870,
     870,   777,   885,   886,   886,   886,   886,   886,   886,   887,
     887,   888,   889,   889,   889,   889,   890,   890,   891,   892,
     893,   893,   893,   893,   893,   893,   893,   893,   894,   894,
     894,   894,   894,   894,   895,   895,   896,   896,   897,   898,
     899,   899,   899,   900,   900,   901,   901,   902,   604,   903,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     777,   871,   872,   872,   872,   872,   873,   873,   874,   875,
     876,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   878,   878,   879,
     879,   880,   841,   604,   881,   604,   882,   604,   883,   604,
     884,   777,   905,   906,   906,   906,   907,   907,   907,   907,
     907,   908,   908,   909,   909,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   911,   911,   911,   911,   911,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   913,   914,   912,   912,   912,   912,
     912,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   916,   917,   917,   917,   918,   918,   918,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   920,   920,   921,
     921,   922,   923,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   674,   777,   924,
     925,   926,   927,   927,   927,   927,   927,   927,   927,   927,
     928,   928,   929,   930,   930,   777,   931,   932,   932,   932,
     932,   932,   932,   932,   932,   933,   933,   934,   604,   935,
     936,   936,   936,   936,   936,   936,   777,   937,   937,   937,
     938,   939,   939,   940,   940,   941,   942,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   944,   945,   946,   946,   947,   947,   947,   947,
     947,   947,   947,   947,   947,   948,   947,   949,   947,   947,
     947,   947,   950,   950,   951,   952,   952,   953,   953,   953,
     954,   954,   955,   955,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   957,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   959,   959,   960,   961,   962,
     962,   962,   963,   963,   964,   964,   965,   966,   967,   967,
     969,   968,   970,   970,   971,   971,   972,   841,   841,   841,
     841,   604,   973,   604,   974,   604,   975,   604,   976,   604,
     977,   604,   978,   604,   979,   604,   980,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   777,   982,   983,   983,
     983,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   777,   986,   985,   987,   987,   987,   987,   777,   988,
     989,   989,   989,   989,   990,   989,   991,   989,   989,   989,
     989,   992,   992,   993,   994,   995,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   995,   995,   995,   995,
     995,   995,   996,   995,   997,   995,   995,   995,   995,   995,
     998,   998,   998,   999,  1000,  1000,  1001,  1001,  1002,  1003,
    1004,  1004,  1004,  1004,  1004,  1005,  1006,  1006,  1007,  1007,
    1008,  1009,  1010,  1011,  1011,  1011,  1012,  1013,  1013,  1014,
    1014,  1015,  1016,  1017,  1017,  1017,  1018,  1019,  1019,  1020,
    1020,  1021,  1021,  1022,  1022,   841,   841,   777,  1023,  1023,
    1024,  1025,  1025,  1025,  1025,  1025,  1025,  1026,  1026,  1027,
    1028,  1029,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1031,
    1031,  1031,  1031,  1032,  1032,  1033,  1033,  1034,   841,   841,
     604,  1035,   604,  1036,   777,  1037,  1038,  1039,  1039,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1041,  1041,  1042,  1043,  1044,  1044,  1045,  1046,  1047,  1047,
    1048,  1048,  1048,  1049,   777,  1050,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1053,  1053,  1054,  1054,  1056,  1055,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1058,  1059,  1059,  1060,  1060,
     604,  1061,  1062,  1063,  1063,  1063,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   610,   610,  1064,  1065,  1066,  1066,  1067,
    1067,  1068,  1068,  1068,  1068,  1069,  1070,  1070,  1071,  1071,
    1072,  1072,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,   610,  1074,  1074,   610,  1075,  1075,  1075,  1075,   604,
    1076,   604,  1077,   604,  1078,   604,  1079,   604,  1080,   604,
    1081,   604,  1082,   604,  1083,  1084,  1084,  1085,  1085,  1085,
     777,  1086,  1062,  1062,  1087,  1087,  1088,  1088,  1089,  1089,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,   777,  1091,  1092,
    1092,  1093,  1093,  1093,  1094,  1095,  1096,  1096,  1097,  1097,
    1098,   841,   841
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     0,     2,     1,     1,     5,     1,     3,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     0,     2,     2,
       2,     3,     7,     2,     2,     5,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       4,     1,     3,     1,     3,     1,     3,     4,     6,     6,
       0,     1,     1,     1,     1,     1,     2,     4,     4,     2,
       2,     2,     2,     2,     4,     2,     2,     2,     0,     3,
       0,     3,     0,     0,     0,     6,     6,     1,     1,     1,
       2,     1,     2,     1,     2,     1,     0,     4,     1,     2,
       1,     4,     1,     6,     1,     8,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     0,     4,     2,     5,     0,     4,
       0,     2,     1,     1,     0,     2,     2,     4,     1,     0,
       0,     7,     0,     1,     0,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       3,     1,     1,     1,     5,     7,     5,     7,     9,     7,
       5,     7,     5,    11,     1,     1,     2,     1,     7,     9,
       7,     7,     9,     7,     9,     7,     9,     7,    15,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     2,     2,     6,     1,
       3,     0,     4,     3,     1,     3,     3,     2,     4,     3,
       4,     2,     2,     2,     2,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     1,     5,     7,
       7,     1,     0,     1,     3,     1,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     4,     1,     0,     5,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     4,     1,     1,     1,     5,
       3,     2,     1,     3,     4,     6,     0,     0,     0,     9,
       4,     3,     4,     4,     5,     5,     3,     3,     3,     2,
       5,     0,     5,     7,     9,     0,     1,     1,     1,     1,
       4,     5,     1,     3,     1,     1,     1,     3,     1,     5,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     0,     1,     2,     2,     2,     4,
       4,     3,     3,     0,     3,     0,     3,     1,     1,     1,
       0,     1,     2,     3,     0,     2,     2,     2,     3,     2,
       2,     2,     1,     2,     2,     2,     3,     3,     3,     2,
       4,     3,     1,     2,     0,     3,     0,     3,     0,     3,
       1,     2,     1,     1,     1,     0,     2,     2,     2,     2,
       2,     1,     1,     3,     3,     3,     3,     1,     1,     1,
       1,     1,     2,     4,     3,     4,     4,     3,     4,     4,
       3,     0,     1,     2,     0,     1,     3,     1,     3,     1,
       0,     2,     2,     2,     2,     2,     3,     3,     3,     3,
       5,     0,     3,     1,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     1,
       1,     1,     4,     1,     0,     3,     5,     2,     1,     1,
       2,     0,     5,     5,     5,     5,     4,     4,     4,     4,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     1,     1,     1,     0,     2,     4,     4,     4,     2,
       2,     1,     0,     3,     3,     1,     3,     1,     3,     1,
       4,     1,     5,     1,     0,     1,     3,     1,     4,     1,
       4,     0,     2,     3,     3,     3,     3,     4,     4,     3,
       2,     2,     2,     2,     3,     3,     3,     2,     2,     1,
       1,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     4,     0,     2,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     4,     1,     3,     1,     4,     1,     1,     3,
       0,     1,     1,     4,     1,     4,     1,     4,     1,     3,
       1,     4,     1,     4,     1,     3,     2,     2,     1,     4,
       1,     2,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     1,     0,     3,     0,     3,
       0,     3,     3,     2,     2,     0,     3,     0,     3,     0,
       3,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       3,     3,     0,     3,     0,     3,     0,     2,     0,     2,
       2,     2,     1,     5,     1,     2,     1,     1,     3,     3,
       0,     4,     0,     3,     5,     1,     3,     3,     1,     1,
       1,     1,     2,     1,     2,     2,     2,     2,     3,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     1,     5,
       0,     2,     3,     3,     3,     2,     2,     2,     2,     2,
       1,     2,     1,     1,     2,     4,     0,     3,     5,     0,
       0,     0,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     3,     4,     4,     4,     2,     2,
       3,     3,     3,     3,     3,     3,     1,     0,     3,     0,
       3,     4,     1,     1,     6,     1,     6,     1,     6,     1,
       6,     2,     2,     0,     3,     3,     0,     3,     3,     2,
       2,     1,     3,     1,     3,     1,     3,     2,     2,     2,
       2,     2,     2,     3,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     4,     6,     4,     6,     6,     4,     6,
       5,     5,     4,     5,     5,     6,     6,     3,     3,     4,
       5,     6,     5,     5,     5,     5,     5,     5,     5,     5,
       5,     5,     6,     6,     6,     5,     6,     6,     6,     8,
       6,     6,     6,     7,     5,     6,     5,     6,     7,     5,
       6,     5,     6,     8,     4,     4,     4,     4,     5,     5,
       6,     5,     5,     6,     5,     5,     6,     7,     7,     7,
       5,     5,     4,     4,     0,     0,     6,     6,     5,     5,
       5,     1,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     4,     4,     2,     3,     2,     2,     2,
       2,     3,     5,     5,     4,     5,     3,     3,     3,     4,
       3,     3,     2,     2,     2,     3,     3,     0,     3,     0,
       3,     0,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     6,     1,     1,
       3,     2,     1,     1,     1,     2,     3,     3,     3,     3,
       0,     3,     5,     1,     3,     1,     2,     1,     2,     2,
       2,     1,     2,     2,     4,     0,     3,     5,     1,     4,
       0,     3,     3,     3,     2,     3,     2,     1,     2,     2,
       2,     3,     3,     0,     1,     2,     3,     1,     1,     2,
       2,     3,     3,     3,     3,     4,     2,     4,     3,     2,
       3,     1,     2,     4,     0,     3,     2,     1,     2,     3,
       3,     3,     3,     2,     3,     0,     5,     0,     5,     2,
       2,     1,     4,     1,     1,     0,     3,     2,     2,     2,
       5,     2,     0,     3,     0,     2,     2,     3,     2,     2,
       3,     2,     2,     2,     1,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     2,     3,     3,
       4,     4,     2,     2,     2,     3,     3,     3,     2,     3,
       3,     3,     4,     2,     1,     0,     2,     3,     1,     0,
       1,     2,     0,     2,     0,     1,     3,     0,     0,     2,
       0,     3,     0,     3,     0,     3,     3,     1,     1,     1,
       1,     1,     4,     1,     6,     1,     6,     1,     6,     1,
       7,     1,     6,     1,     7,     1,     5,     0,     2,     3,
       2,     3,     3,     2,     3,     2,     2,     2,     3,     3,
       3,     1,     3,     3,     2,     3,     3,     2,     2,     2,
       2,     2,     0,     4,     2,     3,     3,     5,     1,     2,
       1,     1,     2,     2,     0,     3,     0,     3,     6,     2,
       3,     0,     3,     5,     0,     4,     4,     3,     4,     2,
       3,     3,     3,     3,     4,     4,     4,     3,     3,     4,
       4,     2,     0,     3,     0,     3,     6,     3,     3,     4,
       1,     1,     1,     0,     0,     3,     0,     3,     4,     1,
       2,     2,     2,     4,     4,     0,     0,     3,     0,     3,
       3,     1,     0,     0,     2,     2,     0,     0,     3,     1,
       5,     1,     0,     0,     2,     2,     0,     0,     3,     1,
       5,     1,     2,     0,     2,     1,     1,     1,     1,     2,
       2,     1,     1,     2,     4,     2,     2,     0,     3,     5,
       0,     0,     2,     2,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     3,     3,     4,     3,     2,     2,     1,     1,
       1,     1,     1,     0,     3,     0,     3,     4,     1,     1,
       1,     6,     1,     6,     1,     2,     5,     0,     3,     1,
       1,     2,     3,     1,     3,     2,     3,     3,     3,     4,
       0,     1,     2,     1,     2,     6,     0,     0,     0,     3,
       4,     4,     2,     0,     2,     2,     3,     3,     3,     3,
       5,     5,     4,     3,     2,     3,     3,     3,     3,     3,
       1,     2,     0,     2,     0,     4,     2,     3,     5,     1,
       2,     2,     2,     2,     2,     1,     0,     2,     0,     3,
       1,     4,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     5,     2,     0,     0,
       2,     2,     2,     1,     3,     1,     0,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     4,     3,     3,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     2,     1,     3,     0,     1,     0,     1,     2,
       2,     2,     3,     3,     1,     1,     0,     2,     1,     1,
       1,     1,     2,     3,     2,     3,     4,     2,     2,     3,
       3,     1,     2,     3,     0,     2,     0,     3,     0,     3,
       3,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 551: /* config: conf_entries END  */
#line 147 "conf/confbase.Y"
                         { return 0; }
#line 8043 "obj/conf/cf-parse.tab.c"
    break;

  case 552: /* config: CLI_MARKER cli_cmd  */
#line 148 "conf/confbase.Y"
                      { return 0; }
#line 8049 "obj/conf/cf-parse.tab.c"
    break;

  case 557: /* definition: DEFINE symbol '=' term ';'  */
#line 164 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 8059 "obj/conf/cf-parse.tab.c"
    break;

  case 559: /* expr: '(' term ')'  */
#line 173 "conf/confbase.Y"
                { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 8065 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* expr: symbol_known  */
#line 174 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 8073 "obj/conf/cf-parse.tab.c"
    break;

  case 561: /* expr_us: expr S  */
#line 180 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 8079 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* expr_us: expr MS  */
#line 181 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 8085 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* expr_us: expr US  */
#line 182 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 8091 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* bool: expr  */
#line 191 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 8097 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* bool: ON  */
#line 192 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 8103 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* bool: YES  */
#line 193 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 8109 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* bool: OFF  */
#line 194 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 8115 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* bool: NO  */
#line 195 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 8121 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* bool: %empty  */
#line 196 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 8127 "obj/conf/cf-parse.tab.c"
    break;

  case 574: /* ipa: IP4  */
#line 203 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8133 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* ipa: IP6  */
#line 204 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8139 "obj/conf/cf-parse.tab.c"
    break;

  case 576: /* ipa: CF_SYM_KNOWN  */
#line 205 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 8148 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* ipa_scope: %empty  */
#line 212 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 8154 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* ipa_scope: '%' symbol  */
#line 213 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8160 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* pxlen4: '/' NUM  */
#line 220 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 8169 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* net_ip4_: IP4 pxlen4  */
#line 227 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 8182 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* net_ip6_: IP6 '/' NUM  */
#line 237 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 8198 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 250 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 8220 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* net_vpn4_: VPN_RD net_ip4_  */
#line 269 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8229 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* net_vpn6_: VPN_RD net_ip6_  */
#line 275 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8238 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 281 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8249 "obj/conf/cf-parse.tab.c"
    break;

  case 586: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 289 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8260 "obj/conf/cf-parse.tab.c"
    break;

  case 587: /* net_mpls_: MPLS NUM  */
#line 297 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8269 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* net_: net_ip_  */
#line 307 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8275 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* net_ip4: CF_SYM_KNOWN  */
#line 320 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8285 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* net_ip6: CF_SYM_KNOWN  */
#line 329 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8295 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* net_ip: CF_SYM_KNOWN  */
#line 338 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8305 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* net_any: CF_SYM_KNOWN  */
#line 347 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8315 "obj/conf/cf-parse.tab.c"
    break;

  case 610: /* net_or_ipa: IP4  */
#line 357 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8321 "obj/conf/cf-parse.tab.c"
    break;

  case 611: /* net_or_ipa: IP6  */
#line 358 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8327 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* net_or_ipa: CF_SYM_KNOWN  */
#line 359 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8340 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* label_stack_start: NUM  */
#line 370 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8350 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* label_stack: label_stack '/' NUM  */
#line 378 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8361 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* time: TEXT  */
#line 387 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8371 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* text: CF_SYM_KNOWN  */
#line 396 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8380 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* opttext: %empty  */
#line 404 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 8386 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* text_or_ipa: TEXT  */
#line 408 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8392 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* text_or_ipa: IP4  */
#line 409 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8398 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* text_or_ipa: IP6  */
#line 410 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8404 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* text_or_ipa: CF_SYM_KNOWN  */
#line 411 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8416 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* text_or_ipa: '(' term ')'  */
#line 418 "conf/confbase.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8426 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* bytestring: bytestring_expr  */
#line 427 "conf/confbase.Y"
                   { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8432 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* bytestring_text: BYTETEXT  */
#line 431 "conf/confbase.Y"
            { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8438 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* bytestring_text: TEXT  */
#line 432 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8444 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* bytestring_text: bytestring_expr  */
#line 433 "conf/confbase.Y"
                   {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8454 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* bytestring_expr: '(' term ')'  */
#line 443 "conf/confbase.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 8460 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 8466 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 8472 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 8478 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 8484 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 8490 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 8496 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 8502 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 8508 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 8514 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 8520 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8526 "obj/conf/cf-parse.tab.c"
    break;

  case 645: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8532 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8538 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8544 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8550 "obj/conf/cf-parse.tab.c"
    break;

  case 649: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8556 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8562 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8568 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8574 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8580 "obj/conf/cf-parse.tab.c"
    break;

  case 654: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8586 "obj/conf/cf-parse.tab.c"
    break;

  case 655: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8592 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8598 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8604 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8610 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8619 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8628 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8637 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8648 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8657 "obj/conf/cf-parse.tab.c"
    break;

  case 668: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8666 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8675 "obj/conf/cf-parse.tab.c"
    break;

  case 670: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 8681 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 8687 "obj/conf/cf-parse.tab.c"
    break;

  case 672: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 8693 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 8699 "obj/conf/cf-parse.tab.c"
    break;

  case 674: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 8705 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 8711 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8719 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8727 "obj/conf/cf-parse.tab.c"
    break;

  case 678: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8735 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8744 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8753 "obj/conf/cf-parse.tab.c"
    break;

  case 684: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8764 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8775 "obj/conf/cf-parse.tab.c"
    break;

  case 693: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 8781 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 8787 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8796 "obj/conf/cf-parse.tab.c"
    break;

  case 696: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8805 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* $@1: %empty  */
#line 402 "filter/config.Y"
                 {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8815 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* filter_def: FILTER symbol $@1 filter_body  */
#line 406 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8827 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* filter_eval: EVAL term  */
#line 417 "filter/config.Y"
             { cf_eval_int((yyvsp[0].x)); }
#line 8833 "obj/conf/cf-parse.tab.c"
    break;

  case 711: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 421 "filter/config.Y"
                                       {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8841 "obj/conf/cf-parse.tab.c"
    break;

  case 713: /* bt_test_suite: BT_TEST_SUITE '(' symbol_known ',' text ')'  */
#line 427 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8855 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* bt_test_same: BT_TEST_SAME '(' symbol_known ',' symbol_known ',' NUM ')'  */
#line 440 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8871 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* type: INT  */
#line 454 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 8877 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* type: BOOL  */
#line 455 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 8883 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* type: IP  */
#line 456 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 8889 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* type: RD  */
#line 457 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 8895 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* type: PREFIX  */
#line 458 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 8901 "obj/conf/cf-parse.tab.c"
    break;

  case 721: /* type: PAIR  */
#line 459 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 8907 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* type: QUAD  */
#line 460 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 8913 "obj/conf/cf-parse.tab.c"
    break;

  case 723: /* type: EC  */
#line 461 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 8919 "obj/conf/cf-parse.tab.c"
    break;

  case 724: /* type: LC  */
#line 462 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 8925 "obj/conf/cf-parse.tab.c"
    break;

  case 725: /* type: STRING  */
#line 463 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 8931 "obj/conf/cf-parse.tab.c"
    break;

  case 726: /* type: BYTESTRING  */
#line 464 "filter/config.Y"
              { (yyval.i) = T_BYTESTRING; }
#line 8937 "obj/conf/cf-parse.tab.c"
    break;

  case 727: /* type: BGPMASK  */
#line 465 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 8943 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* type: BGPPATH  */
#line 466 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 8949 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* type: CLIST  */
#line 467 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 8955 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* type: ECLIST  */
#line 468 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 8961 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* type: LCLIST  */
#line 469 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 8967 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* type: ROUTE  */
#line 470 "filter/config.Y"
         { (yyval.i) = T_ROUTE; }
#line 8973 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* type: type SET  */
#line 471 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 8998 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* function_argsn: %empty  */
#line 494 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 9004 "obj/conf/cf-parse.tab.c"
    break;

  case 735: /* function_argsn: function_argsn type symbol ';'  */
#line 495 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9015 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* function_args: '(' ')'  */
#line 504 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 9021 "obj/conf/cf-parse.tab.c"
    break;

  case 737: /* function_args: '(' function_argsn type symbol ')'  */
#line 505 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9031 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* function_vars: %empty  */
#line 513 "filter/config.Y"
               { (yyval.i) = 0; }
#line 9037 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* function_vars: function_vars type symbol ';'  */
#line 514 "filter/config.Y"
                                 {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 9046 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* function_type: %empty  */
#line 521 "filter/config.Y"
               { (yyval.i) = T_VOID; }
#line 9052 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* function_type: IMP type  */
#line 522 "filter/config.Y"
            { (yyval.i) = (yyvsp[0].i); }
#line 9058 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* filter: symbol_known  */
#line 528 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 9067 "obj/conf/cf-parse.tab.c"
    break;

  case 744: /* $@2: %empty  */
#line 532 "filter/config.Y"
   {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 9076 "obj/conf/cf-parse.tab.c"
    break;

  case 745: /* filter: $@2 filter_body  */
#line 535 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 9088 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* where_filter: WHERE term  */
#line 545 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 9097 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* function_body: function_vars '{' cmds '}'  */
#line 552 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 9106 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* $@3: %empty  */
#line 561 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 9116 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* $@4: %empty  */
#line 565 "filter/config.Y"
                                 {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 9138 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* function_def: FUNCTION symbol $@3 function_args function_type $@4 function_body  */
#line 581 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 9150 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* cmds: %empty  */
#line 592 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 9156 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* cmds: cmds_int  */
#line 593 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 9162 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* $@5: %empty  */
#line 596 "filter/config.Y"
             { cf_push_soft_scope(new_config); }
#line 9168 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* cmds_scoped: $@5 cmds  */
#line 596 "filter/config.Y"
                                                      { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 9174 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* cmd_prep: cmd_var  */
#line 600 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 9185 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* cmds_int: cmds_int cmd_prep  */
#line 609 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 9201 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* fipa: IP4  */
#line 626 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 9207 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* fipa: IP6  */
#line 627 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 9213 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* set_atom: NUM  */
#line 640 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9219 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* set_atom: fipa  */
#line 641 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 9225 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* set_atom: VPN_RD  */
#line 642 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 9231 "obj/conf/cf-parse.tab.c"
    break;

  case 766: /* set_atom: ENUM  */
#line 643 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9237 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* set_atom: '(' term ')'  */
#line 644 "filter/config.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 9246 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* set_atom: symbol_known  */
#line 648 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9256 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* switch_atom: NUM  */
#line 656 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9262 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* switch_atom: '(' term ')'  */
#line 657 "filter/config.Y"
                { (yyval.v) = cf_eval((yyvsp[-1].x), T_INT); }
#line 9268 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* switch_atom: fipa  */
#line 658 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 9274 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* switch_atom: ENUM  */
#line 659 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9280 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* cnum: term  */
#line 663 "filter/config.Y"
        { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9286 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* pair_item: '(' cnum ',' cnum ')'  */
#line 666 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9292 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 667 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9298 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* pair_item: '(' cnum ',' '*' ')'  */
#line 668 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9304 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 669 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9310 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 670 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9316 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 671 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9322 "obj/conf/cf-parse.tab.c"
    break;

  case 780: /* pair_item: '(' '*' ',' cnum ')'  */
#line 672 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9328 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 673 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9334 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* pair_item: '(' '*' ',' '*' ')'  */
#line 674 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9340 "obj/conf/cf-parse.tab.c"
    break;

  case 783: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 676 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9346 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* ec_kind: RT  */
#line 680 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 9352 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* ec_kind: RO  */
#line 681 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 9358 "obj/conf/cf-parse.tab.c"
    break;

  case 786: /* ec_kind: UNKNOWN NUM  */
#line 682 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 9364 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* ec_kind: GENERIC  */
#line 683 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 9370 "obj/conf/cf-parse.tab.c"
    break;

  case 788: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 687 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9376 "obj/conf/cf-parse.tab.c"
    break;

  case 789: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 688 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9382 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 689 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9388 "obj/conf/cf-parse.tab.c"
    break;

  case 791: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 693 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9394 "obj/conf/cf-parse.tab.c"
    break;

  case 792: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 694 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9400 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 695 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9406 "obj/conf/cf-parse.tab.c"
    break;

  case 794: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 696 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9412 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 697 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9418 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 698 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9424 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 699 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9430 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 701 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9436 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* set_item: set_atom  */
#line 708 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9442 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* set_item: set_atom DDOT set_atom  */
#line 709 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9448 "obj/conf/cf-parse.tab.c"
    break;

  case 807: /* switch_item: switch_atom  */
#line 716 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9454 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* switch_item: switch_atom DDOT switch_atom  */
#line 717 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9460 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* ec_items: ec_items ',' ec_item  */
#line 722 "filter/config.Y"
                        { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9466 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* set_items: set_items ',' set_item  */
#line 727 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9472 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* switch_items: switch_items ',' switch_item  */
#line 732 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9478 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* fprefix: net_ip_  */
#line 736 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9484 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* fprefix: net_ip_ '+'  */
#line 737 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9490 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* fprefix: net_ip_ '-'  */
#line 738 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9496 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 739 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9506 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* fprefix_set: fprefix  */
#line 747 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9512 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* fprefix_set: fprefix_set ',' fprefix  */
#line 748 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9518 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* switch_body: %empty  */
#line 751 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 9524 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 752 "filter/config.Y"
                                             {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9536 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 759 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9548 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bgp_path_expr: symbol_value  */
#line 769 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 9554 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bgp_path_expr: '(' term ')'  */
#line 770 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 9560 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bgp_path: PO bgp_path_tail PC  */
#line 774 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 9566 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* bgp_path_tail: NUM bgp_path_tail  */
#line 778 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9572 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 779 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9578 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 780 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9584 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 781 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9593 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* bgp_path_tail: '*' bgp_path_tail  */
#line 785 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9599 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* bgp_path_tail: '?' bgp_path_tail  */
#line 786 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9605 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* bgp_path_tail: '+' bgp_path_tail  */
#line 787 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9611 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 788 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9617 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* bgp_path_tail: %empty  */
#line 789 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 9623 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* constant: NUM  */
#line 793 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9629 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* constant: TRUE  */
#line 794 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9635 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* constant: FALSE  */
#line 795 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9641 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* constant: TEXT  */
#line 796 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9647 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* constant: BYTETEXT  */
#line 797 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9653 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* constant: fipa  */
#line 798 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9659 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* constant: VPN_RD  */
#line 799 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 9665 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* constant: net_  */
#line 800 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9671 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* constant: '[' ']'  */
#line 801 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9677 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* constant: '[' set_items ']'  */
#line 802 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9687 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* constant: '[' fprefix_set ']'  */
#line 807 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9693 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* constant: ENUM  */
#line 808 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9699 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* constructor: '(' term ',' term ')'  */
#line 812 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9705 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 813 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9711 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* constructor: '(' term ',' term ',' term ')'  */
#line 814 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9717 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* constructor: bgp_path  */
#line 815 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9723 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* var_list_r: %empty  */
#line 821 "filter/config.Y"
               { (yyval.x) = NULL; }
#line 9729 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* var_list_r: term  */
#line 822 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 9735 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* var_list_r: var_list_r ',' term  */
#line 823 "filter/config.Y"
                       { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9741 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* var_list: var_list_r  */
#line 827 "filter/config.Y"
   {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9758 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* function_call: symbol_known '(' var_list ')'  */
#line 843 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9769 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* symbol_value: symbol_known  */
#line 852 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9789 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* static_attr: FROM  */
#line 870 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9795 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* static_attr: GW  */
#line 871 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9801 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* static_attr: NET  */
#line 872 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9807 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* static_attr: PROTO  */
#line 873 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9813 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* static_attr: SOURCE  */
#line 874 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9819 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* static_attr: SCOPE  */
#line 875 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9825 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* static_attr: DEST  */
#line 876 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9831 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* static_attr: IFNAME  */
#line 877 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9837 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* static_attr: IFINDEX  */
#line 878 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9843 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* static_attr: WEIGHT  */
#line 879 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9849 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* static_attr: PREFERENCE  */
#line 880 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9855 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* static_attr: GW_MPLS  */
#line 881 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9861 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* static_attr: GW_MPLS_STACK  */
#line 882 "filter/config.Y"
                 { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 9867 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* static_attr: ONLINK  */
#line 883 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9873 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* $@6: %empty  */
#line 886 "filter/config.Y"
                          { f_method_call_start((yyvsp[-1].x)); }
#line 9879 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* term_dot_method: term '.' $@6 method_name_cont  */
#line 886 "filter/config.Y"
                                                                        { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9885 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* method_name_cont: CF_SYM_METHOD_BARE  */
#line 888 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9893 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* $@7: %empty  */
#line 891 "filter/config.Y"
                      {
     f_method_call_args();
   }
#line 9901 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* method_name_cont: CF_SYM_METHOD_ARGS $@7 '(' var_list ')'  */
#line 893 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9909 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* method_name_cont: static_attr  */
#line 896 "filter/config.Y"
               {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9919 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* method_name_cont: dynamic_attr  */
#line 901 "filter/config.Y"
                {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9929 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* term: '(' term ')'  */
#line 909 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 9935 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* term: term '+' term  */
#line 910 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9941 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* term: term '-' term  */
#line 911 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9947 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* term: term '*' term  */
#line 912 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9953 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* term: term '/' term  */
#line 913 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9959 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* term: term AND term  */
#line 914 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9965 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* term: term OR term  */
#line 915 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9971 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* term: term '=' term  */
#line 916 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9977 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* term: term NEQ term  */
#line 917 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9983 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* term: term '<' term  */
#line 918 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9989 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* term: term LEQ term  */
#line 919 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9995 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* term: term '>' term  */
#line 920 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10001 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* term: term GEQ term  */
#line 921 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10007 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* term: term '~' term  */
#line 922 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10013 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* term: term NMA term  */
#line 923 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10019 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* term: '!' term  */
#line 924 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 10025 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* term: DEFINED '(' term ')'  */
#line 925 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 10031 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* term: symbol_value  */
#line 927 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 10037 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* term: constant  */
#line 928 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 10043 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* term: constructor  */
#line 929 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 10049 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* term: static_attr  */
#line 931 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 10055 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* term: dynamic_attr  */
#line 933 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 10061 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* term: '+' EMPTY '+'  */
#line 937 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 10067 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* term: '-' EMPTY '-'  */
#line 938 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 10073 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* term: '-' '-' EMPTY '-' '-'  */
#line 939 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 10079 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 940 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 10085 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* term: PREPEND '(' term ',' term ')'  */
#line 942 "filter/config.Y"
                                 { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10091 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* term: ADD '(' term ',' term ')'  */
#line 943 "filter/config.Y"
                             { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10097 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* term: DELETE '(' term ',' term ')'  */
#line 944 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10103 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* term: FILTER '(' term ',' term ')'  */
#line 945 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10109 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* term: ROA_CHECK '(' rtable ')'  */
#line 947 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 10115 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 948 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 10121 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* term: FORMAT '(' term ')'  */
#line 950 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 10127 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* term_bs: FROM_HEX '(' term ')'  */
#line 957 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 10133 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* break_command: ACCEPT  */
#line 961 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 10139 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* break_command: REJECT  */
#line 962 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 10145 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* break_command: ERROR  */
#line 963 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 10151 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* var: type symbol '=' term ';'  */
#line 967 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 10160 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* var: type symbol ';'  */
#line 971 "filter/config.Y"
                   {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 10169 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* for_var: type symbol  */
#line 978 "filter/config.Y"
               { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 10175 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* for_var: CF_SYM_KNOWN  */
#line 979 "filter/config.Y"
                { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 10181 "obj/conf/cf-parse.tab.c"
    break;

  case 923: /* cmd: '{' cmds_scoped '}'  */
#line 983 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 10189 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* cmd: IF term THEN cmd  */
#line 986 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 10197 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* cmd: IF term THEN cmd ELSE cmd  */
#line 989 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 10205 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* $@8: %empty  */
#line 992 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 10215 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* $@9: %empty  */
#line 998 "filter/config.Y"
   { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 10221 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* $@10: %empty  */
#line 1000 "filter/config.Y"
   { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 10227 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* cmd: FOR $@8 for_var IN $@9 term $@10 DO cmd  */
#line 1001 "filter/config.Y"
          {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10236 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* cmd: symbol_known '=' term ';'  */
#line 1005 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10253 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* cmd: RETURN term ';'  */
#line 1017 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10274 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* cmd: dynamic_attr '=' term ';'  */
#line 1033 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10282 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* cmd: static_attr '=' term ';'  */
#line 1036 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10292 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 1041 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10300 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* cmd: UNSET '(' symbol_known ')' ';'  */
#line 1044 "filter/config.Y"
                                  {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10314 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* cmd: break_command var_list_r ';'  */
#line 1053 "filter/config.Y"
                                {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10322 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* cmd: PRINT var_list_r ';'  */
#line 1056 "filter/config.Y"
                        {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10330 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* cmd: PRINTN var_list_r ';'  */
#line 1059 "filter/config.Y"
                         {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10338 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* cmd: function_call ';'  */
#line 1062 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10344 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* cmd: CASE term '{' switch_body '}'  */
#line 1063 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10352 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* $@11: %empty  */
#line 1066 "filter/config.Y"
              {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10360 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* cmd: lvalue '.' $@11 method_name_cont ';'  */
#line 1068 "filter/config.Y"
                          {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10369 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 1072 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10375 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 1073 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10381 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* get_cf_position: %empty  */
#line 1077 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 10389 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* lvalue: CF_SYM_KNOWN  */
#line 1082 "filter/config.Y"
                {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10407 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* lvalue: static_attr  */
#line 1095 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10413 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* lvalue: dynamic_attr  */
#line 1096 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10419 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* rtrid: ROUTER ID idval ';'  */
#line 166 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 10425 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 167 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 10431 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* idval: NUM  */
#line 171 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 10437 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* idval: '(' term ')'  */
#line 172 "nest/config.Y"
                { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10443 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* idval: IP4  */
#line 173 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10449 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* idval: CF_SYM_KNOWN  */
#line 174 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10462 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* hostname_override: HOSTNAME text ';'  */
#line 186 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 10468 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 190 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 10474 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* net_type_base: IPV4  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 10480 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* net_type_base: IPV6  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 10486 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* net_type_base: IPV6 SADR  */
#line 198 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 10492 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* net_type_base: VPN4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 10498 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* net_type_base: VPN6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 10504 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* net_type_base: ROA4  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 10510 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* net_type_base: ROA6  */
#line 202 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 10516 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* net_type_base: FLOW4  */
#line 203 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 10522 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* net_type_base: FLOW6  */
#line 204 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 10528 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* net_type: MPLS  */
#line 209 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 10534 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* table_start: net_type TABLE symbol  */
#line 221 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10542 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* table_sorted: SORTED  */
#line 228 "nest/config.Y"
          { this_table->sorted = 1; }
#line 10548 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* table_opt: SORTED bool  */
#line 232 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 10554 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* table_opt: DEBUG debug_mask  */
#line 233 "nest/config.Y"
                    { this_table->debug = (yyvsp[0].i); }
#line 10560 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* table_opt: TRIE bool  */
#line 234 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10570 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* table_opt: MIN SETTLE TIME expr_us  */
#line 239 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 10576 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* table_opt: MAX SETTLE TIME expr_us  */
#line 240 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 10582 "obj/conf/cf-parse.tab.c"
    break;

  case 981: /* table_opt: GC THRESHOLD expr  */
#line 241 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 10588 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* table_opt: GC PERIOD expr_us  */
#line 242 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10594 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* conf: proto  */
#line 258 "nest/config.Y"
            { proto_postconfig(); }
#line 10600 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* proto_start: PROTOCOL  */
#line 261 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 10606 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* proto_start: TEMPLATE  */
#line 262 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 10612 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* proto_name: %empty  */
#line 266 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10623 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* proto_name: symbol  */
#line 272 "nest/config.Y"
          {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10632 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* proto_name: FROM CF_SYM_KNOWN  */
#line 276 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10647 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 286 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10660 "obj/conf/cf-parse.tab.c"
    break;

  case 995: /* proto_item: DISABLED bool  */
#line 298 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 10666 "obj/conf/cf-parse.tab.c"
    break;

  case 996: /* proto_item: DEBUG debug_mask  */
#line 299 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 10672 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* proto_item: MRTDUMP mrtdump_mask  */
#line 300 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 10678 "obj/conf/cf-parse.tab.c"
    break;

  case 998: /* proto_item: ROUTER ID idval  */
#line 301 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 10684 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* proto_item: DESCRIPTION text  */
#line 302 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 10690 "obj/conf/cf-parse.tab.c"
    break;

  case 1000: /* proto_item: VRF text  */
#line 303 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10696 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* proto_item: VRF DEFAULT  */
#line 304 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10702 "obj/conf/cf-parse.tab.c"
    break;

  case 1002: /* channel_start: net_type_base  */
#line 309 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10710 "obj/conf/cf-parse.tab.c"
    break;

  case 1003: /* channel_item_: TABLE rtable  */
#line 314 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10720 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* channel_item_: IMPORT imexport  */
#line 319 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 10726 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* channel_item_: EXPORT imexport  */
#line 320 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 10732 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 321 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10738 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 322 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 10744 "obj/conf/cf-parse.tab.c"
    break;

  case 1008: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 323 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 10750 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* channel_item_: PREFERENCE expr  */
#line 324 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10756 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 325 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10762 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* channel_item_: RPKI RELOAD bool  */
#line 326 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10768 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* channel_item: DEBUG debug_mask  */
#line 332 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 10774 "obj/conf/cf-parse.tab.c"
    break;

  case 1018: /* channel_end: %empty  */
#line 346 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10785 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* rtable: CF_SYM_KNOWN  */
#line 356 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10791 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* imexport: FILTER filter  */
#line 359 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 10797 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* imexport: ALL  */
#line 361 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 10803 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* imexport: NONE  */
#line 362 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 10809 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* limit_action: %empty  */
#line 366 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 10815 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* limit_action: ACTION WARN  */
#line 367 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 10821 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* limit_action: ACTION BLOCK  */
#line 368 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 10827 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* limit_action: ACTION RESTART  */
#line 369 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 10833 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* limit_action: ACTION DISABLE  */
#line 370 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 10839 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* limit_spec: expr limit_action  */
#line 374 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10845 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* limit_spec: OFF  */
#line 375 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 10851 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 382 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10857 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 383 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10863 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* debug_default: DEBUG TABLES debug_mask  */
#line 384 "nest/config.Y"
                           { new_config->table_default_debug = (yyvsp[0].i); }
#line 10869 "obj/conf/cf-parse.tab.c"
    break;

  case 1036: /* debug_default: DEBUG COMMANDS expr  */
#line 385 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 10875 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* timeformat_which: ROUTE  */
#line 393 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 10881 "obj/conf/cf-parse.tab.c"
    break;

  case 1039: /* timeformat_which: PROTOCOL  */
#line 394 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 10887 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* timeformat_which: BASE  */
#line 395 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 10893 "obj/conf/cf-parse.tab.c"
    break;

  case 1041: /* timeformat_which: LOG  */
#line 396 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 10899 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* timeformat_spec: timeformat_which TEXT  */
#line 400 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10905 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 401 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10911 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 402 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 10917 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 403 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 10923 "obj/conf/cf-parse.tab.c"
    break;

  case 1046: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 404 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 10929 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* timeformat_spec: timeformat_which ISO LONG  */
#line 405 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 10935 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 406 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 10941 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 407 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 10947 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* iface_patt_node_init: %empty  */
#line 418 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10957 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* iface_patt_node_body: TEXT  */
#line 426 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10963 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* iface_patt_node_body: opttext net_or_ipa  */
#line 427 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10969 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* iface_negate: %empty  */
#line 431 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 10975 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* iface_negate: '-'  */
#line 432 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 10981 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* iface_patt_list_nopx: iface_patt_list  */
#line 446 "nest/config.Y"
                                      { iface_patt_check(); }
#line 10987 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* iface_patt_init: %empty  */
#line 448 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10997 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* tos: CLASS expr  */
#line 460 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 11003 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* tos: DSCP expr  */
#line 461 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 11009 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* dev_proto_start: proto_start DIRECT  */
#line 468 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 11018 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 479 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 11024 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* dev_iface_init: %empty  */
#line 483 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 11034 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* debug_mask: ALL  */
#line 497 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11040 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* debug_mask: OFF  */
#line 498 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11046 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* debug_mask: '{' debug_list '}'  */
#line 499 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 11052 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* debug_list: debug_list ',' debug_flag  */
#line 504 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11058 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* debug_flag: STATES  */
#line 508 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 11064 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* debug_flag: ROUTES  */
#line 509 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 11070 "obj/conf/cf-parse.tab.c"
    break;

  case 1080: /* debug_flag: FILTERS  */
#line 510 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 11076 "obj/conf/cf-parse.tab.c"
    break;

  case 1081: /* debug_flag: INTERFACES  */
#line 511 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 11082 "obj/conf/cf-parse.tab.c"
    break;

  case 1082: /* debug_flag: EVENTS  */
#line 512 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 11088 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* debug_flag: PACKETS  */
#line 513 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 11094 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* mrtdump_mask: ALL  */
#line 519 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11100 "obj/conf/cf-parse.tab.c"
    break;

  case 1085: /* mrtdump_mask: OFF  */
#line 520 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11106 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 521 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 11112 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 526 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11118 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* mrtdump_flag: STATES  */
#line 530 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 11124 "obj/conf/cf-parse.tab.c"
    break;

  case 1090: /* mrtdump_flag: MESSAGES  */
#line 531 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 11130 "obj/conf/cf-parse.tab.c"
    break;

  case 1100: /* password_item_begin: pass_key bytestring_text  */
#line 558 "nest/config.Y"
{
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 11143 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* password_item_params: %empty  */
#line 568 "nest/config.Y"
               { }
#line 11149 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 569 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 11155 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 570 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 11161 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 571 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 11167 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 572 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 11173 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* password_item_params: FROM time ';' password_item_params  */
#line 573 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 11179 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* password_item_params: TO time ';' password_item_params  */
#line 574 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 11185 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* password_item_params: ID expr ';' password_item_params  */
#line 575 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 11191 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 576 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 11197 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* password_algorithm: KEYED MD5  */
#line 580 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 11203 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* password_algorithm: KEYED SHA1  */
#line 581 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 11209 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* password_algorithm: KEYED SHA256  */
#line 582 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 11215 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* password_algorithm: KEYED SHA384  */
#line 583 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 11221 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* password_algorithm: KEYED SHA512  */
#line 584 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 11227 "obj/conf/cf-parse.tab.c"
    break;

  case 1115: /* password_algorithm: HMAC MD5  */
#line 585 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 11233 "obj/conf/cf-parse.tab.c"
    break;

  case 1116: /* password_algorithm: HMAC SHA1  */
#line 586 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 11239 "obj/conf/cf-parse.tab.c"
    break;

  case 1117: /* password_algorithm: HMAC SHA256  */
#line 587 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 11245 "obj/conf/cf-parse.tab.c"
    break;

  case 1118: /* password_algorithm: HMAC SHA384  */
#line 588 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 11251 "obj/conf/cf-parse.tab.c"
    break;

  case 1119: /* password_algorithm: HMAC SHA512  */
#line 589 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 11257 "obj/conf/cf-parse.tab.c"
    break;

  case 1120: /* password_algorithm: BLAKE2S128  */
#line 590 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 11263 "obj/conf/cf-parse.tab.c"
    break;

  case 1121: /* password_algorithm: BLAKE2S256  */
#line 591 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 11269 "obj/conf/cf-parse.tab.c"
    break;

  case 1122: /* password_algorithm: BLAKE2B256  */
#line 592 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 11275 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* password_algorithm: BLAKE2B512  */
#line 593 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 11281 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* password_item_end: %empty  */
#line 597 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 11289 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* bfd_item: INTERVAL expr_us  */
#line 605 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11295 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 606 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 11301 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 607 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11307 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 608 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 11313 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* bfd_item: MULTIPLIER expr  */
#line 609 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 11319 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* bfd_item: PASSIVE bool  */
#line 610 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 11325 "obj/conf/cf-parse.tab.c"
    break;

  case 1131: /* bfd_item: GRACEFUL  */
#line 611 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 11331 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 627 "nest/config.Y"
{ cmd_show_status(); }
#line 11337 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 630 "nest/config.Y"
{ cmd_show_memory(); }
#line 11343 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 633 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11349 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 636 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11355 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* optproto: CF_SYM_KNOWN  */
#line 639 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11361 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* optproto: %empty  */
#line 640 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 11367 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 644 "nest/config.Y"
{ if_show(); }
#line 11373 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 647 "nest/config.Y"
{ if_show_summary(); }
#line 11379 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 651 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 11385 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* r_args: %empty  */
#line 671 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11396 "obj/conf/cf-parse.tab.c"
    break;

  case 1152: /* r_args: r_args net_any  */
#line 677 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11407 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* r_args: r_args FOR r_args_for  */
#line 683 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11418 "obj/conf/cf-parse.tab.c"
    break;

  case 1154: /* r_args: r_args IN net_any  */
#line 689 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11430 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* r_args: r_args TABLE symbol_known  */
#line 696 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11441 "obj/conf/cf-parse.tab.c"
    break;

  case 1156: /* r_args: r_args TABLE ALL  */
#line 702 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11453 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 709 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11463 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 714 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11473 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* r_args: r_args FILTER filter  */
#line 719 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11483 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* r_args: r_args where_filter  */
#line 724 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11493 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* r_args: r_args ALL  */
#line 729 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11502 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* r_args: r_args PRIMARY  */
#line 733 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11511 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* r_args: r_args FILTERED  */
#line 737 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11520 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* r_args: r_args export_mode symbol_known  */
#line 741 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11535 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* r_args: r_args export_mode channel_arg  */
#line 751 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11547 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* r_args: r_args PROTOCOL symbol_known  */
#line 758 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11561 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* r_args: r_args STATS  */
#line 767 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11570 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* r_args: r_args COUNT  */
#line 771 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11579 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* r_args_for: r_args_for_val  */
#line 778 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11588 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* r_args_for: VPN_RD IP4  */
#line 785 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11597 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* r_args_for: VPN_RD IP6  */
#line 789 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11606 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* r_args_for: IP6 FROM IP6  */
#line 793 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11615 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* r_args_for: CF_SYM_KNOWN  */
#line 797 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11631 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* r_args_for_val: IP4  */
#line 813 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11637 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* r_args_for_val: IP6  */
#line 814 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11643 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* export_mode: PREEXPORT  */
#line 817 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 11649 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* export_mode: EXPORT  */
#line 818 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 11655 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* export_mode: NOEXPORT  */
#line 819 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 11661 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* export_mode: EXPORTED  */
#line 820 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 11667 "obj/conf/cf-parse.tab.c"
    break;

  case 1185: /* channel_sym: IPV4  */
#line 825 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 11673 "obj/conf/cf-parse.tab.c"
    break;

  case 1186: /* channel_sym: IPV4_MC  */
#line 826 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 11679 "obj/conf/cf-parse.tab.c"
    break;

  case 1187: /* channel_sym: IPV4_MPLS  */
#line 827 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 11685 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* channel_sym: IPV6  */
#line 828 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 11691 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* channel_sym: IPV6_MC  */
#line 829 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 11697 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* channel_sym: IPV6_MPLS  */
#line 830 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 11703 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* channel_sym: IPV6_SADR  */
#line 831 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 11709 "obj/conf/cf-parse.tab.c"
    break;

  case 1192: /* channel_sym: VPN4  */
#line 832 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 11715 "obj/conf/cf-parse.tab.c"
    break;

  case 1193: /* channel_sym: VPN4_MC  */
#line 833 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 11721 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* channel_sym: VPN4_MPLS  */
#line 834 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 11727 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* channel_sym: VPN6  */
#line 835 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 11733 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* channel_sym: VPN6_MC  */
#line 836 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 11739 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* channel_sym: VPN6_MPLS  */
#line 837 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 11745 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* channel_sym: ROA4  */
#line 838 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 11751 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* channel_sym: ROA6  */
#line 839 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 11757 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* channel_sym: FLOW4  */
#line 840 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 11763 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* channel_sym: FLOW6  */
#line 841 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 11769 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* channel_sym: MPLS  */
#line 842 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 11775 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* channel_sym: PRI  */
#line 843 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 11781 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* channel_sym: SEC  */
#line 844 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 11787 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 848 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11799 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 859 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 11805 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* sym_args: %empty  */
#line 868 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11813 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* sym_args: sym_args TABLE  */
#line 871 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11819 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* sym_args: sym_args FILTER  */
#line 872 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11825 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* sym_args: sym_args FUNCTION  */
#line 873 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11831 "obj/conf/cf-parse.tab.c"
    break;

  case 1212: /* sym_args: sym_args PROTOCOL  */
#line 874 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11837 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* sym_args: sym_args TEMPLATE  */
#line 875 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11843 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* sym_args: sym_args CF_SYM_KNOWN  */
#line 876 "nest/config.Y"
                         { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11849 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 882 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 11855 "obj/conf/cf-parse.tab.c"
    break;

  case 1218: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 884 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 11861 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 886 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 11867 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 888 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 11873 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 890 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 11879 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 892 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 11885 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 894 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 11891 "obj/conf/cf-parse.tab.c"
    break;

  case 1230: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 896 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 11897 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 898 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 11903 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* cmd_EVAL: EVAL term END  */
#line 901 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11909 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 904 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11918 "obj/conf/cf-parse.tab.c"
    break;

  case 1237: /* echo_mask: ALL  */
#line 910 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11924 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* echo_mask: OFF  */
#line 911 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11930 "obj/conf/cf-parse.tab.c"
    break;

  case 1239: /* echo_mask: '{' log_mask_list '}'  */
#line 912 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 11936 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* echo_size: %empty  */
#line 916 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 11942 "obj/conf/cf-parse.tab.c"
    break;

  case 1241: /* echo_size: NUM  */
#line 917 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11951 "obj/conf/cf-parse.tab.c"
    break;

  case 1243: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 924 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11957 "obj/conf/cf-parse.tab.c"
    break;

  case 1245: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 926 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11963 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 928 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11969 "obj/conf/cf-parse.tab.c"
    break;

  case 1249: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 930 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11975 "obj/conf/cf-parse.tab.c"
    break;

  case 1251: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 932 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11981 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 934 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11987 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* cmd_DEBUG: DEBUG debug_args END  */
#line 938 "nest/config.Y"
{ /* Done in debug_args */  }
#line 11993 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* debug_args: proto_patt debug_mask  */
#line 950 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 11999 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* debug_args: channel_arg debug_mask  */
#line 951 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 12005 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 956 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 12011 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* cmd_RESTRICT: RESTRICT END  */
#line 959 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 12017 "obj/conf/cf-parse.tab.c"
    break;

  case 1262: /* proto_patt: CF_SYM_KNOWN  */
#line 962 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12023 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* proto_patt: ALL  */
#line 963 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12029 "obj/conf/cf-parse.tab.c"
    break;

  case 1264: /* proto_patt: TEXT  */
#line 964 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12035 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* proto_patt2: CF_SYM_KNOWN  */
#line 968 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12041 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* proto_patt2: %empty  */
#line 969 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12047 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* proto_patt2: TEXT  */
#line 970 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12053 "obj/conf/cf-parse.tab.c"
    break;

  case 1268: /* dynamic_attr: IGP_METRIC  */
#line 973 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 12059 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* dynamic_attr: MPLS_LABEL  */
#line 975 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 12065 "obj/conf/cf-parse.tab.c"
    break;

  case 1270: /* dynamic_attr: MPLS_POLICY  */
#line 976 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 12071 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* dynamic_attr: MPLS_CLASS  */
#line 977 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 12077 "obj/conf/cf-parse.tab.c"
    break;

  case 1274: /* mpls_domain_start: MPLS DOMAIN symbol  */
#line 35 "nest/mpls.Y"
                                      { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 12083 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* mpls_domain_end: %empty  */
#line 51 "nest/mpls.Y"
                 { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 12089 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* mpls_range_start: LABEL RANGE symbol  */
#line 57 "nest/mpls.Y"
{
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 12102 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* mpls_range_opt: START expr  */
#line 67 "nest/mpls.Y"
              { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 12108 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* mpls_range_opt: LENGTH expr  */
#line 68 "nest/mpls.Y"
               { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 12114 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* mpls_range_end: %empty  */
#line 82 "nest/mpls.Y"
{
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 12130 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* mpls_channel_start: MPLS  */
#line 98 "nest/mpls.Y"
{
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 12152 "obj/conf/cf-parse.tab.c"
    break;

  case 1292: /* mpls_label_policy: STATIC  */
#line 117 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_STATIC; }
#line 12158 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* mpls_label_policy: PREFIX  */
#line 118 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 12164 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* mpls_label_policy: AGGREGATE  */
#line 119 "nest/mpls.Y"
             { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 12170 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* mpls_label_policy: VRF  */
#line 120 "nest/mpls.Y"
       { (yyval.i) = MPLS_POLICY_VRF; }
#line 12176 "obj/conf/cf-parse.tab.c"
    break;

  case 1297: /* mpls_channel_opt: DOMAIN symbol_known  */
#line 125 "nest/mpls.Y"
                       { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 12182 "obj/conf/cf-parse.tab.c"
    break;

  case 1298: /* mpls_channel_opt: LABEL RANGE symbol_known  */
#line 126 "nest/mpls.Y"
                            { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 12188 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* mpls_channel_opt: LABEL RANGE STATIC  */
#line 127 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 12194 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* mpls_channel_opt: LABEL RANGE DYNAMIC  */
#line 128 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 12200 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* mpls_channel_opt: LABEL POLICY mpls_label_policy  */
#line 129 "nest/mpls.Y"
                                  { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 12206 "obj/conf/cf-parse.tab.c"
    break;

  case 1306: /* $@12: %empty  */
#line 142 "nest/mpls.Y"
                  { mpls_channel_postconfig(this_channel); }
#line 12212 "obj/conf/cf-parse.tab.c"
    break;

  case 1308: /* show_mpls_ranges_args: %empty  */
#line 147 "nest/mpls.Y"
   {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 12223 "obj/conf/cf-parse.tab.c"
    break;

  case 1309: /* show_mpls_ranges_args: show_mpls_ranges_args symbol_known  */
#line 154 "nest/mpls.Y"
   {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12250 "obj/conf/cf-parse.tab.c"
    break;

  case 1310: /* show_mpls_ranges_args: show_mpls_ranges_args STATIC  */
#line 177 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12262 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* show_mpls_ranges_args: show_mpls_ranges_args DYNAMIC  */
#line 185 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12274 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* cmd_SHOW_MPLS_RANGES: SHOW MPLS RANGES show_mpls_ranges_args END  */
#line 195 "nest/mpls.Y"
{ mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12280 "obj/conf/cf-parse.tab.c"
    break;

  case 1315: /* aggregator_proto_start: proto_start AGGREGATOR  */
#line 32 "proto/aggregator/config.Y"
{
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12292 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* aggregator_proto_item: PEER TABLE rtable  */
#line 43 "proto/aggregator/config.Y"
                     { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12298 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* aggregator_proto_item: AGGREGATE ON aggr_list  */
#line 44 "proto/aggregator/config.Y"
                          {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    _Bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12333 "obj/conf/cf-parse.tab.c"
    break;

  case 1320: /* $@13: %empty  */
#line 74 "proto/aggregator/config.Y"
            {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12342 "obj/conf/cf-parse.tab.c"
    break;

  case 1321: /* aggregator_proto_item: MERGE BY $@13 function_body  */
#line 77 "proto/aggregator/config.Y"
                 {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12352 "obj/conf/cf-parse.tab.c"
    break;

  case 1326: /* aggr_list: aggr_list ',' aggr_item  */
#line 90 "proto/aggregator/config.Y"
                           {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12365 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* aggr_item: '(' term ')'  */
#line 101 "proto/aggregator/config.Y"
                {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12375 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* aggr_item: CF_SYM_KNOWN  */
#line 106 "proto/aggregator/config.Y"
                 {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12394 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* aggr_item: dynamic_attr  */
#line 120 "proto/aggregator/config.Y"
                 {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12404 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* aggr_item: static_attr  */
#line 125 "proto/aggregator/config.Y"
                {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12414 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* bfd_proto_start: proto_start BFD  */
#line 39 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12426 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* bfd_proto_item: STRICT BIND bool  */
#line 53 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12432 "obj/conf/cf-parse.tab.c"
    break;

  case 1342: /* bfd_accept_item: IPV4  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12438 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* bfd_accept_item: IPV6  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12444 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* bfd_accept_item: DIRECT  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12450 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* bfd_accept_item: MULTIHOP  */
#line 69 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12456 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* bfd_accept: %empty  */
#line 73 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12465 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* bfd_iface_start: %empty  */
#line 81 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12482 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* bfd_iface_finish: %empty  */
#line 95 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12505 "obj/conf/cf-parse.tab.c"
    break;

  case 1350: /* bfd_iface_item: INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12511 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12517 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12523 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 118 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12529 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* bfd_iface_item: MULTIPLIER expr  */
#line 119 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12535 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* bfd_iface_item: PASSIVE bool  */
#line 120 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12541 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 121 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12547 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* bfd_iface_item: password_list  */
#line 122 "proto/bfd/config.Y"
                 {}
#line 12553 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* bfd_auth_type: NONE  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 12559 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* bfd_auth_type: SIMPLE  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12565 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* bfd_auth_type: KEYED MD5  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12571 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* bfd_auth_type: KEYED SHA1  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12577 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12583 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 131 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12589 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 149 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 12595 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* bfd_neigh_iface: %empty  */
#line 153 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 12601 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* bfd_neigh_iface: '%' symbol  */
#line 154 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12607 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* bfd_neigh_iface: DEV text  */
#line 155 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12613 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* bfd_neigh_local: %empty  */
#line 159 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 12619 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* bfd_neigh_local: LOCAL ipa  */
#line 160 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 12625 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* bfd_neigh_multihop: %empty  */
#line 164 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 12631 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 165 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 12637 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 169 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12657 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS bfd_show_sessions_args END  */
#line 190 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 12663 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* bfd_show_sessions_args: %empty  */
#line 202 "proto/bfd/config.Y"
               { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 12669 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* bfd_show_sessions_args: bfd_show_sessions_args CF_SYM_KNOWN  */
#line 203 "proto/bfd/config.Y"
                                       { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 12675 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* bfd_show_sessions_args: bfd_show_sessions_args ADDRESS net_or_ipa  */
#line 204 "proto/bfd/config.Y"
                                             { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 12681 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* bfd_show_sessions_args: bfd_show_sessions_args INTERFACE text  */
#line 205 "proto/bfd/config.Y"
                                         { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12687 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* bfd_show_sessions_args: bfd_show_sessions_args DEV text  */
#line 206 "proto/bfd/config.Y"
                                   { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12693 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* bfd_show_sessions_args: bfd_show_sessions_args ALL  */
#line 207 "proto/bfd/config.Y"
                              { (yyval.bssc)->verbose = 1; }
#line 12699 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* bfd_show_sessions_args: bfd_show_sessions_args IPV4  */
#line 208 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12705 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* bfd_show_sessions_args: bfd_show_sessions_args IPV6  */
#line 209 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12711 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* bfd_show_sessions_args: bfd_show_sessions_args DIRECT  */
#line 210 "proto/bfd/config.Y"
                                 { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12717 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* bfd_show_sessions_args: bfd_show_sessions_args MULTIHOP  */
#line 211 "proto/bfd/config.Y"
                                   { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12723 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 12733 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 12739 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12762 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* babel_iface_finish: %empty  */
#line 80 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12830 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* babel_iface_item: PORT expr  */
#line 146 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12836 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* babel_iface_item: RXCOST expr  */
#line 147 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12842 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* babel_iface_item: LIMIT expr  */
#line 148 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12848 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* babel_iface_item: TYPE WIRED  */
#line 149 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12854 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* babel_iface_item: TYPE WIRELESS  */
#line 150 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12860 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* babel_iface_item: TYPE TUNNEL  */
#line 151 "proto/babel/config.Y"
               { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12866 "obj/conf/cf-parse.tab.c"
    break;

  case 1408: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 152 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12872 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 153 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12878 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* babel_iface_item: RX BUFFER expr  */
#line 154 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12884 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* babel_iface_item: TX LENGTH expr  */
#line 155 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12890 "obj/conf/cf-parse.tab.c"
    break;

  case 1412: /* babel_iface_item: TX tos  */
#line 156 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12896 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* babel_iface_item: TX PRIORITY expr  */
#line 157 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12902 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* babel_iface_item: CHECK LINK bool  */
#line 158 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12908 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 159 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12914 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 160 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12920 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 161 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12926 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* babel_iface_item: AUTHENTICATION NONE  */
#line 162 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12932 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* babel_iface_item: AUTHENTICATION MAC  */
#line 163 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12938 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 164 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12944 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* babel_iface_item: RTT MIN expr_us  */
#line 165 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12950 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* babel_iface_item: RTT MAX expr_us  */
#line 166 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12956 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* babel_iface_item: RTT COST expr  */
#line 167 "proto/babel/config.Y"
                 { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12962 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* babel_iface_item: RTT DECAY expr  */
#line 168 "proto/babel/config.Y"
                  { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12968 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* babel_iface_item: SEND TIMESTAMPS bool  */
#line 169 "proto/babel/config.Y"
                        { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12974 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* dynamic_attr: BABEL_METRIC  */
#line 187 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12980 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 192 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12986 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 195 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12992 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 198 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 12998 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 201 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 13004 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* bgp_proto_start: proto_start BGP  */
#line 50 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 13041 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 86 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13047 "obj/conf/cf-parse.tab.c"
    break;

  case 1445: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 87 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 13053 "obj/conf/cf-parse.tab.c"
    break;

  case 1447: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 92 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13059 "obj/conf/cf-parse.tab.c"
    break;

  case 1448: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 93 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 13065 "obj/conf/cf-parse.tab.c"
    break;

  case 1449: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 94 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 13071 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 95 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 13077 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* bgp_cease_mask: bool  */
#line 100 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 13083 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 101 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 13089 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 106 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 13095 "obj/conf/cf-parse.tab.c"
    break;

  case 1455: /* bgp_cease_flag: CEASE  */
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 13101 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 13107 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 13113 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 13119 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 13125 "obj/conf/cf-parse.tab.c"
    break;

  case 1460: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 13131 "obj/conf/cf-parse.tab.c"
    break;

  case 1461: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 13137 "obj/conf/cf-parse.tab.c"
    break;

  case 1462: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 13143 "obj/conf/cf-parse.tab.c"
    break;

  case 1463: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 13149 "obj/conf/cf-parse.tab.c"
    break;

  case 1464: /* bgp_role_name: PEER  */
#line 122 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 13155 "obj/conf/cf-parse.tab.c"
    break;

  case 1465: /* bgp_role_name: PROVIDER  */
#line 123 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 13161 "obj/conf/cf-parse.tab.c"
    break;

  case 1466: /* bgp_role_name: CUSTOMER  */
#line 124 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 13167 "obj/conf/cf-parse.tab.c"
    break;

  case 1467: /* bgp_role_name: RS_SERVER  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 13173 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* bgp_role_name: RS_CLIENT  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 13179 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 135 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13188 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 140 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13199 "obj/conf/cf-parse.tab.c"
    break;

  case 1477: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 146 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 13211 "obj/conf/cf-parse.tab.c"
    break;

  case 1478: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 153 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 13217 "obj/conf/cf-parse.tab.c"
    break;

  case 1479: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 154 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 13223 "obj/conf/cf-parse.tab.c"
    break;

  case 1480: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 155 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 13229 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 156 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 13235 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 157 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 13241 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 158 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 13247 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 13253 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 160 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 13259 "obj/conf/cf-parse.tab.c"
    break;

  case 1486: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 161 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 13265 "obj/conf/cf-parse.tab.c"
    break;

  case 1487: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 162 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 13271 "obj/conf/cf-parse.tab.c"
    break;

  case 1488: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 163 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 13277 "obj/conf/cf-parse.tab.c"
    break;

  case 1489: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 164 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 13283 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 165 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 13293 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 170 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 13299 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 171 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 13305 "obj/conf/cf-parse.tab.c"
    break;

  case 1493: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 172 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13311 "obj/conf/cf-parse.tab.c"
    break;

  case 1494: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 173 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13317 "obj/conf/cf-parse.tab.c"
    break;

  case 1495: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 174 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13323 "obj/conf/cf-parse.tab.c"
    break;

  case 1496: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 175 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13329 "obj/conf/cf-parse.tab.c"
    break;

  case 1497: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 176 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13335 "obj/conf/cf-parse.tab.c"
    break;

  case 1498: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 177 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13341 "obj/conf/cf-parse.tab.c"
    break;

  case 1499: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 178 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13347 "obj/conf/cf-parse.tab.c"
    break;

  case 1500: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 179 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13353 "obj/conf/cf-parse.tab.c"
    break;

  case 1501: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 180 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13359 "obj/conf/cf-parse.tab.c"
    break;

  case 1502: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 181 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13365 "obj/conf/cf-parse.tab.c"
    break;

  case 1503: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 182 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13371 "obj/conf/cf-parse.tab.c"
    break;

  case 1504: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 183 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13377 "obj/conf/cf-parse.tab.c"
    break;

  case 1505: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13383 "obj/conf/cf-parse.tab.c"
    break;

  case 1506: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13389 "obj/conf/cf-parse.tab.c"
    break;

  case 1507: /* bgp_proto: bgp_proto SEND HOLD TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 13395 "obj/conf/cf-parse.tab.c"
    break;

  case 1508: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 187 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13401 "obj/conf/cf-parse.tab.c"
    break;

  case 1509: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 188 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13407 "obj/conf/cf-parse.tab.c"
    break;

  case 1510: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 189 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13413 "obj/conf/cf-parse.tab.c"
    break;

  case 1511: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 190 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13419 "obj/conf/cf-parse.tab.c"
    break;

  case 1512: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 191 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13425 "obj/conf/cf-parse.tab.c"
    break;

  case 1513: /* bgp_proto: bgp_proto ENABLE ENHANCED ROUTE REFRESH bool ';'  */
#line 192 "proto/bgp/config.Y"
                                                    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13431 "obj/conf/cf-parse.tab.c"
    break;

  case 1514: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 193 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13437 "obj/conf/cf-parse.tab.c"
    break;

  case 1515: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 194 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13443 "obj/conf/cf-parse.tab.c"
    break;

  case 1516: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 195 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13449 "obj/conf/cf-parse.tab.c"
    break;

  case 1517: /* bgp_proto: bgp_proto REQUIRE ROUTE REFRESH bool ';'  */
#line 196 "proto/bgp/config.Y"
                                            { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 13455 "obj/conf/cf-parse.tab.c"
    break;

  case 1518: /* bgp_proto: bgp_proto REQUIRE ENHANCED ROUTE REFRESH bool ';'  */
#line 197 "proto/bgp/config.Y"
                                                     { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 13461 "obj/conf/cf-parse.tab.c"
    break;

  case 1519: /* bgp_proto: bgp_proto REQUIRE AS4 bool ';'  */
#line 198 "proto/bgp/config.Y"
                                  { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 13467 "obj/conf/cf-parse.tab.c"
    break;

  case 1520: /* bgp_proto: bgp_proto REQUIRE EXTENDED MESSAGES bool ';'  */
#line 199 "proto/bgp/config.Y"
                                                { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 13473 "obj/conf/cf-parse.tab.c"
    break;

  case 1521: /* bgp_proto: bgp_proto REQUIRE HOSTNAME bool ';'  */
#line 200 "proto/bgp/config.Y"
                                       { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 13479 "obj/conf/cf-parse.tab.c"
    break;

  case 1522: /* bgp_proto: bgp_proto REQUIRE GRACEFUL RESTART bool ';'  */
#line 201 "proto/bgp/config.Y"
                                               { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 13485 "obj/conf/cf-parse.tab.c"
    break;

  case 1523: /* bgp_proto: bgp_proto REQUIRE LONG LIVED GRACEFUL RESTART bool ';'  */
#line 202 "proto/bgp/config.Y"
                                                          { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 13491 "obj/conf/cf-parse.tab.c"
    break;

  case 1524: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 203 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13497 "obj/conf/cf-parse.tab.c"
    break;

  case 1525: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 204 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 13503 "obj/conf/cf-parse.tab.c"
    break;

  case 1526: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 205 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13509 "obj/conf/cf-parse.tab.c"
    break;

  case 1527: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 206 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13515 "obj/conf/cf-parse.tab.c"
    break;

  case 1528: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 207 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13521 "obj/conf/cf-parse.tab.c"
    break;

  case 1529: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 208 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 13527 "obj/conf/cf-parse.tab.c"
    break;

  case 1530: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 209 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13533 "obj/conf/cf-parse.tab.c"
    break;

  case 1531: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 210 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13539 "obj/conf/cf-parse.tab.c"
    break;

  case 1532: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 211 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13545 "obj/conf/cf-parse.tab.c"
    break;

  case 1533: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 212 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13551 "obj/conf/cf-parse.tab.c"
    break;

  case 1534: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 213 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13557 "obj/conf/cf-parse.tab.c"
    break;

  case 1535: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 214 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13563 "obj/conf/cf-parse.tab.c"
    break;

  case 1536: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 215 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 13569 "obj/conf/cf-parse.tab.c"
    break;

  case 1537: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 216 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13575 "obj/conf/cf-parse.tab.c"
    break;

  case 1538: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 217 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13581 "obj/conf/cf-parse.tab.c"
    break;

  case 1539: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 218 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 13587 "obj/conf/cf-parse.tab.c"
    break;

  case 1540: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 219 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13593 "obj/conf/cf-parse.tab.c"
    break;

  case 1541: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 220 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13599 "obj/conf/cf-parse.tab.c"
    break;

  case 1542: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 221 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13605 "obj/conf/cf-parse.tab.c"
    break;

  case 1543: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 222 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13611 "obj/conf/cf-parse.tab.c"
    break;

  case 1544: /* $@14: %empty  */
#line 223 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 13617 "obj/conf/cf-parse.tab.c"
    break;

  case 1545: /* $@15: %empty  */
#line 223 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 13623 "obj/conf/cf-parse.tab.c"
    break;

  case 1547: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 224 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13629 "obj/conf/cf-parse.tab.c"
    break;

  case 1548: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 225 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13635 "obj/conf/cf-parse.tab.c"
    break;

  case 1549: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 226 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13641 "obj/conf/cf-parse.tab.c"
    break;

  case 1550: /* bgp_proto: bgp_proto DISABLE RX bool ';'  */
#line 227 "proto/bgp/config.Y"
                                 { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 13647 "obj/conf/cf-parse.tab.c"
    break;

  case 1551: /* bgp_afi: IPV4  */
#line 231 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 13653 "obj/conf/cf-parse.tab.c"
    break;

  case 1552: /* bgp_afi: IPV6  */
#line 232 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 13659 "obj/conf/cf-parse.tab.c"
    break;

  case 1553: /* bgp_afi: IPV4 MULTICAST  */
#line 233 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 13665 "obj/conf/cf-parse.tab.c"
    break;

  case 1554: /* bgp_afi: IPV6 MULTICAST  */
#line 234 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 13671 "obj/conf/cf-parse.tab.c"
    break;

  case 1555: /* bgp_afi: IPV4 MPLS  */
#line 235 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 13677 "obj/conf/cf-parse.tab.c"
    break;

  case 1556: /* bgp_afi: IPV6 MPLS  */
#line 236 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 13683 "obj/conf/cf-parse.tab.c"
    break;

  case 1557: /* bgp_afi: VPN4 MPLS  */
#line 237 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 13689 "obj/conf/cf-parse.tab.c"
    break;

  case 1558: /* bgp_afi: VPN6 MPLS  */
#line 238 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 13695 "obj/conf/cf-parse.tab.c"
    break;

  case 1559: /* bgp_afi: VPN4 MULTICAST  */
#line 239 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 13701 "obj/conf/cf-parse.tab.c"
    break;

  case 1560: /* bgp_afi: VPN6 MULTICAST  */
#line 240 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 13707 "obj/conf/cf-parse.tab.c"
    break;

  case 1561: /* bgp_afi: FLOW4  */
#line 241 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 13713 "obj/conf/cf-parse.tab.c"
    break;

  case 1562: /* bgp_afi: FLOW6  */
#line 242 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 13719 "obj/conf/cf-parse.tab.c"
    break;

  case 1563: /* bgp_channel_start: bgp_afi  */
#line 246 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 13747 "obj/conf/cf-parse.tab.c"
    break;

  case 1564: /* bgp_nh: bool  */
#line 271 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 13753 "obj/conf/cf-parse.tab.c"
    break;

  case 1565: /* bgp_nh: IBGP  */
#line 272 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 13759 "obj/conf/cf-parse.tab.c"
    break;

  case 1566: /* bgp_nh: EBGP  */
#line 273 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 13765 "obj/conf/cf-parse.tab.c"
    break;

  case 1571: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 279 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 13771 "obj/conf/cf-parse.tab.c"
    break;

  case 1572: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 280 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 13777 "obj/conf/cf-parse.tab.c"
    break;

  case 1573: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 281 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 13783 "obj/conf/cf-parse.tab.c"
    break;

  case 1574: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 282 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 13789 "obj/conf/cf-parse.tab.c"
    break;

  case 1575: /* bgp_channel_item: MANDATORY bool  */
#line 283 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 13795 "obj/conf/cf-parse.tab.c"
    break;

  case 1576: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 284 "proto/bgp/config.Y"
                             { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 13801 "obj/conf/cf-parse.tab.c"
    break;

  case 1577: /* bgp_channel_item: GATEWAY DIRECT  */
#line 285 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 13807 "obj/conf/cf-parse.tab.c"
    break;

  case 1578: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 286 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13813 "obj/conf/cf-parse.tab.c"
    break;

  case 1579: /* bgp_channel_item: SECONDARY bool  */
#line 287 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 13819 "obj/conf/cf-parse.tab.c"
    break;

  case 1580: /* bgp_channel_item: VALIDATE bool  */
#line 288 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13829 "obj/conf/cf-parse.tab.c"
    break;

  case 1581: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 293 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13835 "obj/conf/cf-parse.tab.c"
    break;

  case 1582: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 294 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13841 "obj/conf/cf-parse.tab.c"
    break;

  case 1583: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 295 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 13847 "obj/conf/cf-parse.tab.c"
    break;

  case 1584: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 296 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13853 "obj/conf/cf-parse.tab.c"
    break;

  case 1585: /* bgp_channel_item: REQUIRE EXTENDED NEXT HOP bool  */
#line 297 "proto/bgp/config.Y"
                                  { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 13859 "obj/conf/cf-parse.tab.c"
    break;

  case 1586: /* bgp_channel_item: ADD PATHS RX  */
#line 298 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13865 "obj/conf/cf-parse.tab.c"
    break;

  case 1587: /* bgp_channel_item: ADD PATHS TX  */
#line 299 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13871 "obj/conf/cf-parse.tab.c"
    break;

  case 1588: /* bgp_channel_item: ADD PATHS bool  */
#line 300 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13877 "obj/conf/cf-parse.tab.c"
    break;

  case 1589: /* bgp_channel_item: REQUIRE ADD PATHS bool  */
#line 301 "proto/bgp/config.Y"
                          { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 13883 "obj/conf/cf-parse.tab.c"
    break;

  case 1590: /* bgp_channel_item: IMPORT TABLE bool  */
#line 302 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 13889 "obj/conf/cf-parse.tab.c"
    break;

  case 1591: /* bgp_channel_item: EXPORT TABLE bool  */
#line 303 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 13895 "obj/conf/cf-parse.tab.c"
    break;

  case 1592: /* bgp_channel_item: AIGP bool  */
#line 304 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13901 "obj/conf/cf-parse.tab.c"
    break;

  case 1593: /* bgp_channel_item: AIGP ORIGINATE  */
#line 305 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13907 "obj/conf/cf-parse.tab.c"
    break;

  case 1594: /* bgp_channel_item: COST expr  */
#line 306 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13913 "obj/conf/cf-parse.tab.c"
    break;

  case 1595: /* bgp_channel_item: IGP TABLE rtable  */
#line 307 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13929 "obj/conf/cf-parse.tab.c"
    break;

  case 1596: /* bgp_channel_item: BASE TABLE rtable  */
#line 318 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13944 "obj/conf/cf-parse.tab.c"
    break;

  case 1601: /* bgp_channel_end: %empty  */
#line 341 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13955 "obj/conf/cf-parse.tab.c"
    break;

  case 1603: /* dynamic_attr: BGP_ORIGIN  */
#line 352 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13961 "obj/conf/cf-parse.tab.c"
    break;

  case 1604: /* dynamic_attr: BGP_PATH  */
#line 354 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13967 "obj/conf/cf-parse.tab.c"
    break;

  case 1605: /* dynamic_attr: BGP_NEXT_HOP  */
#line 356 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13973 "obj/conf/cf-parse.tab.c"
    break;

  case 1606: /* dynamic_attr: BGP_MED  */
#line 358 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13979 "obj/conf/cf-parse.tab.c"
    break;

  case 1607: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 360 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13985 "obj/conf/cf-parse.tab.c"
    break;

  case 1608: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 362 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 13991 "obj/conf/cf-parse.tab.c"
    break;

  case 1609: /* dynamic_attr: BGP_AGGREGATOR  */
#line 364 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13997 "obj/conf/cf-parse.tab.c"
    break;

  case 1610: /* dynamic_attr: BGP_COMMUNITY  */
#line 366 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14003 "obj/conf/cf-parse.tab.c"
    break;

  case 1611: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 368 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14009 "obj/conf/cf-parse.tab.c"
    break;

  case 1612: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 370 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14015 "obj/conf/cf-parse.tab.c"
    break;

  case 1613: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 372 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14021 "obj/conf/cf-parse.tab.c"
    break;

  case 1614: /* dynamic_attr: BGP_AIGP  */
#line 374 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14027 "obj/conf/cf-parse.tab.c"
    break;

  case 1615: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 376 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14033 "obj/conf/cf-parse.tab.c"
    break;

  case 1616: /* dynamic_attr: BGP_OTC  */
#line 378 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14039 "obj/conf/cf-parse.tab.c"
    break;

  case 1617: /* custom_attr: ATTRIBUTE BGP expr type symbol ';'  */
#line 380 "proto/bgp/config.Y"
                                                {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 14057 "obj/conf/cf-parse.tab.c"
    break;

  case 1619: /* l3vpn_channel_start: net_type_base  */
#line 53 "proto/l3vpn/config.Y"
{
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 14073 "obj/conf/cf-parse.tab.c"
    break;

  case 1621: /* l3vpn_proto_start: proto_start L3VPN  */
#line 68 "proto/l3vpn/config.Y"
{
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 14081 "obj/conf/cf-parse.tab.c"
    break;

  case 1625: /* l3vpn_proto_item: RD VPN_RD  */
#line 77 "proto/l3vpn/config.Y"
             { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14087 "obj/conf/cf-parse.tab.c"
    break;

  case 1626: /* l3vpn_proto_item: ROUTE DISTINGUISHER VPN_RD  */
#line 78 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14093 "obj/conf/cf-parse.tab.c"
    break;

  case 1627: /* l3vpn_proto_item: IMPORT TARGET l3vpn_targets  */
#line 79 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 14099 "obj/conf/cf-parse.tab.c"
    break;

  case 1628: /* l3vpn_proto_item: EXPORT TARGET l3vpn_targets  */
#line 80 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14105 "obj/conf/cf-parse.tab.c"
    break;

  case 1629: /* l3vpn_proto_item: ROUTE TARGET l3vpn_targets  */
#line 81 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14111 "obj/conf/cf-parse.tab.c"
    break;

  case 1633: /* l3vpn_targets: ec_item  */
#line 94 "proto/l3vpn/config.Y"
           { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 14117 "obj/conf/cf-parse.tab.c"
    break;

  case 1634: /* l3vpn_targets: '[' ec_items ']'  */
#line 95 "proto/l3vpn/config.Y"
                    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 14123 "obj/conf/cf-parse.tab.c"
    break;

  case 1636: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 14131 "obj/conf/cf-parse.tab.c"
    break;

  case 1638: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14137 "obj/conf/cf-parse.tab.c"
    break;

  case 1639: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14143 "obj/conf/cf-parse.tab.c"
    break;

  case 1640: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14149 "obj/conf/cf-parse.tab.c"
    break;

  case 1641: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14155 "obj/conf/cf-parse.tab.c"
    break;

  case 1642: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 14161 "obj/conf/cf-parse.tab.c"
    break;

  case 1643: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 14167 "obj/conf/cf-parse.tab.c"
    break;

  case 1644: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14173 "obj/conf/cf-parse.tab.c"
    break;

  case 1647: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 14179 "obj/conf/cf-parse.tab.c"
    break;

  case 1649: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 14185 "obj/conf/cf-parse.tab.c"
    break;

  case 1650: /* mrt_dump_args: %empty  */
#line 62 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14191 "obj/conf/cf-parse.tab.c"
    break;

  case 1651: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 63 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14197 "obj/conf/cf-parse.tab.c"
    break;

  case 1652: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 64 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14203 "obj/conf/cf-parse.tab.c"
    break;

  case 1653: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 65 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14209 "obj/conf/cf-parse.tab.c"
    break;

  case 1654: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 66 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14215 "obj/conf/cf-parse.tab.c"
    break;

  case 1655: /* mrt_dump_args: mrt_dump_args TO text  */
#line 67 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14221 "obj/conf/cf-parse.tab.c"
    break;

  case 1656: /* proto: ospf_proto '}'  */
#line 212 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 14227 "obj/conf/cf-parse.tab.c"
    break;

  case 1657: /* ospf_variant: OSPF  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14233 "obj/conf/cf-parse.tab.c"
    break;

  case 1658: /* ospf_variant: OSPF V2  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14239 "obj/conf/cf-parse.tab.c"
    break;

  case 1659: /* ospf_variant: OSPF V3  */
#line 217 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 14245 "obj/conf/cf-parse.tab.c"
    break;

  case 1660: /* ospf_proto_start: proto_start ospf_variant  */
#line 221 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 14263 "obj/conf/cf-parse.tab.c"
    break;

  case 1663: /* ospf_af_mc: %empty  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14269 "obj/conf/cf-parse.tab.c"
    break;

  case 1664: /* ospf_af_mc: MULTICAST  */
#line 242 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 14275 "obj/conf/cf-parse.tab.c"
    break;

  case 1665: /* ospf_channel_start: net_type ospf_af_mc  */
#line 247 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 14287 "obj/conf/cf-parse.tab.c"
    break;

  case 1668: /* ospf_proto_item: ospf_channel  */
#line 259 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14293 "obj/conf/cf-parse.tab.c"
    break;

  case 1669: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 260 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 14299 "obj/conf/cf-parse.tab.c"
    break;

  case 1670: /* ospf_proto_item: RFC5838 bool  */
#line 261 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 14305 "obj/conf/cf-parse.tab.c"
    break;

  case 1671: /* ospf_proto_item: VPN PE bool  */
#line 262 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 14311 "obj/conf/cf-parse.tab.c"
    break;

  case 1672: /* ospf_proto_item: STUB ROUTER bool  */
#line 263 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 14317 "obj/conf/cf-parse.tab.c"
    break;

  case 1673: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 264 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 14323 "obj/conf/cf-parse.tab.c"
    break;

  case 1674: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 265 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 14329 "obj/conf/cf-parse.tab.c"
    break;

  case 1675: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 266 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 14335 "obj/conf/cf-parse.tab.c"
    break;

  case 1676: /* ospf_proto_item: ECMP bool  */
#line 267 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 14341 "obj/conf/cf-parse.tab.c"
    break;

  case 1677: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 268 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14347 "obj/conf/cf-parse.tab.c"
    break;

  case 1678: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 269 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 14353 "obj/conf/cf-parse.tab.c"
    break;

  case 1679: /* ospf_proto_item: TICK expr  */
#line 270 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 14359 "obj/conf/cf-parse.tab.c"
    break;

  case 1680: /* ospf_proto_item: INSTANCE ID expr  */
#line 271 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14365 "obj/conf/cf-parse.tab.c"
    break;

  case 1682: /* ospf_area_start: AREA idval  */
#line 275 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14383 "obj/conf/cf-parse.tab.c"
    break;

  case 1683: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 290 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 14389 "obj/conf/cf-parse.tab.c"
    break;

  case 1686: /* ospf_area_item: STUB bool  */
#line 299 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14395 "obj/conf/cf-parse.tab.c"
    break;

  case 1687: /* ospf_area_item: NSSA  */
#line 300 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 14401 "obj/conf/cf-parse.tab.c"
    break;

  case 1688: /* ospf_area_item: SUMMARY bool  */
#line 301 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 14407 "obj/conf/cf-parse.tab.c"
    break;

  case 1689: /* ospf_area_item: DEFAULT NSSA bool  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 14413 "obj/conf/cf-parse.tab.c"
    break;

  case 1690: /* ospf_area_item: DEFAULT COST expr  */
#line 303 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14419 "obj/conf/cf-parse.tab.c"
    break;

  case 1691: /* ospf_area_item: DEFAULT COST2 expr  */
#line 304 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14425 "obj/conf/cf-parse.tab.c"
    break;

  case 1692: /* ospf_area_item: STUB COST expr  */
#line 305 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14431 "obj/conf/cf-parse.tab.c"
    break;

  case 1693: /* ospf_area_item: TRANSLATOR bool  */
#line 306 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 14437 "obj/conf/cf-parse.tab.c"
    break;

  case 1694: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 307 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 14443 "obj/conf/cf-parse.tab.c"
    break;

  case 1695: /* $@16: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 14449 "obj/conf/cf-parse.tab.c"
    break;

  case 1697: /* $@17: %empty  */
#line 309 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 14455 "obj/conf/cf-parse.tab.c"
    break;

  case 1704: /* ospf_stubnet_start: net_ip  */
#line 321 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14466 "obj/conf/cf-parse.tab.c"
    break;

  case 1707: /* ospf_stubnet_item: HIDDEN bool  */
#line 335 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 14472 "obj/conf/cf-parse.tab.c"
    break;

  case 1708: /* ospf_stubnet_item: SUMMARY bool  */
#line 336 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 14478 "obj/conf/cf-parse.tab.c"
    break;

  case 1709: /* ospf_stubnet_item: COST expr  */
#line 337 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 14484 "obj/conf/cf-parse.tab.c"
    break;

  case 1710: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 341 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 14490 "obj/conf/cf-parse.tab.c"
    break;

  case 1711: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 342 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 14496 "obj/conf/cf-parse.tab.c"
    break;

  case 1715: /* ospf_vlink_item: HELLO expr  */
#line 351 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14502 "obj/conf/cf-parse.tab.c"
    break;

  case 1716: /* ospf_vlink_item: RETRANSMIT expr  */
#line 352 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14508 "obj/conf/cf-parse.tab.c"
    break;

  case 1717: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 353 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14514 "obj/conf/cf-parse.tab.c"
    break;

  case 1718: /* ospf_vlink_item: WAIT expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14520 "obj/conf/cf-parse.tab.c"
    break;

  case 1719: /* ospf_vlink_item: DEAD expr  */
#line 355 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14526 "obj/conf/cf-parse.tab.c"
    break;

  case 1720: /* ospf_vlink_item: DEAD COUNT expr  */
#line 356 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14532 "obj/conf/cf-parse.tab.c"
    break;

  case 1721: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 357 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14538 "obj/conf/cf-parse.tab.c"
    break;

  case 1722: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 358 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14544 "obj/conf/cf-parse.tab.c"
    break;

  case 1723: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 359 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14550 "obj/conf/cf-parse.tab.c"
    break;

  case 1725: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 364 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14570 "obj/conf/cf-parse.tab.c"
    break;

  case 1726: /* ospf_iface_item: COST expr  */
#line 382 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14576 "obj/conf/cf-parse.tab.c"
    break;

  case 1727: /* ospf_iface_item: HELLO expr  */
#line 383 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14582 "obj/conf/cf-parse.tab.c"
    break;

  case 1728: /* ospf_iface_item: POLL expr  */
#line 384 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14588 "obj/conf/cf-parse.tab.c"
    break;

  case 1729: /* ospf_iface_item: RETRANSMIT expr  */
#line 385 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14594 "obj/conf/cf-parse.tab.c"
    break;

  case 1730: /* ospf_iface_item: WAIT expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14600 "obj/conf/cf-parse.tab.c"
    break;

  case 1731: /* ospf_iface_item: DEAD expr  */
#line 387 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14606 "obj/conf/cf-parse.tab.c"
    break;

  case 1732: /* ospf_iface_item: DEAD COUNT expr  */
#line 388 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14612 "obj/conf/cf-parse.tab.c"
    break;

  case 1733: /* ospf_iface_item: TYPE BROADCAST  */
#line 389 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14618 "obj/conf/cf-parse.tab.c"
    break;

  case 1734: /* ospf_iface_item: TYPE BCAST  */
#line 390 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14624 "obj/conf/cf-parse.tab.c"
    break;

  case 1735: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 391 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14630 "obj/conf/cf-parse.tab.c"
    break;

  case 1736: /* ospf_iface_item: TYPE NBMA  */
#line 392 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14636 "obj/conf/cf-parse.tab.c"
    break;

  case 1737: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 393 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14642 "obj/conf/cf-parse.tab.c"
    break;

  case 1738: /* ospf_iface_item: TYPE PTP  */
#line 394 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14648 "obj/conf/cf-parse.tab.c"
    break;

  case 1739: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 395 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14654 "obj/conf/cf-parse.tab.c"
    break;

  case 1740: /* ospf_iface_item: TYPE PTMP  */
#line 396 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14660 "obj/conf/cf-parse.tab.c"
    break;

  case 1741: /* ospf_iface_item: REAL BROADCAST bool  */
#line 397 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 14666 "obj/conf/cf-parse.tab.c"
    break;

  case 1742: /* ospf_iface_item: PTP NETMASK bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 14672 "obj/conf/cf-parse.tab.c"
    break;

  case 1743: /* ospf_iface_item: PTP ADDRESS bool  */
#line 399 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 14678 "obj/conf/cf-parse.tab.c"
    break;

  case 1744: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 400 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14684 "obj/conf/cf-parse.tab.c"
    break;

  case 1745: /* ospf_iface_item: PRIORITY expr  */
#line 401 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 14690 "obj/conf/cf-parse.tab.c"
    break;

  case 1746: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 402 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 14696 "obj/conf/cf-parse.tab.c"
    break;

  case 1747: /* ospf_iface_item: STUB bool  */
#line 403 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 14702 "obj/conf/cf-parse.tab.c"
    break;

  case 1748: /* ospf_iface_item: CHECK LINK bool  */
#line 404 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 14708 "obj/conf/cf-parse.tab.c"
    break;

  case 1749: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 405 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14714 "obj/conf/cf-parse.tab.c"
    break;

  case 1750: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 406 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 14720 "obj/conf/cf-parse.tab.c"
    break;

  case 1752: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 408 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 14726 "obj/conf/cf-parse.tab.c"
    break;

  case 1753: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 409 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14732 "obj/conf/cf-parse.tab.c"
    break;

  case 1754: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 410 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14738 "obj/conf/cf-parse.tab.c"
    break;

  case 1755: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 411 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 14744 "obj/conf/cf-parse.tab.c"
    break;

  case 1756: /* ospf_iface_item: RX BUFFER LARGE  */
#line 412 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 14750 "obj/conf/cf-parse.tab.c"
    break;

  case 1757: /* ospf_iface_item: RX BUFFER expr  */
#line 413 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 14756 "obj/conf/cf-parse.tab.c"
    break;

  case 1758: /* ospf_iface_item: TX tos  */
#line 414 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 14762 "obj/conf/cf-parse.tab.c"
    break;

  case 1759: /* ospf_iface_item: TX PRIORITY expr  */
#line 415 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 14768 "obj/conf/cf-parse.tab.c"
    break;

  case 1760: /* ospf_iface_item: TX LENGTH expr  */
#line 416 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 14774 "obj/conf/cf-parse.tab.c"
    break;

  case 1761: /* ospf_iface_item: TTL SECURITY bool  */
#line 417 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 14780 "obj/conf/cf-parse.tab.c"
    break;

  case 1762: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 418 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 14786 "obj/conf/cf-parse.tab.c"
    break;

  case 1763: /* ospf_iface_item: BFD bool  */
#line 419 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14792 "obj/conf/cf-parse.tab.c"
    break;

  case 1768: /* pref_base: net_ip  */
#line 431 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 14802 "obj/conf/cf-parse.tab.c"
    break;

  case 1770: /* pref_opt: HIDDEN  */
#line 440 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 14808 "obj/conf/cf-parse.tab.c"
    break;

  case 1771: /* pref_opt: TAG expr  */
#line 441 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 14814 "obj/conf/cf-parse.tab.c"
    break;

  case 1774: /* nbma_eligible: %empty  */
#line 450 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14820 "obj/conf/cf-parse.tab.c"
    break;

  case 1775: /* nbma_eligible: ELIGIBLE  */
#line 451 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 14826 "obj/conf/cf-parse.tab.c"
    break;

  case 1776: /* nbma_item: ipa nbma_eligible ';'  */
#line 455 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14837 "obj/conf/cf-parse.tab.c"
    break;

  case 1777: /* ospf_iface_start: %empty  */
#line 464 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14862 "obj/conf/cf-parse.tab.c"
    break;

  case 1779: /* ospf_instance_id: INSTANCE expr  */
#line 488 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14868 "obj/conf/cf-parse.tab.c"
    break;

  case 1780: /* $@18: %empty  */
#line 492 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14874 "obj/conf/cf-parse.tab.c"
    break;

  case 1786: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 506 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 14880 "obj/conf/cf-parse.tab.c"
    break;

  case 1787: /* dynamic_attr: OSPF_METRIC1  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14886 "obj/conf/cf-parse.tab.c"
    break;

  case 1788: /* dynamic_attr: OSPF_METRIC2  */
#line 510 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14892 "obj/conf/cf-parse.tab.c"
    break;

  case 1789: /* dynamic_attr: OSPF_TAG  */
#line 511 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14898 "obj/conf/cf-parse.tab.c"
    break;

  case 1790: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 512 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14904 "obj/conf/cf-parse.tab.c"
    break;

  case 1792: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14910 "obj/conf/cf-parse.tab.c"
    break;

  case 1794: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 519 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14916 "obj/conf/cf-parse.tab.c"
    break;

  case 1796: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 522 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14922 "obj/conf/cf-parse.tab.c"
    break;

  case 1798: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 527 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14928 "obj/conf/cf-parse.tab.c"
    break;

  case 1800: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 530 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14934 "obj/conf/cf-parse.tab.c"
    break;

  case 1802: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 535 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14940 "obj/conf/cf-parse.tab.c"
    break;

  case 1804: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 538 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14946 "obj/conf/cf-parse.tab.c"
    break;

  case 1806: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 542 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14957 "obj/conf/cf-parse.tab.c"
    break;

  case 1807: /* lsadb_args: %empty  */
#line 558 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14965 "obj/conf/cf-parse.tab.c"
    break;

  case 1808: /* lsadb_args: lsadb_args GLOBAL  */
#line 561 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14971 "obj/conf/cf-parse.tab.c"
    break;

  case 1809: /* lsadb_args: lsadb_args AREA idval  */
#line 562 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14977 "obj/conf/cf-parse.tab.c"
    break;

  case 1810: /* lsadb_args: lsadb_args LINK  */
#line 563 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14983 "obj/conf/cf-parse.tab.c"
    break;

  case 1811: /* lsadb_args: lsadb_args TYPE NUM  */
#line 564 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14989 "obj/conf/cf-parse.tab.c"
    break;

  case 1812: /* lsadb_args: lsadb_args LSID idval  */
#line 565 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14995 "obj/conf/cf-parse.tab.c"
    break;

  case 1813: /* lsadb_args: lsadb_args SELF  */
#line 566 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 15001 "obj/conf/cf-parse.tab.c"
    break;

  case 1814: /* lsadb_args: lsadb_args ROUTER idval  */
#line 567 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 15007 "obj/conf/cf-parse.tab.c"
    break;

  case 1815: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 568 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 15013 "obj/conf/cf-parse.tab.c"
    break;

  case 1817: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 15029 "obj/conf/cf-parse.tab.c"
    break;

  case 1821: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15035 "obj/conf/cf-parse.tab.c"
    break;

  case 1822: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 15041 "obj/conf/cf-parse.tab.c"
    break;

  case 1823: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 15047 "obj/conf/cf-parse.tab.c"
    break;

  case 1824: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 15053 "obj/conf/cf-parse.tab.c"
    break;

  case 1825: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 15059 "obj/conf/cf-parse.tab.c"
    break;

  case 1826: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 15065 "obj/conf/cf-parse.tab.c"
    break;

  case 1827: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 15071 "obj/conf/cf-parse.tab.c"
    break;

  case 1828: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 15077 "obj/conf/cf-parse.tab.c"
    break;

  case 1829: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 15083 "obj/conf/cf-parse.tab.c"
    break;

  case 1830: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 15089 "obj/conf/cf-parse.tab.c"
    break;

  case 1831: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 15095 "obj/conf/cf-parse.tab.c"
    break;

  case 1832: /* $@19: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 15103 "obj/conf/cf-parse.tab.c"
    break;

  case 1833: /* pipe_proto_start: proto_start PIPE $@19 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 15116 "obj/conf/cf-parse.tab.c"
    break;

  case 1837: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 15122 "obj/conf/cf-parse.tab.c"
    break;

  case 1839: /* radv_proto_start: proto_start RADV  */
#line 56 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 15137 "obj/conf/cf-parse.tab.c"
    break;

  case 1843: /* radv_proto_item: PREFIX radv_prefix  */
#line 71 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 15143 "obj/conf/cf-parse.tab.c"
    break;

  case 1844: /* $@20: %empty  */
#line 72 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15149 "obj/conf/cf-parse.tab.c"
    break;

  case 1845: /* radv_proto_item: RDNSS $@20 radv_rdnss  */
#line 72 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 15155 "obj/conf/cf-parse.tab.c"
    break;

  case 1846: /* $@21: %empty  */
#line 73 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15161 "obj/conf/cf-parse.tab.c"
    break;

  case 1847: /* radv_proto_item: DNSSL $@21 radv_dnssl  */
#line 73 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 15167 "obj/conf/cf-parse.tab.c"
    break;

  case 1848: /* radv_proto_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 74 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15173 "obj/conf/cf-parse.tab.c"
    break;

  case 1849: /* radv_proto_item: TRIGGER net_ip6  */
#line 75 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 15179 "obj/conf/cf-parse.tab.c"
    break;

  case 1850: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 76 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 15185 "obj/conf/cf-parse.tab.c"
    break;

  case 1854: /* radv_iface_start: %empty  */
#line 89 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 15212 "obj/conf/cf-parse.tab.c"
    break;

  case 1855: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 113 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 15218 "obj/conf/cf-parse.tab.c"
    break;

  case 1856: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 114 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 15224 "obj/conf/cf-parse.tab.c"
    break;

  case 1857: /* radv_iface_item: MIN DELAY expr  */
#line 115 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 15230 "obj/conf/cf-parse.tab.c"
    break;

  case 1858: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 116 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 15236 "obj/conf/cf-parse.tab.c"
    break;

  case 1859: /* radv_iface_item: MANAGED bool  */
#line 117 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 15242 "obj/conf/cf-parse.tab.c"
    break;

  case 1860: /* radv_iface_item: OTHER CONFIG bool  */
#line 118 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 15248 "obj/conf/cf-parse.tab.c"
    break;

  case 1861: /* radv_iface_item: LINK MTU expr  */
#line 119 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 15254 "obj/conf/cf-parse.tab.c"
    break;

  case 1862: /* radv_iface_item: REACHABLE TIME expr  */
#line 120 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 15260 "obj/conf/cf-parse.tab.c"
    break;

  case 1863: /* radv_iface_item: RETRANS TIMER expr  */
#line 121 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 15266 "obj/conf/cf-parse.tab.c"
    break;

  case 1864: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 15272 "obj/conf/cf-parse.tab.c"
    break;

  case 1865: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 123 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15282 "obj/conf/cf-parse.tab.c"
    break;

  case 1866: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 128 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15291 "obj/conf/cf-parse.tab.c"
    break;

  case 1867: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 132 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 15297 "obj/conf/cf-parse.tab.c"
    break;

  case 1868: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 133 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 15303 "obj/conf/cf-parse.tab.c"
    break;

  case 1869: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 134 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 15309 "obj/conf/cf-parse.tab.c"
    break;

  case 1870: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 135 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 15315 "obj/conf/cf-parse.tab.c"
    break;

  case 1871: /* radv_iface_item: PREFIX radv_prefix  */
#line 136 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 15321 "obj/conf/cf-parse.tab.c"
    break;

  case 1872: /* $@22: %empty  */
#line 137 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15327 "obj/conf/cf-parse.tab.c"
    break;

  case 1873: /* radv_iface_item: RDNSS $@22 radv_rdnss  */
#line 137 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 15333 "obj/conf/cf-parse.tab.c"
    break;

  case 1874: /* $@23: %empty  */
#line 138 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15339 "obj/conf/cf-parse.tab.c"
    break;

  case 1875: /* radv_iface_item: DNSSL $@23 radv_dnssl  */
#line 138 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 15345 "obj/conf/cf-parse.tab.c"
    break;

  case 1876: /* radv_iface_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 139 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15351 "obj/conf/cf-parse.tab.c"
    break;

  case 1877: /* radv_iface_item: RDNSS LOCAL bool  */
#line 140 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 15357 "obj/conf/cf-parse.tab.c"
    break;

  case 1878: /* radv_iface_item: DNSSL LOCAL bool  */
#line 141 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 15363 "obj/conf/cf-parse.tab.c"
    break;

  case 1879: /* radv_iface_item: CUSTOM OPTION LOCAL bool  */
#line 142 "proto/radv/config.Y"
                            { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 15369 "obj/conf/cf-parse.tab.c"
    break;

  case 1880: /* radv_preference: LOW  */
#line 146 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 15375 "obj/conf/cf-parse.tab.c"
    break;

  case 1881: /* radv_preference: MEDIUM  */
#line 147 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 15381 "obj/conf/cf-parse.tab.c"
    break;

  case 1882: /* radv_preference: HIGH  */
#line 148 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 15387 "obj/conf/cf-parse.tab.c"
    break;

  case 1883: /* radv_iface_finish: %empty  */
#line 151 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15428 "obj/conf/cf-parse.tab.c"
    break;

  case 1889: /* radv_prefix_start: net_ip6  */
#line 204 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15442 "obj/conf/cf-parse.tab.c"
    break;

  case 1890: /* radv_prefix_item: SKIP bool  */
#line 215 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15448 "obj/conf/cf-parse.tab.c"
    break;

  case 1891: /* radv_prefix_item: ONLINK bool  */
#line 216 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15454 "obj/conf/cf-parse.tab.c"
    break;

  case 1892: /* radv_prefix_item: AUTONOMOUS bool  */
#line 217 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15460 "obj/conf/cf-parse.tab.c"
    break;

  case 1893: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 218 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15469 "obj/conf/cf-parse.tab.c"
    break;

  case 1894: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 222 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15478 "obj/conf/cf-parse.tab.c"
    break;

  case 1895: /* radv_prefix_finish: %empty  */
#line 229 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15490 "obj/conf/cf-parse.tab.c"
    break;

  case 1901: /* radv_rdnss_node: ipa  */
#line 253 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15502 "obj/conf/cf-parse.tab.c"
    break;

  case 1902: /* radv_rdnss_start: %empty  */
#line 262 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15511 "obj/conf/cf-parse.tab.c"
    break;

  case 1905: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 269 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15517 "obj/conf/cf-parse.tab.c"
    break;

  case 1906: /* radv_rdnss_finish: %empty  */
#line 273 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15533 "obj/conf/cf-parse.tab.c"
    break;

  case 1911: /* radv_dnssl_node: TEXT  */
#line 297 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15548 "obj/conf/cf-parse.tab.c"
    break;

  case 1912: /* radv_dnssl_start: %empty  */
#line 309 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15557 "obj/conf/cf-parse.tab.c"
    break;

  case 1915: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 316 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15563 "obj/conf/cf-parse.tab.c"
    break;

  case 1916: /* radv_dnssl_finish: %empty  */
#line 320 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15579 "obj/conf/cf-parse.tab.c"
    break;

  case 1921: /* radv_mult: expr  */
#line 344 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15585 "obj/conf/cf-parse.tab.c"
    break;

  case 1922: /* radv_mult: MULT expr  */
#line 345 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15591 "obj/conf/cf-parse.tab.c"
    break;

  case 1923: /* radv_sensitive: %empty  */
#line 349 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 15597 "obj/conf/cf-parse.tab.c"
    break;

  case 1924: /* radv_sensitive: SENSITIVE bool  */
#line 350 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 15603 "obj/conf/cf-parse.tab.c"
    break;

  case 1925: /* dynamic_attr: RA_PREFERENCE  */
#line 353 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 15609 "obj/conf/cf-parse.tab.c"
    break;

  case 1926: /* dynamic_attr: RA_LIFETIME  */
#line 354 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 15615 "obj/conf/cf-parse.tab.c"
    break;

  case 1928: /* rip_variant: RIP  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 15621 "obj/conf/cf-parse.tab.c"
    break;

  case 1929: /* rip_variant: RIP NG  */
#line 51 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 15627 "obj/conf/cf-parse.tab.c"
    break;

  case 1930: /* rip_proto_start: proto_start rip_variant  */
#line 55 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 15643 "obj/conf/cf-parse.tab.c"
    break;

  case 1933: /* rip_proto_item: ECMP bool  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 15649 "obj/conf/cf-parse.tab.c"
    break;

  case 1934: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 15655 "obj/conf/cf-parse.tab.c"
    break;

  case 1935: /* rip_proto_item: INFINITY expr  */
#line 72 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 15661 "obj/conf/cf-parse.tab.c"
    break;

  case 1940: /* rip_iface_start: %empty  */
#line 86 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 15689 "obj/conf/cf-parse.tab.c"
    break;

  case 1941: /* rip_iface_finish: %empty  */
#line 111 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 15722 "obj/conf/cf-parse.tab.c"
    break;

  case 1942: /* rip_iface_item: METRIC expr  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 15728 "obj/conf/cf-parse.tab.c"
    break;

  case 1943: /* rip_iface_item: MODE MULTICAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 15734 "obj/conf/cf-parse.tab.c"
    break;

  case 1944: /* rip_iface_item: MODE BROADCAST  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 15740 "obj/conf/cf-parse.tab.c"
    break;

  case 1945: /* rip_iface_item: PASSIVE bool  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 15746 "obj/conf/cf-parse.tab.c"
    break;

  case 1946: /* rip_iface_item: ADDRESS ipa  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 15752 "obj/conf/cf-parse.tab.c"
    break;

  case 1947: /* rip_iface_item: PORT expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 15758 "obj/conf/cf-parse.tab.c"
    break;

  case 1948: /* rip_iface_item: VERSION expr  */
#line 147 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 15767 "obj/conf/cf-parse.tab.c"
    break;

  case 1949: /* rip_iface_item: VERSION ONLY bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 15773 "obj/conf/cf-parse.tab.c"
    break;

  case 1950: /* rip_iface_item: SPLIT HORIZON bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 15779 "obj/conf/cf-parse.tab.c"
    break;

  case 1951: /* rip_iface_item: POISON REVERSE bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 15785 "obj/conf/cf-parse.tab.c"
    break;

  case 1952: /* rip_iface_item: CHECK ZERO bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 15791 "obj/conf/cf-parse.tab.c"
    break;

  case 1953: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 15797 "obj/conf/cf-parse.tab.c"
    break;

  case 1954: /* rip_iface_item: UPDATE TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 15803 "obj/conf/cf-parse.tab.c"
    break;

  case 1955: /* rip_iface_item: TIMEOUT TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 15809 "obj/conf/cf-parse.tab.c"
    break;

  case 1956: /* rip_iface_item: GARBAGE TIME expr  */
#line 158 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 15815 "obj/conf/cf-parse.tab.c"
    break;

  case 1957: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 159 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15821 "obj/conf/cf-parse.tab.c"
    break;

  case 1958: /* rip_iface_item: ECMP WEIGHT expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15827 "obj/conf/cf-parse.tab.c"
    break;

  case 1959: /* rip_iface_item: RX BUFFER expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15833 "obj/conf/cf-parse.tab.c"
    break;

  case 1960: /* rip_iface_item: TX LENGTH expr  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15839 "obj/conf/cf-parse.tab.c"
    break;

  case 1961: /* rip_iface_item: TX tos  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15845 "obj/conf/cf-parse.tab.c"
    break;

  case 1962: /* rip_iface_item: TX PRIORITY expr  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15851 "obj/conf/cf-parse.tab.c"
    break;

  case 1963: /* rip_iface_item: TTL SECURITY bool  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15857 "obj/conf/cf-parse.tab.c"
    break;

  case 1964: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 15863 "obj/conf/cf-parse.tab.c"
    break;

  case 1965: /* rip_iface_item: CHECK LINK bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15869 "obj/conf/cf-parse.tab.c"
    break;

  case 1966: /* rip_iface_item: BFD bool  */
#line 168 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15875 "obj/conf/cf-parse.tab.c"
    break;

  case 1967: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 169 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15881 "obj/conf/cf-parse.tab.c"
    break;

  case 1968: /* rip_iface_item: password_list  */
#line 170 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 15887 "obj/conf/cf-parse.tab.c"
    break;

  case 1969: /* rip_auth: NONE  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 15893 "obj/conf/cf-parse.tab.c"
    break;

  case 1970: /* rip_auth: PLAINTEXT  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15899 "obj/conf/cf-parse.tab.c"
    break;

  case 1971: /* rip_auth: CRYPTOGRAPHIC  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15905 "obj/conf/cf-parse.tab.c"
    break;

  case 1972: /* rip_auth: MD5  */
#line 177 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15911 "obj/conf/cf-parse.tab.c"
    break;

  case 1978: /* dynamic_attr: RIP_METRIC  */
#line 194 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15917 "obj/conf/cf-parse.tab.c"
    break;

  case 1979: /* dynamic_attr: RIP_TAG  */
#line 195 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15923 "obj/conf/cf-parse.tab.c"
    break;

  case 1981: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 200 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15929 "obj/conf/cf-parse.tab.c"
    break;

  case 1983: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 203 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15935 "obj/conf/cf-parse.tab.c"
    break;

  case 1985: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 15946 "obj/conf/cf-parse.tab.c"
    break;

  case 1986: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 15952 "obj/conf/cf-parse.tab.c"
    break;

  case 1994: /* rpki_proto_item: LOCAL ADDRESS ipa  */
#line 63 "proto/rpki/config.Y"
                     { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 15958 "obj/conf/cf-parse.tab.c"
    break;

  case 1996: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 65 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15969 "obj/conf/cf-parse.tab.c"
    break;

  case 1997: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 71 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15980 "obj/conf/cf-parse.tab.c"
    break;

  case 1998: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 77 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15991 "obj/conf/cf-parse.tab.c"
    break;

  case 1999: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 83 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15997 "obj/conf/cf-parse.tab.c"
    break;

  case 2000: /* rpki_keep_interval: %empty  */
#line 87 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 16003 "obj/conf/cf-parse.tab.c"
    break;

  case 2001: /* rpki_keep_interval: KEEP  */
#line 88 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 16009 "obj/conf/cf-parse.tab.c"
    break;

  case 2002: /* rpki_proto_item_port: PORT expr  */
#line 91 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 16015 "obj/conf/cf-parse.tab.c"
    break;

  case 2003: /* rpki_cache_addr: text_or_ipa  */
#line 94 "proto/rpki/config.Y"
{
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 16035 "obj/conf/cf-parse.tab.c"
    break;

  case 2006: /* rpki_transport_tcp_init: %empty  */
#line 116 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 16045 "obj/conf/cf-parse.tab.c"
    break;

  case 2007: /* rpki_transport_ssh_init: %empty  */
#line 123 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 16059 "obj/conf/cf-parse.tab.c"
    break;

  case 2010: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 139 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 16065 "obj/conf/cf-parse.tab.c"
    break;

  case 2011: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 140 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 16071 "obj/conf/cf-parse.tab.c"
    break;

  case 2012: /* rpki_transport_ssh_item: USER text  */
#line 141 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 16077 "obj/conf/cf-parse.tab.c"
    break;

  case 2013: /* rpki_transport_ssh_check: %empty  */
#line 145 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 16086 "obj/conf/cf-parse.tab.c"
    break;

  case 2015: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 16095 "obj/conf/cf-parse.tab.c"
    break;

  case 2018: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 16101 "obj/conf/cf-parse.tab.c"
    break;

  case 2020: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 67 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 16107 "obj/conf/cf-parse.tab.c"
    break;

  case 2021: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 68 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 16120 "obj/conf/cf-parse.tab.c"
    break;

  case 2022: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 76 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 16126 "obj/conf/cf-parse.tab.c"
    break;

  case 2023: /* stat_nexthop: VIA ipa ipa_scope  */
#line 80 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 16136 "obj/conf/cf-parse.tab.c"
    break;

  case 2024: /* stat_nexthop: VIA TEXT  */
#line 85 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16146 "obj/conf/cf-parse.tab.c"
    break;

  case 2025: /* stat_nexthop: stat_nexthop DEV TEXT  */
#line 90 "proto/static/config.Y"
                          {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16154 "obj/conf/cf-parse.tab.c"
    break;

  case 2026: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 93 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 16162 "obj/conf/cf-parse.tab.c"
    break;

  case 2027: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 96 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16172 "obj/conf/cf-parse.tab.c"
    break;

  case 2028: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 101 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 16181 "obj/conf/cf-parse.tab.c"
    break;

  case 2029: /* stat_nexthop: stat_nexthop BFD bool  */
#line 105 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16191 "obj/conf/cf-parse.tab.c"
    break;

  case 2033: /* stat_mpls: MPLS expr  */
#line 119 "proto/static/config.Y"
             { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 16197 "obj/conf/cf-parse.tab.c"
    break;

  case 2034: /* $@24: %empty  */
#line 122 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 16212 "obj/conf/cf-parse.tab.c"
    break;

  case 2037: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 136 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 16221 "obj/conf/cf-parse.tab.c"
    break;

  case 2038: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 140 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 16231 "obj/conf/cf-parse.tab.c"
    break;

  case 2039: /* stat_route: stat_route0  */
#line 145 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 16237 "obj/conf/cf-parse.tab.c"
    break;

  case 2040: /* stat_route: stat_route0 DROP  */
#line 146 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16243 "obj/conf/cf-parse.tab.c"
    break;

  case 2041: /* stat_route: stat_route0 REJECT  */
#line 147 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16249 "obj/conf/cf-parse.tab.c"
    break;

  case 2042: /* stat_route: stat_route0 BLACKHOLE  */
#line 148 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16255 "obj/conf/cf-parse.tab.c"
    break;

  case 2043: /* stat_route: stat_route0 UNREACHABLE  */
#line 149 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16261 "obj/conf/cf-parse.tab.c"
    break;

  case 2044: /* stat_route: stat_route0 PROHIBIT  */
#line 150 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 16267 "obj/conf/cf-parse.tab.c"
    break;

  case 2045: /* stat_route_item: cmd  */
#line 154 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 16279 "obj/conf/cf-parse.tab.c"
    break;

  case 2051: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 175 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 16285 "obj/conf/cf-parse.tab.c"
    break;

  case 2053: /* kern_sys_item: KERNEL TABLE expr  */
#line 34 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 16291 "obj/conf/cf-parse.tab.c"
    break;

  case 2054: /* kern_sys_item: METRIC expr  */
#line 35 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 16297 "obj/conf/cf-parse.tab.c"
    break;

  case 2055: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 36 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 16303 "obj/conf/cf-parse.tab.c"
    break;

  case 2056: /* dynamic_attr: KRT_PREFSRC  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 16309 "obj/conf/cf-parse.tab.c"
    break;

  case 2057: /* dynamic_attr: KRT_REALM  */
#line 40 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 16315 "obj/conf/cf-parse.tab.c"
    break;

  case 2058: /* dynamic_attr: KRT_SCOPE  */
#line 41 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 16321 "obj/conf/cf-parse.tab.c"
    break;

  case 2059: /* dynamic_attr: KRT_MTU  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 16327 "obj/conf/cf-parse.tab.c"
    break;

  case 2060: /* dynamic_attr: KRT_WINDOW  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 16333 "obj/conf/cf-parse.tab.c"
    break;

  case 2061: /* dynamic_attr: KRT_RTT  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 16339 "obj/conf/cf-parse.tab.c"
    break;

  case 2062: /* dynamic_attr: KRT_RTTVAR  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 16345 "obj/conf/cf-parse.tab.c"
    break;

  case 2063: /* dynamic_attr: KRT_SSTHRESH  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 16351 "obj/conf/cf-parse.tab.c"
    break;

  case 2064: /* dynamic_attr: KRT_SSTRESH  */
#line 48 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 16358 "obj/conf/cf-parse.tab.c"
    break;

  case 2065: /* dynamic_attr: KRT_CWND  */
#line 50 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 16364 "obj/conf/cf-parse.tab.c"
    break;

  case 2066: /* dynamic_attr: KRT_ADVMSS  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 16370 "obj/conf/cf-parse.tab.c"
    break;

  case 2067: /* dynamic_attr: KRT_REORDERING  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 16376 "obj/conf/cf-parse.tab.c"
    break;

  case 2068: /* dynamic_attr: KRT_HOPLIMIT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 16382 "obj/conf/cf-parse.tab.c"
    break;

  case 2069: /* dynamic_attr: KRT_INITCWND  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 16388 "obj/conf/cf-parse.tab.c"
    break;

  case 2070: /* dynamic_attr: KRT_RTO_MIN  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 16394 "obj/conf/cf-parse.tab.c"
    break;

  case 2071: /* dynamic_attr: KRT_INITRWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16400 "obj/conf/cf-parse.tab.c"
    break;

  case 2072: /* dynamic_attr: KRT_QUICKACK  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16406 "obj/conf/cf-parse.tab.c"
    break;

  case 2073: /* dynamic_attr: KRT_CONGCTL  */
#line 58 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 16412 "obj/conf/cf-parse.tab.c"
    break;

  case 2074: /* dynamic_attr: KRT_FASTOPEN_NO_COOKIE  */
#line 59 "sysdep/linux/netlink.Y"
                                     { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 16418 "obj/conf/cf-parse.tab.c"
    break;

  case 2075: /* dynamic_attr: KRT_LOCK_MTU  */
#line 63 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16424 "obj/conf/cf-parse.tab.c"
    break;

  case 2076: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 64 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16430 "obj/conf/cf-parse.tab.c"
    break;

  case 2077: /* dynamic_attr: KRT_LOCK_RTT  */
#line 65 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16436 "obj/conf/cf-parse.tab.c"
    break;

  case 2078: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 66 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16442 "obj/conf/cf-parse.tab.c"
    break;

  case 2079: /* dynamic_attr: KRT_LOCK_SSTHRESH  */
#line 67 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16448 "obj/conf/cf-parse.tab.c"
    break;

  case 2080: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 68 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 16455 "obj/conf/cf-parse.tab.c"
    break;

  case 2081: /* dynamic_attr: KRT_LOCK_CWND  */
#line 70 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16461 "obj/conf/cf-parse.tab.c"
    break;

  case 2082: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 71 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16467 "obj/conf/cf-parse.tab.c"
    break;

  case 2083: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 72 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16473 "obj/conf/cf-parse.tab.c"
    break;

  case 2084: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 73 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16479 "obj/conf/cf-parse.tab.c"
    break;

  case 2085: /* dynamic_attr: KRT_LOCK_INITCWND  */
#line 74 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 16485 "obj/conf/cf-parse.tab.c"
    break;

  case 2086: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 76 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16491 "obj/conf/cf-parse.tab.c"
    break;

  case 2087: /* dynamic_attr: KRT_LOCK_INITRWND  */
#line 77 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 16497 "obj/conf/cf-parse.tab.c"
    break;

  case 2088: /* dynamic_attr: KRT_LOCK_QUICKACK  */
#line 78 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 16503 "obj/conf/cf-parse.tab.c"
    break;

  case 2089: /* dynamic_attr: KRT_LOCK_CONGCTL  */
#line 79 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 16509 "obj/conf/cf-parse.tab.c"
    break;

  case 2090: /* dynamic_attr: KRT_LOCK_FASTOPEN_NO_COOKIE  */
#line 80 "sysdep/linux/netlink.Y"
                                          { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 16515 "obj/conf/cf-parse.tab.c"
    break;

  case 2091: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 82 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16521 "obj/conf/cf-parse.tab.c"
    break;

  case 2092: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 83 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 16527 "obj/conf/cf-parse.tab.c"
    break;

  case 2095: /* log_begin: %empty  */
#line 36 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 16533 "obj/conf/cf-parse.tab.c"
    break;

  case 2096: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 38 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 16542 "obj/conf/cf-parse.tab.c"
    break;

  case 2097: /* syslog_name: NAME text  */
#line 45 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 16548 "obj/conf/cf-parse.tab.c"
    break;

  case 2098: /* syslog_name: %empty  */
#line 46 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 16554 "obj/conf/cf-parse.tab.c"
    break;

  case 2100: /* log_limit: expr text  */
#line 51 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 16560 "obj/conf/cf-parse.tab.c"
    break;

  case 2101: /* log_file: text log_limit  */
#line 55 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 16575 "obj/conf/cf-parse.tab.c"
    break;

  case 2102: /* log_file: SYSLOG syslog_name  */
#line 65 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 16581 "obj/conf/cf-parse.tab.c"
    break;

  case 2103: /* log_file: STDERR  */
#line 66 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 16587 "obj/conf/cf-parse.tab.c"
    break;

  case 2104: /* log_file: UDP log_udp_host log_udp_port  */
#line 67 "sysdep/unix/config.Y"
                                 {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 16598 "obj/conf/cf-parse.tab.c"
    break;

  case 2105: /* log_udp_host: text_or_ipa  */
#line 76 "sysdep/unix/config.Y"
{
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 16610 "obj/conf/cf-parse.tab.c"
    break;

  case 2106: /* log_udp_port: %empty  */
#line 85 "sysdep/unix/config.Y"
                { this_log->port = 514; }
#line 16616 "obj/conf/cf-parse.tab.c"
    break;

  case 2107: /* log_udp_port: PORT NUM  */
#line 86 "sysdep/unix/config.Y"
             { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 16622 "obj/conf/cf-parse.tab.c"
    break;

  case 2108: /* log_mask: ALL  */
#line 90 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 16628 "obj/conf/cf-parse.tab.c"
    break;

  case 2109: /* log_mask: '{' log_mask_list '}'  */
#line 91 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 16634 "obj/conf/cf-parse.tab.c"
    break;

  case 2110: /* log_mask_list: log_cat  */
#line 95 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 16640 "obj/conf/cf-parse.tab.c"
    break;

  case 2111: /* log_mask_list: log_mask_list ',' log_cat  */
#line 96 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 16646 "obj/conf/cf-parse.tab.c"
    break;

  case 2112: /* log_cat: DEBUG  */
#line 100 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 16652 "obj/conf/cf-parse.tab.c"
    break;

  case 2113: /* log_cat: TRACE  */
#line 101 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 16658 "obj/conf/cf-parse.tab.c"
    break;

  case 2114: /* log_cat: INFO  */
#line 102 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 16664 "obj/conf/cf-parse.tab.c"
    break;

  case 2115: /* log_cat: REMOTE  */
#line 103 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 16670 "obj/conf/cf-parse.tab.c"
    break;

  case 2116: /* log_cat: WARNING  */
#line 104 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 16676 "obj/conf/cf-parse.tab.c"
    break;

  case 2117: /* log_cat: ERROR  */
#line 105 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 16682 "obj/conf/cf-parse.tab.c"
    break;

  case 2118: /* log_cat: AUTH  */
#line 106 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 16688 "obj/conf/cf-parse.tab.c"
    break;

  case 2119: /* log_cat: FATAL  */
#line 107 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 16694 "obj/conf/cf-parse.tab.c"
    break;

  case 2120: /* log_cat: BUG  */
#line 108 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 16700 "obj/conf/cf-parse.tab.c"
    break;

  case 2122: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 115 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 16706 "obj/conf/cf-parse.tab.c"
    break;

  case 2123: /* mrtdump_base: MRTDUMP text ';'  */
#line 116 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 16719 "obj/conf/cf-parse.tab.c"
    break;

  case 2125: /* debug_unix: DEBUG LATENCY bool  */
#line 130 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 16725 "obj/conf/cf-parse.tab.c"
    break;

  case 2126: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 131 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 16731 "obj/conf/cf-parse.tab.c"
    break;

  case 2127: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 132 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 16737 "obj/conf/cf-parse.tab.c"
    break;

  case 2128: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 133 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 16743 "obj/conf/cf-parse.tab.c"
    break;

  case 2130: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 142 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 16749 "obj/conf/cf-parse.tab.c"
    break;

  case 2132: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 145 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 16755 "obj/conf/cf-parse.tab.c"
    break;

  case 2134: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 152 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 16761 "obj/conf/cf-parse.tab.c"
    break;

  case 2136: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 155 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 16767 "obj/conf/cf-parse.tab.c"
    break;

  case 2138: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 158 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 16773 "obj/conf/cf-parse.tab.c"
    break;

  case 2140: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 161 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 16779 "obj/conf/cf-parse.tab.c"
    break;

  case 2142: /* cmd_DOWN: DOWN END  */
#line 164 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 16785 "obj/conf/cf-parse.tab.c"
    break;

  case 2144: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 169 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 16791 "obj/conf/cf-parse.tab.c"
    break;

  case 2145: /* cfg_name: %empty  */
#line 173 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 16797 "obj/conf/cf-parse.tab.c"
    break;

  case 2147: /* cfg_timeout: %empty  */
#line 178 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 16803 "obj/conf/cf-parse.tab.c"
    break;

  case 2148: /* cfg_timeout: TIMEOUT  */
#line 179 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 16809 "obj/conf/cf-parse.tab.c"
    break;

  case 2149: /* cfg_timeout: TIMEOUT expr  */
#line 180 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 16815 "obj/conf/cf-parse.tab.c"
    break;

  case 2151: /* kern_proto_start: proto_start KERNEL  */
#line 45 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 16823 "obj/conf/cf-parse.tab.c"
    break;

  case 2154: /* kern_learn: bool  */
#line 54 "sysdep/unix/krt.Y"
        { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 16829 "obj/conf/cf-parse.tab.c"
    break;

  case 2155: /* kern_learn: ALL  */
#line 55 "sysdep/unix/krt.Y"
        { (yyval.i) = KRT_LEARN_ALL; }
#line 16835 "obj/conf/cf-parse.tab.c"
    break;

  case 2156: /* kern_mp_limit: %empty  */
#line 59 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 16841 "obj/conf/cf-parse.tab.c"
    break;

  case 2157: /* kern_mp_limit: LIMIT expr  */
#line 60 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 16847 "obj/conf/cf-parse.tab.c"
    break;

  case 2161: /* kern_item: kern_channel  */
#line 71 "sysdep/unix/krt.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 16853 "obj/conf/cf-parse.tab.c"
    break;

  case 2162: /* kern_item: PERSIST bool  */
#line 72 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 16859 "obj/conf/cf-parse.tab.c"
    break;

  case 2163: /* kern_item: SCAN TIME expr  */
#line 73 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 16868 "obj/conf/cf-parse.tab.c"
    break;

  case 2164: /* kern_item: LEARN kern_learn  */
#line 77 "sysdep/unix/krt.Y"
                    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 16880 "obj/conf/cf-parse.tab.c"
    break;

  case 2165: /* kern_item: GRACEFUL RESTART bool  */
#line 84 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 16886 "obj/conf/cf-parse.tab.c"
    break;

  case 2166: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 85 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 16898 "obj/conf/cf-parse.tab.c"
    break;

  case 2168: /* kif_proto_start: proto_start DEVICE  */
#line 98 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 16904 "obj/conf/cf-parse.tab.c"
    break;

  case 2173: /* kif_item: SCAN TIME expr  */
#line 107 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 16913 "obj/conf/cf-parse.tab.c"
    break;

  case 2174: /* kif_iface_start: %empty  */
#line 114 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 16923 "obj/conf/cf-parse.tab.c"
    break;

  case 2175: /* kif_iface_item: PREFERRED ipa  */
#line 121 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 16929 "obj/conf/cf-parse.tab.c"
    break;

  case 2181: /* dynamic_attr: KRT_SOURCE  */
#line 138 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16935 "obj/conf/cf-parse.tab.c"
    break;

  case 2182: /* dynamic_attr: KRT_METRIC  */
#line 139 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16941 "obj/conf/cf-parse.tab.c"
    break;


#line 16945 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 59 "conf/gen_parser.m4"

#line 447 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 980 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 215 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 396 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 150 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 177 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 183 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

